commit e2561da
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Fri Jul 24 16:33:27 2015 +0100

    Fix CMake 7zip search
    
    A further fix for the CMake Windows search for 7-zip.
    
    Add the destination\bin path to the search path.
    
    When downloading from anonsvn only pass the path within the destination
    not the whole path.
    
    Change-Id: I2beec925730fae21d6a63bee5332e1002f49d6ae
    Reviewed-on: https://code.wireshark.org/review/9770
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 2eabd35
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jul 24 07:41:40 2015 -0400

    Skip large files when fuzzing with valgrind
    
    They run the buildbot out of memory, so just skip them, we don't want to remove
    them from the menagerie entirely.
    
    ("large" here is > 20000 KB, but that could change)
    
    Change-Id: I58dd9a981be6e6fc661ea624cc0c5258a5986a9f
    Ping-Bug: 11395
    Reviewed-on: https://code.wireshark.org/review/9768
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit db82d0f
Author: Gerald Combs <gerald@zing.org>
Date:   Thu Jul 23 18:39:30 2015 -0700

    Fix the Copy menu placement in the ProtoTree context menu.
    
    Change-Id: I8e967000b769918af2c0fb3dae22b3d36be07647
    Reviewed-on: https://code.wireshark.org/review/9765
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 963b0c9
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Jul 23 21:09:12 2015 -0400

    Lua: add the 1.12.x Lua API to the globals verification test suite
    
    Change-Id: I698fc75dc915ea007b2f7762f0041dbb6dd1d8d3
    Reviewed-on: https://code.wireshark.org/review/9764
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit d2828a3
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Thu Jul 23 20:27:26 2015 -0400

    Lua: fix "since 1.99.9" to be 1.99.8
    
    Change-Id: I842e4b6a38fc161ba7ab14caa27b3bbf74c989d7
    Reviewed-on: https://code.wireshark.org/review/9763
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 99b5813
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Thu Jul 23 22:36:09 2015 +0100

    Fix 7-zip search
    
    The path for a Chocolatey 7zip.commandline install is
    $env:ChocolateyInstall\bin
    
    and the version installed by Chocolatey for its own use is in
    $env:ChocolateyInstall\tools
    
    Change-Id: I2f1ee78e93f861075f8c06ed74d81d8173911299
    Reviewed-on: https://code.wireshark.org/review/9762
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit da5eba6
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 23 12:53:45 2015 -0700

    Fix QCocoaMenu errors.
    
    In PacketList and ProtoTree, create our own QMenus instead of stealing
    actions from the main window. This only fixes the errors listed in bug
    10890. Add "to do" items for other bugs.
    
    Bug: 10890
    Change-Id: I1c7ce8e4b863de95b2836e0cdcfb25824fe21edd
    Reviewed-on: https://code.wireshark.org/review/9760
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit dc6d376
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 23 11:35:35 2015 -0700

    Update the release notes.
    
    Change-Id: Ia34b10e45debd2e18cf87b6c8bac871cad4b4df6
    Reviewed-on: https://code.wireshark.org/review/9759
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a5f7b84
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 23 11:19:38 2015 -0700

    Fixup selected packet arithmetic.
    
    Or, "I can mathing" if you prefer meme-based commit messages.
    
    Change-Id: I8fd1db0e2a1e99525191ae6b33115ef8e38ab2f4
    Reviewed-on: https://code.wireshark.org/review/9758
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9bca127
Author: Umberto Corponi <umberto.corponi@athonet.com>
Date:   Thu Jul 16 22:42:30 2015 +0200

    Add support for MB2c Diameter interface.
    
    Add decoding for MB2c specific AVPs according to 3GPP TS 29.468 Rel 12.1.0.
    
    Change-Id: I0b50cacb5a3e7cb32de89b31da24e725361edf80
    Reviewed-on: https://code.wireshark.org/review/9756
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit c5bda79
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Tue Jul 21 15:11:38 2015 +0200

    openSAFETY: Disable heur dissector & scm bugfix
    
     - Bugfix for the SCM UDID, where the expert info was generated
       even if not necessary, and a SCM UDID consisting of zeroes was
       considered to be valid
    
     - Using the new method for enabling/disabling heuristic dissectors,
       this patch reworks the SIII dissection to perform exactly the
       same as the EPL dissection (which is the expected behavior)
    
    Change-Id: Ide559c3e104b77818cef642b34e0076a7c5bd13d
    Reviewed-on: https://code.wireshark.org/review/9735
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b191f7e
Author: Christoph Schlosser <christoph.schlosser@br-automation.com>
Date:   Tue Jul 21 17:05:07 2015 +0200

    epl: Fix epl write multiple parameter by index
    
     Instead of interpreting the OD Index and OD Subindex as abort code now the
     correct offset is applied and the abort code is correctly evaluated.
    
    Change-Id: Ic70e755d835c5f62f6cff8a8848a33ee8758faf4
    Reviewed-on: https://code.wireshark.org/review/9736
    Reviewed-by: Christoph Schlosser <christoph.schlosser@yahoo.de>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1ddf1cf
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 1 19:48:17 2015 +0200

    CheckAPI: Add a shadow variable check
    
    Check if there is index, time or strlen variable
    
    Change-Id: I530a35d6e1cf13f0795b35579ce76ee373ed4b1a
    Reviewed-on: https://code.wireshark.org/review/8724
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8575e41
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jul 23 14:53:54 2015 +0200

    NTP: fix DISSECTOR_ASSERT when decoding v6_flags
    
    Issue include in g8d6324f75
    
    Change-Id: I49267b90a4a196409df76cb369d2dfacf42ba8d3
    Ping-Bug:11361
    Reviewed-on: https://code.wireshark.org/review/9754
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f6934d2
Author: Jean Thomas <jeanthomas@sierrawireless.com>
Date:   Wed Jul 22 17:48:51 2015 +0200

    Add decoding of following GSM A RR messages:
    
    - Talker indication
    - Uplink release
    - VGCS uplink grant
    
    Change-Id: I969ada857b71fb3d89efc44a18159c8aa39eef54
    Reviewed-on: https://code.wireshark.org/review/9753
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5b53445
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jul 15 23:10:16 2015 -0400

    Add test_length to ptvcursor_add so it can do some bounds checking.
    
    Ping-Bug: 11358
    Change-Id: Idfd258c734e7a946300b2564bebf6e4cb374c8d1
    Reviewed-on: https://code.wireshark.org/review/9655
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2316352
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Jul 10 11:34:04 2015 -0400

    Lua: add plugin version info
    
    Expose a "set_plugin_info" global function to set the Lua plugin's
    version information. Also, put info about Lua scripts loaded from
    the command-line into the help output, not just for scripts loaded
    from plugin direvtories.
    
    Bug: 11315
    Change-Id: I8bc425ed1ed0dfdc1d05178754f44d44e0b209b5
    Reviewed-on: https://code.wireshark.org/review/9593
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2c534a9
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jul 21 13:32:42 2015 -0400

    Add Enabled Protocols dialog for Qt
    
    This dialog combines the "protocols" and heuristic dissectors (from GTK) into a single tree view where heuristic dissectors are children of their protocol.
    
    Change-Id: I107656afd079c1d1c8a98161b736e4b4ad84f813
    Reviewed-on: https://code.wireshark.org/review/9739
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit bf3e117
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jul 15 14:16:00 2015 +0200

    HTTP2: Update to libnghttp2 1.1.2
    
    Update also the documentation after last change
    Change-Id: Ie93e669b07c7a0c2b8febabe92c8503296b36998
    Reviewed-on: https://code.wireshark.org/review/9746
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 4d6ef27
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jul 22 20:20:29 2015 -0700

    Qt < 5.1 doesn't have devicePixelRatio().
    
    Change-Id: I490617db6b645c0129c565eb4b6efceeece9d535
    Reviewed-on: https://code.wireshark.org/review/9751
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 780c300
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jul 10 14:52:34 2015 +0200

    qt_ui_utils.h: fix empty paragraph passed to '@return' command [-Wdocumentation]
    
    Try 2...
    
    Change-Id: I2809a46a60732cdef26da9e847588dcfe39781ee
    Reviewed-on: https://code.wireshark.org/review/9590
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1514fe0
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jul 22 10:28:04 2015 -0700

    Show the current selection in the overlay scrollbar.
    
    Change-Id: Ie92b7ae170938eac71ede751d9067e1d47293092
    Reviewed-on: https://code.wireshark.org/review/9750
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 093aef0
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Jul 22 17:51:34 2015 -0400

    RTSP: allow RTP heuristic dissection of RTSP interleaved channel data
    
    Allow the RTP dissector to register a heuristic to dissect RTSP interleaved
    data content, in case RTSP didn't know what the data is - for example
    it missed the RTSP message indicating the Transport info was RTP.
    
    Change-Id: I7a6ea886e6744d51533aa916974572fff41eb144
    Reviewed-on: https://code.wireshark.org/review/9749
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 2c80810
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jul 22 22:53:59 2015 +0200

    WCCP: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Dead Store include on g38c05061b
    
    Change-Id: Ib29edea664ac6563c0eb9dc21dae168a8cfe6cd6
    Reviewed-on: https://code.wireshark.org/review/9748
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1701b99
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jul 22 10:28:20 2015 -0700

    Update the AUTHORS entry for David Eisner.
    
    Update David Eisner's email address at his request.
    
    Change-Id: I7886c68bd54790176b39613d876465e04d767059
    Reviewed-on: https://code.wireshark.org/review/9747
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3f0f49d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 21 23:59:18 2015 +0200

    Use pinfo pool and not packet pool for AT_STRINGZ addresses
    
    Change-Id: I474e6554b352147702eac32d5574f8ab4a1ab84d
    Reviewed-on: https://code.wireshark.org/review/9745
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 120ed14
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jul 17 10:53:48 2015 -0400

    Add documentation for new enable/disable protocol and heuristic dissector options.
    
    Change-Id: Ia31326105cf559c2196d45369270552fb78da6c7
    Reviewed-on: https://code.wireshark.org/review/9692
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6452caa
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jul 17 17:01:27 2015 +0200

    Fix retrieval of data link type supported by remote interfaces with authentication
    
    Make use of -A parameter when querying data link types supported by a given interface with dumpcap.
    Ensure to pass the authentication parameters configured for a remote interface when calling capture_get_if_capabilities()
    
    Bug: 11366
    Change-Id: I4efea615084a82108e4a12a64e8c46817f30a5c6
    Reviewed-on: https://code.wireshark.org/review/9690
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 32d9a1d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 21 23:46:03 2015 +0200

    Ensure to copy the (un)resolved (source|destination) address columns before freeing epan memory
    
    Otherwise addresses like AT_STRINGZ using pinfo->pool are using an already freed memory block
    
    Bug: 11387
    Change-Id: I615d6bf202d57a949e75ba06a39f8d3e464def2f
    Reviewed-on: https://code.wireshark.org/review/9744
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 83dc308
Author: Luke Mewburn <luke@mewburn.net>
Date:   Sun Jul 19 17:31:46 2015 +1000

    PCLI: Expand protocol support
    
    1. Implement "Decode As" for PCLI payload instead of assuming IP.
       Currently supported subdissectors are Ethernet and IP.
    
    2. Implement multiple "flavors" of PCLI with different header formats:
            pcli: 4 byte CCCID
            pcli8: 8 byte header (including CCCID)
            pcli12: 4 byte CCCID, 8 byte NTP timestamp
            pcli20: 4 byte CCCID, 8 byte NTP timestamp, 8 byte case ID
       All flavors currently using "Decode As" for payload.
    
    3. Optionally append CCCID to protocol item in tree
       using preference "pcli.summary_in_tree".
    
    4. Obsolete preference "pcli.udp_port".
    
    Bug: 9266
    Bug: 11220
    
    Change-Id: Ie4bca06665985ef1eb77db767771a5a82357e242
    Reviewed-on: https://code.wireshark.org/review/8608
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 6e7f302
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jul 21 21:49:58 2015 +0200

    Translation (Qt): fix typo
    
    Duplicate names and also typo about service (=> Services)
    
    Found by yfdyh000 via Transifex
    
    Change-Id: I011b98a25828b8fc55b395d7ed5677da51a30f43
    Reviewed-on: https://code.wireshark.org/review/9741
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit e30a0ff
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jul 21 09:51:12 2015 -0700

    Add manual name address resolution.
    
    Make it an editor frame instead of a dialog similar to the column editor
    and prototocol preference editor.
    
    Change-Id: If1a0cdf02dcab0eca98e8d39c94a3c2fe236df5a
    Reviewed-on: https://code.wireshark.org/review/9743
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e8f24f3
Author: Hauke Mehrtens <hauke@hauke-m.de>
Date:   Tue Jul 14 23:43:06 2015 +0200

    coap: fix decoding of observe extension
    
    The observe draft changed and now the option value does not contain the
    lifetime anymore, but the value encodes if a user wants to register or
    deregister.
    
    Change-Id: I3719101c2bed87c956eb24056be40c9a79dafac8
    Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
    Reviewed-on: https://code.wireshark.org/review/9638
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bd62adb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 21 13:42:43 2015 -0700

    Update symbols.
    
    Change-Id: I92fc9ff73278656c717434c23560127c9c59eb06
    Reviewed-on: https://code.wireshark.org/review/9742
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 868cd67
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 21 12:37:11 2015 -0700

    Do all the work of registering an ONC RPC-based protocol in rpc_init_prog().
    
    Hand it a table of version/procedure table/hf-for-program-number
    triplets.
    
    Change-Id: I2acc03c2da83353165bd422d8537362201c814e2
    Reviewed-on: https://code.wireshark.org/review/9740
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f38d976
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jul 21 08:49:39 2015 -0700

    Be more careful about variable scope and quoting.
    
    Change-Id: Ica226178cb43b82a87441fe11e8c2093e01db8a5
    Reviewed-on: https://code.wireshark.org/review/9738
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 573b33a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 21 17:05:53 2015 +0200

    LTE RRC: fix a typo
    
    Let's have consistent naming for dissectors
    
    Change-Id: I03d14e208692f39a7ae5017bd539f38f14abaa1f
    Reviewed-on: https://code.wireshark.org/review/9737
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 3e29fc5
Author: Robert Beardsworth <rob_beardsworth@hotmail.com>
Date:   Mon Jul 20 23:16:38 2015 +0200

    MQ: fix dissection of Work Information Header Reserved field
    
    Bug: 11384
    Change-Id: If8c2010b38f65b8ee8569e2d2eee1554d6fdee9c
    Reviewed-on: https://code.wireshark.org/review/9724
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 70d1c72
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 20 22:05:09 2015 -0700

    Don't make dummy RPC program entries.
    
    Just hand the payload off to the data dissector.
    
    Change-Id: I59a61ec6352ef0b0c51382d68ca23b00010eb723
    Reviewed-on: https://code.wireshark.org/review/9733
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8e4ae94
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 20 15:40:35 2015 -0700

    show_timer_ isn't used on OS X with Qt < 5.0.0.
    
    Change-Id: I5b7a73dcc3bb0f11d24b6d1e9e9d2bcd1f333278
    Reviewed-on: https://code.wireshark.org/review/9728
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 127a9bd
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jul 20 14:31:11 2015 -0700

    Add a ProgressFrame to the RTP analysis dialog.
    
    Use it to show save file progress.
    
    Change-Id: Iff95b122825006352dc13cf4b7787e29b0d2c5f0
    Reviewed-on: https://code.wireshark.org/review/9725
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e48ab48
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 20 15:19:50 2015 -0700

    Allow EUI-64s to be specified as numbers or byte strings.
    
    They are, after all, really byte strings, just as MAC-48s/EUI-48s are.
    
    Clean up some of the integer <-> byte-string trickery a bit, using
    unions rather than pointer punning.
    
    Bug: 11380
    Change-Id: I0d9aa3ca7bb6b7e4c75e49a11b13d3d0e5a04473
    Reviewed-on: https://code.wireshark.org/review/9727
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1e48766
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Feb 18 13:30:06 2015 +0100

    Qt: Add option to back white line separator for packet list items
    
    This uses one line (on bottom) of items and makes it white.
    Seen in Wireshark on some configurations of GTK 2 on Linux,
    so backports it to Qt for people who like it.
    
    In my opinion it helps if you use packet list background colors
    for frames and you have a lot of following frames with
    the same background color.
    
    Bug: 10954
    Change-Id: Id8f58520d7224db4eb8181bcc04febd7416a8578
    Reviewed-on: https://code.wireshark.org/review/7293
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 7e13cac
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jul 20 13:07:26 2015 -0700

    Try to minimize sorting overhead.
    
    Process application events as little as possible while sorting.
    
    Change-Id: I9d779aebf6edaafc1e6af3a99b4a0dac682ea6b6
    Reviewed-on: https://code.wireshark.org/review/9722
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 63edb99
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jul 17 15:06:55 2015 -0700

    Add general a busy progress indicator.
    
    Rename CaptureFileProgressFrame to ProgressFrame. It's not limited to
    capture files. Add "busy" routines there and in MainStatusBar. Show a
    busy indicator while sorting columns.
    
    Use toByteArray().constData instead of .data. I'm not sure if it matters
    in our case but it's more correct.
    
    Change-Id: Ibe35fee9b9dd3fabb5ff8ddcc21f6bf59dec4af6
    Reviewed-on: https://code.wireshark.org/review/9720
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit eb1ccbd
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 20 19:03:59 2015 +0200

    Protect dissector_get_(default_)string_handle() against NULL input string
    
    Bug: 11381
    Change-Id: Ib102a23b3d840144757ce692312ff13009c5c95e
    Reviewed-on: https://code.wireshark.org/review/9717
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 54812f2
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 20 20:03:30 2015 +0200

    MAC LTE: indicate explicitly that UL LCID 11 is used for Category 0 devices
    
    Change-Id: Ia9a046c8aebdefad0303bed995c19f5408e4460b
    Reviewed-on: https://code.wireshark.org/review/9719
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 170def9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 20 10:02:08 2015 -0700

    Fix escaping of strings in UATs.
    
    Not only must characters that aren't printable ASCII characters be
    escaped, backslashes must be escaped (as backslash is an escape
    introducer) and double-quotes must be escaped (as double-quotes
    encapsulate strings).
    
    When constructing a string to hand to uat_load_str(), escape pathnames,
    as they are likely to contain backslashes on Windows, could contain
    backslashes on UN*X, and could contain quotes on UN*X and possibly
    Windows.  (Arguably, we should escape all the string arguments
    
    Bug: 11372
    Change-Id: I594840327fa41895130903c3c612ba97d6c29df3
    Reviewed-on: https://code.wireshark.org/review/9716
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 09ae055
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 20 13:24:58 2015 +0200

    GTPv2: always set direction before dissecting PCO IE
    
    Otherwise some protocol/container ID payload are skipped as their decoding depends on the direction that is unknown
    Bug: 11378
    
    Change-Id: Ic14aa67fe4f262a9f3056e8f70f58afd78c59043
    Reviewed-on: https://code.wireshark.org/review/9710
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 030da2a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Jul 17 19:24:04 2015 +0200

    coverity 1250812: fix a (very unlikely) integer overflow
    
    Change-Id: I151cb2186c7dabbab1bef5cd35dabe19a3600dfd
    Reviewed-on: https://code.wireshark.org/review/9703
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 21b99e3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sun Jul 19 19:50:39 2015 +0200

    Remove functions that got reintroduced by error in g21e5a95
    
    Change-Id: I5e5956727641be3e377109dd032da76f6b21c481
    Reviewed-on: https://code.wireshark.org/review/9707
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 19b2848
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Jul 19 13:06:37 2015 -0700

    Fixup make-usb.py
    
    SourceForge (which is where the Linux USB project is hosted) is
    currently under maintenance. As a result this morning's update-numbers
    run clobbered usb.c. Add a minimum vendor and product count check to
    make-usb.py.
    
    Change-Id: Ia18bcd9c0eb365bd97b735795e9ad39cd85093a8
    Reviewed-on: https://code.wireshark.org/review/9706
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0809a4e
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun Jul 19 21:57:20 2015 +0200

    Looks like automatic update 0907a6ebb824c1d9d0eaf34940627e0d4d940e7b
    didn't work as expected for epan/dissectors/usb.c
    Revert that file for now.
    
    Change-Id: I7ebbc860e2e4a93f086fc3e53138f3272814d5f0
    Reviewed-on: https://code.wireshark.org/review/9705
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 0907a6e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 19 08:09:55 2015 -0700

    [Automatic update for 2015-07-19]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I43c44e68e802ed2ab595714ecaf072d941c852ad
    Reviewed-on: https://code.wireshark.org/review/9701
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 26c95e8
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 18 23:24:53 2015 -0700

    Get rid of trailing whitespace.
    
    Change-Id: Ifd39e84284be5701c67173da09be12266ef93e25
    Reviewed-on: https://code.wireshark.org/review/9700
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7e817ae
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 18 23:23:32 2015 -0700

    Require dissectors for all ONC RPC calls and replies.
    
    Either there's a known body for the call or reply, in which case we
    already have a dissector for it, or the body is empty, in which case we
    now have dissect_rpc_void() to dissect it, or the body is unknown or
    nobody's bothered writing it, in which case we use dissect_rpc_unknown()
    for now.
    
    This means that an attempt to look up the dissector for a known
    procedure will always succeed, so we can label it with the name rather
    than with "proc-N".
    
    It also means that we distinguish between "it's void" and "it's
    unknown", so that unknown values will get flagged as such.
    
    Change-Id: I748580c1dca61d1f0972396db1a3b0885fc0a541
    Reviewed-on: https://code.wireshark.org/review/9699
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 75d4fa2
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Jul 18 14:45:50 2015 -0400

    Cleanup pcapng.c file
    
    Cleanup some pcapng.c comments, defines, etc.
    
    Change-Id: Id854c6ef033eb8cb99175ba62aa8733e21433463
    Reviewed-on: https://code.wireshark.org/review/9698
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit eea54a0
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sat Jul 18 07:54:16 2015 +0200

    Enable decryption by default
    
    Change-Id: Ife299ec6b56e6a158ed76413d7f2a8e760824a01
    Reviewed-on: https://code.wireshark.org/review/9696
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 5b9d61f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 17 14:38:32 2015 -0700

    Remove the debugging output; it's now attached to the bug.
    
    Change-Id: I6a9252d2841fc44c6fdb6bd27517d60570afbae0
    Reviewed-on: https://code.wireshark.org/review/9695
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ecd3017
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 17 13:16:29 2015 -0700

    In the p < q test, first run tshark -V, to see the full dissection.
    
    Change-Id: I7d82d34369d192e7da7d554f44f448e1613f850f
    Reviewed-on: https://code.wireshark.org/review/9694
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 354f8e3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 17 11:40:42 2015 -0700

    Dump the output of tshark in the p < q decryption test.
    
    See what it prints on Windows.
    
    Change-Id: Id35d87595543eca3e5b5d80dbe9a7639e0a85994
    Reviewed-on: https://code.wireshark.org/review/9693
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5038efd
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri Jul 17 15:06:18 2015 +0200

    ssl-utils: do not check for empty keylog filenames
    
    If ssl.keylog_file is not configured, an empty string is set. In that
    case, do not attempt to open the keylog file.
    
    Change-Id: I2ba4b9dbc7cfb5009d2623c49a129e98734df80f
    Reviewed-on: https://code.wireshark.org/review/9688
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 38c0506
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jul 15 16:02:51 2015 -0400

    WCCP - remove global variable used to store address information for computation later.
    
    Change-Id: I06841ec77cf9f34914b9dfe10b8cd35824b32b71
    Reviewed-on: https://code.wireshark.org/review/9647
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 21e5a95
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jul 12 20:40:31 2015 -0400

    Remove all preferences related to enabling/disabling heuristic dissectors.
    
    The preferences are still supported for backwards compatibility, but the heuristic_protos file has final say on the "preference" to enable/disable a heuristic dissector.
    
    Also add parameter to heur_dissector_add() for the "default" enable/disable of a heuristic dissector. With this parameter, a few more (presumably weak) heuristic dissectors have been "registered" but of course default to being disabled.
    
    Change-Id: I51bebb2146ef3fbb8418d4f5c7f2cb2b58003a22
    Reviewed-on: https://code.wireshark.org/review/9610
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 5bd6c4a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jul 15 14:33:56 2015 +0200

    STUN: Add missing error codes
    
    Bug:11350
    Change-Id: I8876f7b088229b7b60b2e5d81b70e2e762cad044
    Reviewed-on: https://code.wireshark.org/review/9644
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cbdd102
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jul 17 18:01:27 2015 +0200

    Pacify Windows buildbots
    
    Change-Id: I6e1db78ca42d7995e0309dd5d43e2abaf1e3b55e
    Reviewed-on: https://code.wireshark.org/review/9691
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 3faec79
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Jun 8 19:38:48 2015 +0200

    Qt/Bluetooth: Add HCI Summary dialogue
    
    HCI Summary dialogue collect HCI Opcodes, HCI Events, Hardware Errors,
    Statuses and Reasons. Also show occurrence of them. The top level item
    is group of items (by OGF or types), the second level item is in real
    command, event, hardware error, status or reason. The third level items
    are direct link to packet that contains second level item type.
    
    Change-Id: I6b6bd02533c4605a2dd2c1f5dfee46f72a0f3fdc
    Reviewed-on: https://code.wireshark.org/review/9676
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 6514dec
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jul 16 21:54:38 2015 -0400

    Add preference for disabling 'packet size limited during capture' message in Info column.
    
    Bug: 9827
    Change-Id: I8fdba4827b164bd231981bfdd2e1bd0499f4f87c
    Reviewed-on: https://code.wireshark.org/review/9669
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b1eaf29
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jul 15 17:11:36 2015 -0400

    WCCP - Only populate address table once and presume first address table type is the one that should populate it.
    
    Ping-Bug: 11358
    Change-Id: Ieed093b4aa263026772450f95dd5fa18280f9b76
    Reviewed-on: https://code.wireshark.org/review/9648
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ad82dfd
Author: Jim Young <jyoung@gsu.edu>
Date:   Tue Jul 14 00:28:49 2015 -0400

    Add new long options to GUIs to allow arbitrary protocols and heuristics to be disabled via command-line
    
    Future: Allow multiple protocols to be disabled in one option statement
    (perhaps using a comma or colon delmited set of names in <proto_name>)
    instead of having to specify --disable-protocol <proto_name> multiple times.
    
    Change-Id: I9b8f960acf75298ebb098d9b667fca49dca52306
    Reviewed-on: https://code.wireshark.org/review/9631
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9d24a26
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 17 04:16:47 2015 -0700

    Don't register in a non-existent dissector table.
    
    There's no "btrfcomm.channel" dissector table any more; there's a
    "btrfcomm.dlci" table.
    
    Change-Id: Ia7cdf45c04b6b116a67ef4b7dfdce509cdb15327
    Reviewed-on: https://code.wireshark.org/review/9684
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 477b49e
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jul 16 22:18:01 2015 -0400

    The pflog spec appears to have some host-endian field values.  Since we don't know the platform the host could be, setup preference to decode fields as big or little endian.
    
    Bug: 10202
    Change-Id: Ic550d75a853eca7abd162241b8426ab196ba0d12
    Reviewed-on: https://code.wireshark.org/review/9671
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d1fcb7d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 17 02:01:22 2015 -0700

    Report an error if we fail to open the keylog file.
    
    That way, we don't just silently fail.
    
    Change-Id: I924f4387f6efdc342f6b02ed29796802567c1884
    Reviewed-on: https://code.wireshark.org/review/9683
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5a9e438
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Jul 15 17:15:54 2015 +0200

    Bluetooth: RFCOMM: Replace Decode by Channel by DLCI
    
    Channel is not enough to decode streams over RFCOMM. DLCI is.
    DLCI is Channel and Direction bit that can be used to recognize
    which side RFCOMM service (channel) is - remote or local side.
    Direction bit is first bit in DLCI so: DLCI = Channel < 1 | Direction.
    
    Change-Id: I56a641cfd2d4495d119f08ded1aab5cead458e17
    Reviewed-on: https://code.wireshark.org/review/9679
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit dac7cf9
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Jul 13 19:01:48 2015 +0200

    Bluetooth: Add generic UUID table for DecodeBy
    
    Replace L2CAP Service, RFCOMM Service and AVCTP PID dissector table
    by shared Bluetooth Service UUID table. It also supports UUID16,
    UUID32 and UUID128 by hex-string, like for AVRCP: "110e".
    
    Change-Id: I473bc73d10939e8ed6dd55a6a92387c7a1ec125a
    Reviewed-on: https://code.wireshark.org/review/9678
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 5491fea
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Wed Jul 15 15:24:50 2015 +0200

    Qt: Fix DecodeAs for String tables
    
    It seems that string object die to early. Add space when it can live.
    
    Change-Id: I4e776134ce6782bd6e854ab2bc3c188e80530839
    Reviewed-on: https://code.wireshark.org/review/9677
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit 5a51b8b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 17 00:57:09 2015 -0700

    Don't discard the echo command's output.
    
    Change-Id: I957a0c1beeae4bbd8c32ed05f30525becaf37e95
    Reviewed-on: https://code.wireshark.org/review/9682
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 520315f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 17 00:12:25 2015 -0700

    OK, that didn't do it - print the command again.
    
    Too bad DEC used / as an option character and Bell Labs chose it as a
    pathname separator.
    
    Change-Id: Ie58ba79476e0f24e408fae55f6c5eaff3ffb11fa
    Reviewed-on: https://code.wireshark.org/review/9680
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 57520af
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 16 21:41:50 2015 -0700

    Generate key paths as UN*X paths and then run them through cygpath.
    
    In the decryption_step_ssl_rsa_pq - and the
    decryption_step_ssl_master_secret test - duplicate the code used to
    generate TEST_KEYS_DIR, so that we construct a UN*X-style path and then,
    if we're running on Windows, map the UN*X-style path, which is a Cygwin
    path, to the equivalent Windows-style path, and pass that to TShark on
    the command line.
    
    Bug: 11372
    Change-Id: I442a30c4c954540a05942ed70ec3687941428a96
    Reviewed-on: https://code.wireshark.org/review/9675
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f82df51
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 16 19:39:23 2015 -0700

    Temporarily log the command that's failing.
    
    Trying to debug the problem.
    
    Change-Id: I26f78e49556cb1d40f0c8ddbfd58f058dceb0e77
    Reviewed-on: https://code.wireshark.org/review/9674
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit eaf1aad
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jul 16 22:34:14 2015 -0400

    wmem: don't remove tiny blocks from the recycler
    
    They were never put in it in the first place because they can't hold the
    necessary pointers.
    
    Bug: 11373
    Change-Id: I9e2ec76850929b5ac86e6f7a344d70f56ad3911c
    Reviewed-on: https://code.wireshark.org/review/9672
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 45812a5
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Jul 16 23:16:19 2015 +0200

    test: fix RSA decryption test under Windows
    
    TEST_KEYS_DIR already contains a trailing slash. Windows does not like
    forward slashes, so drop the additional slash to fix tests under
    Windows.
    
    Fixes: v1.99.8rc0-417-g85f8a99
    Bug: 11372
    Change-Id: Ief794977281b70549369c344a193f4d48bcc1776
    Reviewed-on: https://code.wireshark.org/review/9668
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b99f10b
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Jul 16 23:06:36 2015 +0200

    ssl-utils: fix RSA keys with GnuTLS 2.12.23
    
    Apparently GnuTLS 2.12.23 as used on Ubuntu 14.04 produces different
    outputs for the u parameter as observed in gdb. GnuTLS 3.4.2 on Arch
    Linux works fine. Workaround this issue by unconditionally calculating
    the inverse.
    
    Change-Id: I8406352f8c570b355ea774cafc903662d06888ac
    Fixes: v1.99.8rc0-417-g85f8a99
    Bug: 11371
    Reviewed-on: https://code.wireshark.org/review/9666
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 255d53d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jun 11 15:53:51 2015 -0700

    Draw packet colors in the packet list scrollbar.
    
    Inspired by (but not as fancy as) Packet Fence, an enhancement written
    for Ethereal a loooong time ago by Martin Visser:
    
    https://www.wireshark.org/lists/ethereal-dev/200011/msg00122.html
    
    Several text editors call this a "minimap".
    
    Color each scrollbar raster line to match the color of up to 7 packets.
    Note in the comments why this number was chosen.
    
    If we have any flagged frames (marked, ignored, time ref) indicate them
    on either side of the scrolbar.
    
    Handle HiDPI (retina) displays. This means that your window size depends
    on the height of your scrollbar *and* your monitor resolution.
    
    Qt's idea of the slider rect doesn't match up with the slider on OS X.
    This might be local to my build -- I can replicate it Qt Creator.
    
    Change-Id: Ia089d2d766ce37bab11e22d1a5721b4908935304
    Reviewed-on: https://code.wireshark.org/review/8982
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Tested-by: Gerald Combs <gerald@wireshark.org>

commit 3e059c9
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jul 16 23:16:00 2015 +0200

    SMB2: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Ic7d713e8593cd0841089f2c26d2c24f2f008cb31
    Reviewed-on: https://code.wireshark.org/review/9667
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0d4f412
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Thu Jul 16 22:58:32 2015 +0200

    Get rid of _U_, which was (mis)used in some places:
    - It was used even though the variable actually *was* in use for
      some compile settings.
    - It's not the c++ way.
    
    2do: In case the definition of _U_ in Wireshark.pro is only used for
      the ui/qt directory, it should be removed to avoid further (ab)use.
    
    Change-Id: I22d6269a66d6ed558035aad3e6702c4a9c8af1fa
    Reviewed-on: https://code.wireshark.org/review/9665
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit d23ff4f
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 16 22:03:29 2015 +0200

    Qt: remove unused parameters
    
    Change-Id: I45fcf87f99dc15eb49343119fa134fb5698b15cf
    Reviewed-on: https://code.wireshark.org/review/9664
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 0b11d5d
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 15 21:32:44 2015 +0200

    Win32: fix generation of NSIS installer when compiling with Qt 5.5
    
    *.qm files are now in a translations subfolder
    
    Change-Id: I233152cd2662aec7072769e27f7a278c6890d8ec
    Reviewed-on: https://code.wireshark.org/review/9646
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 41ed712
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 16 12:07:49 2015 -0700

    Qt: Frame flag updates.
    
    Move frame flag (mark, ignore, ref_time) member functions from
    PacketList to PacketListModel. They arguably belong there and we can
    emit dataChanged to signal updates.
    
    Rename some variables named "index" since they shadow a function name.
    
    Change-Id: I9a731a76e4e63e562b561c29d13915278d5a7dbb
    Reviewed-on: https://code.wireshark.org/review/9663
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b1e0f43
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 16 11:48:06 2015 -0700

    One definition of the same typedef suffices.
    
    Change-Id: Ic221bf911f6de9bc94278350e0642143d14f6e82
    Reviewed-on: https://code.wireshark.org/review/9662
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0801cd3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 16 19:27:49 2015 +0200

    DTLS: fix compilation without libgcrypt or libgnutls
    
    Change-Id: I571f1ddaaa9579af65d558afc7162493a7393703
    Reviewed-on: https://code.wireshark.org/review/9661
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6fcfb5e
Author: Richard Sharpe <rsharpe@samba.org>
Date:   Sat Jul 4 10:09:58 2015 -0700

    Add support to the SMB2 protocol for one of the proposals for POSIX Extensions
    to the SMB2 protocol.
    
    I am submitting this purely so that it is available for others to play with.
    
    Change-Id: I379b9da90731cc61ce38a1fdf21dc7c09d0d114e
    Signed-off-by: Richard Sharpe <realrichardsharpe@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/9496
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit da91443
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 16 17:08:31 2015 +0200

    LTE RRC: fix dissection of ETWS/CMAS warning messages
    
    Change-Id: I20bb219a32b6c7e39ac415c5c13ad5379f78cba2
    Reviewed-on: https://code.wireshark.org/review/9658
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6d33c12
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 16 09:14:07 2015 -0700

    Add display_is_remote.
    
    Add a display_is_remote function and use it instead of get_conn_cfilter
    to check for remoteness.
    
    Change-Id: Ia93d113afec36ede55daf7dc8394b2dc0d8c9abf
    Reviewed-on: https://code.wireshark.org/review/9659
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 78bc3dd
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 15 23:13:57 2015 +0200

    GSM RLC/MAC: fix an infinite loop when analyzing (E)GPRS header
    
    Change-Id: Ibba32a2860f80979ee9df3caeeaeda14fde7e7d0
    Ping-Bug: 11358
    Reviewed-on: https://code.wireshark.org/review/9649
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d2acb04
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Feb 2 09:01:29 2015 -0800

    Add the RTP Stream Analysis dialog.
    
    Combine the GTK+ RTP Stream Analysis and RTP Graph Analysis dialogs into
    one. Yell at the user less. Disable the Analyze RTP Stream menu item if
    we don't have an RTP stream selected.
    
    There are a *lot* of moving parts in this dialog. I've tested with the
    few RTP captures I have but it's by no means complete.
    
    "To do" items are listed at the top of rtp_analysis.cpp.
    
    Change-Id: Id503977f069bebc46cc68bc749f0c9cbf4d37bf6
    Reviewed-on: https://code.wireshark.org/review/9650
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 2e215db
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 15 23:46:51 2015 +0000

    Revert "On OS X, add the Qt -Wl,-rpath hack in CMake, as we do with autotools."
    
    This reverts commit 4a39706272a59d43530e038f8b20436e2c3052ce.
    
    At least in one quick check, CMake 2.8.12.2 added that already with Qt 5.5.0.
    
    Change-Id: Iabf0e4aa0aa34b380f981f7d039fb3d95847041e
    Reviewed-on: https://code.wireshark.org/review/9654
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5523726
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jul 15 18:04:02 2015 -0400

    WaveAgent - Use tvb_get_guint8 instead of tvb_get_ptr to walk a packet and protect against a really big tag value
    
    Ping-Bug: 11358
    Change-Id: I9ecb5fe6bcd7f25c763d968bf56fb2d9bce2180c
    Reviewed-on: https://code.wireshark.org/review/9639
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0744e67
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jul 15 16:04:21 2015 -0700

    Check for a valid pointer when ignoring a frame.
    
    Change-Id: I1a4a6b3f729c818a68bee1b6b8de3778130252a4
    Reviewed-on: https://code.wireshark.org/review/9652
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 4a39706
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 15 16:04:57 2015 -0700

    On OS X, add the Qt -Wl,-rpath hack in CMake, as we do with autotools.
    
    Change-Id: I281e1bf790b7eefbbd43a3406622262cfe8b36df
    Reviewed-on: https://code.wireshark.org/review/9651
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 85f8a99
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Jul 9 16:36:49 2015 +0200

    ssl-utils: fix failing decryption for some RSA keys
    
    Reported at
    https://ask.wireshark.org/questions/43788/struggling-to-decrypt-ssl
    
    "u" requirement is documented at
    https://www.gnupg.org/documentation/manuals/gcrypt/RSA-key-parameters.html#RSA-key-parameters
    
    Add regression test (key is generated manually with p and q swapped and
    qInv recalculated).
    
    Change-Id: I5505ddcdb54bb47d7a58867b8c3e53fcc0f66dde
    Reviewed-on: https://code.wireshark.org/review/9573
    Tested-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 79be831
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Jul 9 15:48:09 2015 +0200

    ssl-utils: remove unused, broken libgcrypt code
    
    Remove unused SSL_FAST code. That approach cannot work in modern
    libgcrypt anyway since the symbols were renamed and private to
    libgcrypt. The RSA decryption routine is not even a hot path, it is only
    called for decrypting the encrypted pre-master secret.
    
    While at it, expand the SSL_PRIVATE_KEY macro and remove its definition.
    
    Change-Id: Ied556d18501ea6cbac5fb27218364b3479ad62ce
    Reviewed-on: https://code.wireshark.org/review/9572
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit c8c8eef
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jul 13 09:47:21 2015 +0200

    zvt: handle multi-byte tags
    
    and dissect the components of a tag
    add a global true-false string for constructed vs. primitive
    
    Change-Id: If10ecf97cde59e2be9ff5e3163073f6d14e6c61e
    Reviewed-on: https://code.wireshark.org/review/9636
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit a41e8e6
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 14 23:23:15 2015 +0200

    Qt: fix detection of WinPcap / AirPcap
    
    Libraries must be loaded before calling get_runtime_version_info()
    
    Change-Id: Ic95ccde4ce80338b058a22a653736b663c517b38
    Reviewed-on: https://code.wireshark.org/review/9637
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 7977432
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 15 14:47:39 2015 +0200

    Simply code for export of PDUs coming from heuristic dissectors
    
    Let's use the newly introduced find_heur_dissector_by_unique_short_name() function
    
    Change-Id: I5781b9b2f1ab679da07e97755b71840b4b3a9361
    Reviewed-on: https://code.wireshark.org/review/9645
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 52e2908
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 15 12:17:00 2015 +0200

    Filter UDP packets on port 3389 when capturing from a Remote Desktop session
    
    As reported in https://www.wireshark.org/lists/wireshark-dev/201507/msg00069.html
    
    Change-Id: I171b934fd97748f17586ffcee8012fd4c0d156b1
    Reviewed-on: https://code.wireshark.org/review/9642
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 828358d
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jul 14 21:34:29 2015 -0400

    Openflow - prevent infinite loop
    
    Change-Id: I93ce7151467c890c12f7d612b5a7eecf5f91c189
    Ping-Bug: 11358
    Reviewed-on: https://code.wireshark.org/review/9640
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1ac7de5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 14 20:53:53 2015 -0700

    Resize the name column every time we re-display the interface tree.
    
    Interfaces can appear and disappear, changing the maximum length of the
    interface name column; resize it each time we reconstruct the tree.
    
    Change-Id: I38b40f6c3ce51272e8bbb0c7f7fbaa7255886e0e
    Reviewed-on: https://code.wireshark.org/review/9641
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4f1b8d7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 14 11:50:08 2015 -0700

    Add a bounds check.
    
    AirPDcapStoreSa() was assuming that ctx->first_free_index would always
    be within the ctx->sa array; nothing guarantees that.  Fail if it's past
    the end of the array; that means there *are* no free indices.
    
    Change-Id: I73145ea3f3dda1b3800a41fa3a2b01ac344dcbfc
    Reviewed-on: https://code.wireshark.org/review/9634
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9230834
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 14 11:36:10 2015 -0700

    Don't copy zero bytes of data.
    
    memcpy(NULL, NULL, 0) isn't guaranteed by ISO C90 to work, so don't do
    it.  Check whether the length is zero, and don't copy if it is.  (If the
    count is non-zero and the pointer is null, that's an error, and we
    should fail there, so base the test on the length, not the pointer.)
    
    Change-Id: I0b3dc1541b52670d8fef459754c9494cfcc59e5d
    Reviewed-on: https://code.wireshark.org/review/9633
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cdeae7e
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jul 5 17:31:14 2015 -0400

    Add a "heuristic dissectors" tab to the Enable Protocols dialog.
    
    This allows for a global place to enable/disable all heuristic dissectors.  This removes the need for individual dissector preferences, but those will be removed at a later date.  The more important part is the epan code to save/restore the enabled state of the heuristic dissector.  The GTK dialog was more for quickly testing the feature (there was already some GTK code in place that started the heuristic dialog tab)
    
    Change-Id: Ie10687505c27a4456c49d5c4c69a5fc5f6394275
    Ping-Bug:11152
    Reviewed-on: https://code.wireshark.org/review/9508
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1d708ce
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jul 13 00:32:57 2015 -0400

    If the IP length says there no data following the IP layer, don't try to dissect the next layer.
    
    Bug: 11354
    Change-Id: I24a6f2b04e138902fb548ca500af35b18f08acdc
    Reviewed-on: https://code.wireshark.org/review/9619
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2ebe879
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jul 11 08:20:22 2015 -0400

    Correct eventlog.eventlog_OpenEventLogW.Module dissection by providing lsa_String type in .cnf
    
    There seem to be multiple definitions of an "lsa_String" depending on the DCE/RPC dissector, so change was made just in EventLog.
    
    Bug: 10264
    Change-Id: I32e97c2a537b01d3bfe9dd03452b8ee1af4d1c2e
    Reviewed-on: https://code.wireshark.org/review/9598
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b19846d
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Mon Jul 13 13:14:42 2015 -0400

    RTCP heuristic only matches odd port-number TURN ChannelData packets
    
    RTCP can be carried within TURN CannelData messages, or STUN/TURN Send
    messages. The TURN message can be in UDP or TCP, of any port number (by
    default the even port 3478). So the RTCP heuristic dissector used inside the
    TURN ChannelData/Send payload needs to match regardless of the port number of
    the packet.
    
    Bug: 11336
    Change-Id: I155b87c3e666478d3245366784d7d4e49c8e42c8
    Reviewed-on: https://code.wireshark.org/review/9624
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 873d598
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Jul 3 22:16:42 2015 -0400

    stun/turn: stop STUN heuristic incorrectly matching TURN ChannelData messages
    
    The STUN heuristic dissector decoded a packet as a TURN ChannelData message
    with a relatively weak heuristic. In order to avoid incorrect matches, it
    checked for an existing conversation first, but the UDP layer dissector will
    create a conversation so this check was basically useless.
    
    Therefore, the STUN heuristic dissector no longer matches TURN ChannelData
    messages at all. If it matches another TURN message type, then it sets the
    dissector for the conversation to be the non-heuristic dissector, and then
    ChannelData messages will be decoded by that.
    
    Based on the new heuristic dissector enable/disable model, in the near future
    I might add another heuristic for a weaker check, to include TURN ChannelData.
    
    Bug: 11152
    Change-Id: I3f3763ce5f7be71e1402e620424df45e7ea99ee5
    Reviewed-on: https://code.wireshark.org/review/9486
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 5cd7601
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Fri Jul 3 23:25:24 2015 -0400

    tftp: stop TFTP heuristic incorrectly matching TURN ChannelData messages
    
    Make TURN-based TFTP heuristic dissector check for valid opcode and error code
    before matching TURN payload content.
    
    The TFTP heuristic dissector incorrectly matched TURN ChannelData message data
    content when it shouldn't. Unfortunately, the TFTP protocol has very little
    constrained structure to perform heuristic detection with. It basically
    always matched/succeeded.
    
    Bug: 11335
    Change-Id: I950fd5a273fef63d7b069c87d1146cbd752c3bd9
    Reviewed-on: https://code.wireshark.org/review/9489
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit cab4450
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 13 16:20:59 2015 -0700

    The toolkit is called "Qt", not "QT".
    
    Change-Id: If6c0c66bc429a041b3454f1f2355d4659cb17bbf
    Reviewed-on: https://code.wireshark.org/review/9630
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ef3cc4a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jul 13 11:56:20 2015 -0700

    RTP updates.
    
    Merge rtp_sample_header_t into rtp_sample_t. That's the only place it
    was used. Note that rtp_sample_t is used for writing rtpdump files.
    
    Move the rtp_sample_t definition to tap-rtp-common.c. Rename it to
    rtpdump_info_t. Make rtp_write_sample static.
    
    Change-Id: I04e7428f634efa87a98e5d6c82a354f94ab1765d
    Reviewed-on: https://code.wireshark.org/review/9629
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit bed3163
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 13 11:53:42 2015 -0700

    Crank down the log level for macdeployqt.
    
    Adding the additional rpath in the build process appears to have fixed
    the problem I was trying to debug.
    
    Change-Id: I518deea67837f7e084e503b8e5ae7c3f188df3c8
    Reviewed-on: https://code.wireshark.org/review/9628
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5c2a98b
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 13 11:52:41 2015 -0700

    Don't treat Qt frameworks as dependencies.
    
    macdeployqt will stuff them into the bundle for us; exclude anything in
    the Qt frameworks directory from the lists of dependencies for us to
    copy or munge.  (We don't copy them correctly - that results in the
    underlying binary being copied to the Frameworks directory - and we
    leave it up to macdeployqt to do the munging.)
    
    Change-Id: I10cfb8dcb2abadde9d5c52252979267912710f80
    Reviewed-on: https://code.wireshark.org/review/9627
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8ba9479
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jul 13 11:46:46 2015 -0700

    GTK: Don't crash when we click on an RTP sample.
    
    This doesn't fix any of the underlying problems discussed in bug 10613
    but it does keep us from dereferencing a NULL pointer.
    
    Change-Id: I9317366a6ae6e563dcadb32bccee87e8803c37e3
    Ping-Bug: 10613.
    Reviewed-on: https://code.wireshark.org/review/9626
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9f03aa1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 13 10:34:50 2015 -0700

    On OS X, add an rpath for the Qt frameworks, and remove it in the app bundle.
    
    Qt 5.5 and later have @rpath-based install names for the frameworks,
    which means that, if they're not installed in some frameworks directory
    searched by default (such as /Library/Frameworks) - which is the default
    case with the Qt installer - they won't be found by default.
    
    Add the directory in which the frameworks exist as an rpath in the
    Wireshark binary, so that they'll be found, and then remove it from the
    Wireshark binary in the app bundle, as the directory in which the
    frameworks exist on the machine on which Wireshark was built is
    irrelevant to the machines on which it's being deployed - the frameworks
    are included in the bundle, and we already add an rpath to find them
    there.
    
    Change-Id: I54e033743e7b17eab26976064dcd7cd000f97c78
    Reviewed-on: https://code.wireshark.org/review/9625
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7b9b3d4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 13 08:57:56 2015 -0700

    Go back to using macdeployqt for now.
    
    I have some other hammers to try it hit it with to get it to actually
    work with Qt 5.5.
    
    Change-Id: Ie20ccbcee62fa48f768ba22478d07b9dc18d0139
    Reviewed-on: https://code.wireshark.org/review/9623
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit af12e33
Author: Cédric Delmas <cedricde@outlook.fr>
Date:   Mon Jul 13 10:45:37 2015 +0200

    Change Lua's tvbrange:*int64() to read only the number of bytes specified in
    the range.
    
    Previously the length was ignored and 8 bytes were always read.
    
    The constraint on int64() and le_int64() becomes stricter to match int()'s ones:
    the range must be 1, 2, 4 or 8 octets long.
    
    Change-Id: Ic66798757564ac840c332b978effb418726a654c
    Reviewed-on: https://code.wireshark.org/review/9622
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 3a78901
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 13 00:54:17 2015 -0700

    Rpathify references to Qt frameworks separately from references to libraries.
    
    We need to preserve the full path of the framework binary.
    
    Change-Id: I3a13eaffc07028a26fbd970db02cc1cce3fdcd5d
    Reviewed-on: https://code.wireshark.org/review/9621
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit eeccdf3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 21:35:26 2015 -0700

    Copy over the entire framework and then clean it up.
    
    That's easier than trying to carefully copy the relevant bits.
    
    Change-Id: I2f174a735bf91f6434929c25ca33aced03e19597
    Reviewed-on: https://code.wireshark.org/review/9620
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 00b34f4
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Jul 12 22:02:17 2015 -0400

    Lua: all protocol tree entries expand/contract together
    
    Make each Lua Proto object have an alloacted ett value, so
    that they expand/contract only for the same protocol.
    
    Bug: 11356
    Change-Id: I68fb3ff00e080b47d540344aba2554e392b7f1c4
    Reviewed-on: https://code.wireshark.org/review/9611
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit a8f3b3d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 21:22:05 2015 -0700

    Don't copy the entire framework.
    
    Copy only the stuff needed at run time; don't bother with all the
    headers, etc..
    
    Change-Id: Id9d2ec916b6742a6cb6e2ec3c0f7ed1a65a8a93c
    Reviewed-on: https://code.wireshark.org/review/9617
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a9d4f20
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 20:57:49 2015 -0700

    Remove unintended removal of a / in a pathname.
    
    Change-Id: Ibc951e418c497e915e4391258677366a077e5531
    Reviewed-on: https://code.wireshark.org/review/9616
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7cf25a5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 20:25:31 2015 -0700

    Handle Qt 4 when looking for the Qt frameworks directory.
    
    Do it in a loop, so we can change it to handle Qt 6 if, as, and when it
    comes out (assuming they label its packages as Qt6Package).
    
    Change-Id: I1d33d3e9726981b1940fb4409184c486628cb31b
    Reviewed-on: https://code.wireshark.org/review/9615
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0571d84
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 20:21:32 2015 -0700

    Handle both @rpath/ and absolute paths in Qt framework install names.
    
    When looking for Qt framework dependencies, look for dependencies that
    begin either with @rpath or with the Qt framework directory.
    
    Then, first transform @rpath/ to a path relative to the Qt framework
    directory, and then strip off everything past the framework directory,
    to get the absolute path of the framework directory (not of the
    framework binary - we want to copy the whole framework).
    
    In the loop looking for dependencies on things *other* than Qt
    frameworks, exclude Qt framework references with absolute paths from the
    dependencies we find; they get processed later.  (We already excluded
    those with @rpath paths.)
    
    Change-Id: I1e345a5fb82c758d5c1541693b46cb36d2677fab
    Reviewed-on: https://code.wireshark.org/review/9614
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c6aa2b5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 19:54:15 2015 -0700

    Don't add rpaths with CMake, either; osx-app.sh will do so.
    
    Change-Id: Ie8f39e5e89ed8dc21c66ee7f1235c406c3028304
    Reviewed-on: https://code.wireshark.org/review/9613
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c305f08
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 9 16:47:11 2015 -0700

    PacketList column fixes.
    
    Add a columnsChanged slot to PacketList and move the column update code
    from redrawVisiblePackets there. Make sure we call
    packet_list_model_->recreateVisibleRows, which should fix the behavior
    described in bug 11324. Call columnsChanged when we, uh, change columns.
    
    Add a sectionMoved slot to handle column reordering.
    
    Don't rebuild the column list when we update the widgets in the column
    preferences frame.  Do enable and disable the "remove" button as needed.
    
    Try to keep the user from removing all of the columns in both the packet
    list and column preferences.
    
    Left as an exercise for the reader: The GTK+ UI also fails when you
    remove all of the columns via the preferences:
    
      packet_list.c:377:packet_list_sort_column: assertion failed: (col)
    
    Bug: 11324
    Change-Id: Id58cf98e42cbda9aa2fc370ea06b8bcc6098c8ca
    Reviewed-on: https://code.wireshark.org/review/9591
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 494457d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 19:12:05 2015 -0700

    Make OS X .app bundling work with Qt 5.5.
    
    macdeployqt doesn't actually seem to deploy any of Qt into the app
    bundle, probably because we're using it in a fashion they didn't intend
    (i.e., not doing everything with *their* build tools), so we just extend
    our dependency-binding stuff to handle the Qt libraries, and copy over
    the Qt plugins ourselves.
    
    We also add the rpaths to the executables and libraries as part of the
    app bundle building process; I thought it'd fix macdeployqt's problem,
    but it didn't, however, it's probably cleaner to do it there anyway.
    
    Change-Id: I134c2b1a32e168e82de67f0b674d17167481d69a
    Reviewed-on: https://code.wireshark.org/review/9612
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e920868
Author: Anders Broman <a.broman58@gmail.com>
Date:   Sun Jul 12 20:04:14 2015 +0000

    Revert "[MSVC2015] TRy to fix Warnings turned errors."
    
    This reverts commit 8d78077d0d931c6afee6d0e27b5df7c5477e21e5.
    
    Reverted as requested.
    
    Change-Id: I99461820d28215a52cc6bae6792f2892018d28b8
    Reviewed-on: https://code.wireshark.org/review/9609
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 39a2d94
Author: Gerald Combs <gerald@zing.org>
Date:   Sun Jul 12 12:56:05 2015 -0700

    Fixup packet list selection.
    
    Be less aggressive about resetting the packet list model so that we
    retain our selection when (un)coloring packets or rebuilding columns.
    
    Correctly enable a colorization menu item while we're here.
    
    Change-Id: I8d1c8f26dbb8a814b8344b609695b77632006e4b
    Reviewed-on: https://code.wireshark.org/review/9608
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a17bb6c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 12 12:11:34 2015 -0700

    Update a comment.
    
    Change-Id: I38e42ec1ea86a0678333093795be707d6e68ab62
    Reviewed-on: https://code.wireshark.org/review/9607
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0f45a13
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 12 08:11:22 2015 -0700

    [Automatic update for 2015-07-12]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Icf621f6bcde5736653771c3789772b692d5cdd43
    Reviewed-on: https://code.wireshark.org/review/9605
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 71190bc
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sun Jul 12 12:27:08 2015 +0200

    megaco: replace THROW() with an expert info + return
    
    Change-Id: Ib876ad4b0c6d700da1eec8c8512225c123ad14da
    Reviewed-on: https://code.wireshark.org/review/9604
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 8c2fc91
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jul 10 14:26:10 2015 +0200

    VXLAN: Remove a (flag) subtree level
    
    Change-Id: Ic7cdb78d6a162351900e9e1ea8f4ad74ded167d3
    Reviewed-on: https://code.wireshark.org/review/9587
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit be7d295
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jul 11 17:33:26 2015 -0400

    Add "user presentable" and "unique string ids" to heuristic table entries.
    
    This allows better presentation of heuristic dissectors to the end user.
    
    Change-Id: I2ff3985ab914e83c2989880cc0c7b9904045b3f6
    Reviewed-on: https://code.wireshark.org/review/9602
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0caf061
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Tue Jul 7 11:30:44 2015 -0400

    Lua: split up wslua files into class-based files
    
    The size of some of the wslua source files has grown large, and it's hard
    to quickly find things. So split them up based on class name, as much as
    seems reasonable. Also have the make-wsluarm.pl Perl script handle this.
    
    Change-Id: Ib495ec5c2a4df90495c0a05504856288a0b09213
    Reviewed-on: https://code.wireshark.org/review/9579
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit ec1e099
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 11 14:33:31 2015 -0700

    Note the Qt bugs about the broken .pc files.
    
    Change-Id: I050caef2a20b0c6c567f810465a3bcfe40b04a11
    Reviewed-on: https://code.wireshark.org/review/9603
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0bcbb2c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 11 14:12:28 2015 -0700

    Update to Qt 5.5.0, to fix context menu issues.
    
    This requires still *more* .pc file fixes.
    
    Change-Id: I74a385e272063b3342a29122c87331bc8191f7f5
    Ping-Bug: 11355
    Reviewed-on: https://code.wireshark.org/review/9601
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a68518f
Author: Tobias Stoeckmann <tobias@stoeckmann.org>
Date:   Sat Jul 11 18:06:22 2015 +0200

    terminate readlink result
    
    The readlink function does not guarantee to nul-terminate its result string.
    Therefore, it should be done in wsutil/filesystem.c.
    
    Change-Id: Id96533e825a302a1922ce9ac7ee47d5525ac9c39
    Reviewed-on: https://code.wireshark.org/review/9597
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e478267
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Jul 11 13:13:27 2015 -0400

    Lua: fix docs and default base for ProtoField.framenum()
    
    The ProtoField.framenum() Lua function says to use base.DEC, HEX, etc.
    But it really can only allow base.NONE. Also, the code defaults
    to base.DEC if none was given, and then errors if it's a FT_FRAMENUM;
    instead the default base for FT_FRAMENUM should be base.NONE.
    
    Change-Id: I0ec867069c66dbb58399ac2db4652469bfb39152
    Reviewed-on: https://code.wireshark.org/review/9599
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 080c27f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jul 9 09:27:37 2015 +0200

    simple_statistics_dialog(.h): fix parameter 'rtd_table/user_table' not found in the function declaration [-Wdocumentation]
    
    Change-Id: Ie82d8528953169f1a95f985b36848176a45f8187
    Reviewed-on: https://code.wireshark.org/review/9571
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c7dbc5a
Author: Gerald Combs <gerald@zing.org>
Date:   Fri Jul 10 18:42:21 2015 -0700

    Set the font.
    
    Change-Id: I97abd504727ef71bb29969f0a7555e17eaa70561
    Reviewed-on: https://code.wireshark.org/review/9596
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d564ea9
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jul 10 16:15:55 2015 -0700

    Qt: Add Colorize Conversation menu items.
    
    Add the "View→Colorize Conversation" menu similar to the GTK+ UI. Add
    the "Reset" item under the "Colorize Conversation" menu instead of the
    top-level "View" menu. Make sure the "Reset" shortcut is Ctrl+Space even
    on OS X. Normally Qt would convert it to Cmd+Space, but that's used by
    Spotlight.
    
    Add StockIcon::colorIcon and use it to create filled square icons.
    
    Change-Id: I2af9e26d025cdaf97482422bbb9440e28e18d1ac
    Reviewed-on: https://code.wireshark.org/review/9595
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 44408ed
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jul 10 10:59:16 2015 -0700

    Update library release dates.
    
    Change-Id: I053096551a18242062766d966a2f28da047d5761
    Reviewed-on: https://code.wireshark.org/review/9592
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit a1a2d50
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 9 21:09:48 2015 -0700

    Make .o files, not .cpp and .h files, depend on the ui_*.h files.
    
    That's one of the mechanisms the autotools documentation suggests using
    to handle generated header files.
    
    Using it means that "make dist" will no longer try to build those files
    (they're not part of the distribution - and they can't be, as the files
    would be different for Qt 4 and Qt 5, and need to be generated by the
    uic from the same version of Qt as the one against which Wireshark is
    being built).
    
    This means we don't need to try to find uic, moc, or rcc if we're not
    building with Qt, so don't do so.
    
    Change-Id: Id2aadb8289598b82e14e4ed402ff8cdc15fdef74
    Reviewed-on: https://code.wireshark.org/review/9583
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a63f841
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Fri Jul 10 20:52:17 2015 +0100

    Netflow: Fix sequence analysis to work for different protocol versions
    
    Change-Id: Iaf7cb50e88e81578f79f92a2387c29c71e0e1d9d
    Reviewed-on: https://code.wireshark.org/review/9574
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit aa839b3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Fri Jul 10 14:38:50 2015 +0200

    wslua_tree: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: I2bbc4c0a76935367692a5fd382013cbd074754e0
    Reviewed-on: https://code.wireshark.org/review/9588
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 76a450f
Author: Benjamin Hesmans <benjamin.hesmans@uclouvain.be>
Date:   Thu Jul 9 15:18:02 2015 +0200

    MPTCP small options
    
    The minimum length of MPTCP option is 3 (MP_PRIO)
    
    Signed-off-by: Benjamin Hesmans <benjamin.hesmans@uclouvain.be>
    
    Change-Id: I9742a7923497b07b9a7c761b02d52ac541e28cc7
    Reviewed-on: https://code.wireshark.org/review/9585
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 52d04fd
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Fri Jul 10 09:45:09 2015 +0200

    Fix a typo
    
    Change-Id: If608ef78526c1876cba7650b42eca1d9c9b4e817
    Reviewed-on: https://code.wireshark.org/review/9586
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 4da081b
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 8 22:59:03 2015 +0200

    IEEE 802.11: tap all packets
    
    And only take into account management, non null data and or extension frames
    in WLAN traffic statistics, as previously
    
    Bug: 11318
    Change-Id: I32c059a2594331c4e317380b9de43fb582f7f8cb
    Reviewed-on: https://code.wireshark.org/review/9566
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f6a4826
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 9 23:12:55 2015 +0200

    LTE RRC: upgrade dissector to v12.6.0
    
    Change-Id: I6e8271f98cba0074b27df73a21337d388efcdc7a
    Reviewed-on: https://code.wireshark.org/review/9578
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d6631c6
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jul 9 21:44:27 2015 -0400

    Bugfix GTK RPC SRT dialog use of direct hashing.
    
    Change-Id: I3db6ee3e6c5cb79b9cc31068930c9fe9c9d8aa7a
    Reviewed-on: https://code.wireshark.org/review/9581
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 0aaf0f0
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 9 16:00:14 2015 -0700

    Add the "Resolved Addresses" dialog.
    
    The GTK+ equivalent is named "Address Resolution" but "Resolved
    Addresses" seemed (to me at least) to be more clear.
    
    Change-Id: I1806354d91bb5ce8af11d20568b92a04c78d4d73
    Reviewed-on: https://code.wireshark.org/review/9580
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit b820d74
Author: Cody Doucette <doucette@bu.edu>
Date:   Fri Jun 19 16:20:51 2015 -0400

    xip: add support for XIP packets
    
    The eXpressive Internet Protocol (XIP) is the network layer
    protocol for the eXpressive Internet Architecture (XIA), a
    future Internet architecture project. The addresses in XIP are
    directed acyclic graphs, so much of the code included in this
    addition verifies the correctness of the DAGs and displays them
    in human-readable form.
    
    Bug: 11265
    Change-Id: I948aaa73b927f8afc162d89689d184c5657f60b1
    Reviewed-on: https://code.wireshark.org/review/8881
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 38e0477
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jul 9 22:44:23 2015 -0400

    Use tfs_defined_not_defined
    
    Change-Id: Id9409109ffe667d1f8b3201792f7b4146b1f73f5
    Reviewed-on: https://code.wireshark.org/review/9582
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2a5a560
Author: Amine Kherbouche <amine.kherbouche@6wind.com>
Date:   Tue Jul 7 10:46:34 2015 +0200

    VXLAN: Add Group Based Policy dissector
    
    According to some advices from my last commit,i made some changes, and i
    use proto_tree_add_bitmask for bits field.
    
    Editing VXLAN dissector for supporting GBP extension described in the
    following draft link :
    https://tools.ietf.org/html/draft-smith-vxlan-group-policy-00
    
    This pach works fine with "old" version of VXLAN (no GBP support)
    
    The flags are now extended to 16 bits to support GBP extension, Group
    Policy Id is on 16 bits, VNI always on 24 bits and remaining bits are reserved.
    The following bits are defined in addition to the existing VXLAN fields:
    	bit 0 : "G" Group Based Policy Extension bit
    	bit 9 : "D" Don't Learn bit
    	bit 12 : "A" Policy Applied bit
    	the remaining bits are reserved
    
    Bug: 11348
    Change-Id: I425ed63cf76f134eb3d1680a1753ed31f252dfa8
    Signed-off-by: Amine Kherbouche <amine.kherbouche@6wind.com>
    Reviewed-on: https://code.wireshark.org/review/9537
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fdd07c4
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 9 10:29:21 2015 -0700

    Make sure we uncheck the "Find Packet" action.
    
    Make sure we uncheck the "Find Packet" action when we're done finding
    packets. Make the "Go To Packet" action checkable and ensure that it's
    properly checked an unchecked as well.
    
    Change-Id: I979cabfd950ec4807ebcd40664b44b600557cf48
    Reviewed-on: https://code.wireshark.org/review/9577
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d36930e
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jul 6 23:16:33 2015 +0200

    HTTP2: fix dissection of traffic over HTTP port
    
    Bug: 11331
    Change-Id: Ib85e18ebb3c958d68ee3a4295d35982ffcd375ee
    Reviewed-on: https://code.wireshark.org/review/9525
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 949ff7a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jul 9 09:46:06 2015 -0700

    Update the release notes.
    
    Change-Id: I290cd22e46ac88401524781ea027bbc8200452a6
    Reviewed-on: https://code.wireshark.org/review/9576
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7082b86
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 8 23:37:00 2015 -0700

    Clean up the "Build wireshark" message.
    
    Change-Id: I40883aee5207dd8a437fcde827386bd370fbe96c
    Reviewed-on: https://code.wireshark.org/review/9570
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 281055a
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Wed Jul 8 15:20:50 2015 -0400

    Lua: add functions for more field information
    
    Add Lua functions so a plugin can introspect field information, such
    as the type of field, flags, tvb, etc. Also add a couple of Tvb and
    ByteArray methods. And cleanup the TreeItem code a little.
    
    Change-Id: I7b58ce589ace91cce14b8abccd01ceabb63e2653
    Reviewed-on: https://code.wireshark.org/review/6500
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 7b85f62
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jul 8 14:09:09 2015 +0200

    service_response_time_dialog/response_time_delay_dialog(.h): fix '@return' command used in a comment that is attached to a function returning void [-Wdocumentation]
    
    Change-Id: I84682651f40ab9e8f54a6ae656d0670096b5a3bc
    Reviewed-on: https://code.wireshark.org/review/9559
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ac7a465
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jul 7 15:43:03 2015 +0200

    main_window(.h): fix parameter 'menu_path' not found in the function declaration [-Wdocumentation]
    
    Change-Id: I98a9388f44fe38261fde5422ac821fbb6c1d993c
    Reviewed-on: https://code.wireshark.org/review/9553
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d88639c
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jul 8 12:04:42 2015 +0200

    qt_ui_utils.h: fix empty paragraph passed to '@return' command [-Wdocumentation]
    
    Change-Id: I120ed85ee88253084646db4817ae77a8c90492f2
    Reviewed-on: https://code.wireshark.org/review/9557
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9cb2f76
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jul 8 10:09:31 2015 +0200

    ARP: Remove double space before Tell
    
    Change-Id: I5d8f79e01912c010ca74a0134a0f397c62f1e106
    Reviewed-on: https://code.wireshark.org/review/9556
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a8faa04
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jul 8 15:44:04 2015 -0700

    Qt: Add dynamic menu support.
    
    Generalize the dynamic menu code and make it possible to connect
    multiple types of actions to their corresponding slots.
    
    Change-Id: Ib915ad5a666310e2a6e366fada006336820d1653
    Reviewed-on: https://code.wireshark.org/review/9568
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 131e0ab
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 8 16:19:19 2015 -0700

    Handle setModule(NULL) more safely.
    
    If module_name is null, we can't do much of anything - we don't have a
    protocol ID, so we don't have a protocol.
    
    Change-Id: I42c2fa4b47e39d7ac122c60be91b5d408bf30a1d
    Reviewed-on: https://code.wireshark.org/review/9569
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e312d41
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jul 8 13:54:24 2015 -0700

    GTK+: Add a Telephony/ANSI menu placeholder.
    
    Add REGISTER_STAT_GROUP_TELEPHONY_ANSI as well, and use it to add
    recently updated stats.
    
    Make sure we properly escape our path separators.
    
    Change-Id: I979d5c29a82acddec1a9bcae7e3cb9c5ea3f9d33
    Reviewed-on: https://code.wireshark.org/review/9564
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5c8b92c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 8 14:21:49 2015 -0700

    Make sure we get the Qt tools for the Qt version with which we're building.
    
    For example, Qt 4's uic produces .h files that don't compile with Qt 5,
    as they use header #include paths that work with Qt 4's headers but not
    Qt 5's headers.
    
    Change-Id: I50c7bd15fca05475180a933a6c77955dc686c0c5
    Reviewed-on: https://code.wireshark.org/review/9567
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 6a35ee3
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Jun 27 10:13:00 2015 -0700

    dapp: cleanup, make elements filterable
    
    don't squeeze all info into the subtree title
    remove an unnecessary THROW()
    
    Change-Id: I542f220d9d786d0fa879a0b2fe4549ffa1ca87af
    Reviewed-on: https://code.wireshark.org/review/9544
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit f96a592
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jul 8 20:59:58 2015 +0000

    Revert "[ieee80211] Cleanup"
    
    This reverts commit 89c24ee8e8086dc88042d9f048479487b342702e.
    
    Further investigation of unused functions required ....
    
    Change-Id: I0c015cf067eaa0ce5bdafa0bce29bed373e9a82f
    Reviewed-on: https://code.wireshark.org/review/9565
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 89c24ee
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jul 8 15:32:59 2015 -0400

    [ieee80211] Cleanup
    
    Primarily:
       Call fixed_field functions directly instead of doing a
       linear search by "function number" in a large table
       of dissector addresses to determine the function address
       for each function call.
    
       As part of this change,  the order of certain fixed_field
       functions was changed to fix any forward references.
    
    Also:
       Spelling
       Whitespace
    
    Change-Id: I9bb7e239086f9b65044929f2cb7e7f9d9b9adaee
    Reviewed-on: https://code.wireshark.org/review/9563
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit ccdd4be
Author: Jean Thomas <jeanthomas@sierrawireless.com>
Date:   Wed Jul 8 18:31:00 2015 +0200

    GSM A RR: fix GSM H/L bits management
    
    Bug: 11347
    Change-Id: Iec48d52fd1f9c0669a7ef0cd95bf403025d477ae
    Reviewed-on: https://code.wireshark.org/review/9562
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e0deadc
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Thu Jul 2 11:48:12 2015 +0200

    opcua dissector: fix display of service type in packet column
    
    The loop was iterating using g_NumServices, which is the number of entries in g_arParserTable and not the number of entries in g_requesttypes. Instead now we use val_to_str which can in addition display the ServiceId instead if not found in the table.
    
    Change-Id: If15ee5c460e07c4687464805935b92c913392011
    Reviewed-on: https://code.wireshark.org/review/9459
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4eca268
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jul 7 16:18:00 2015 -0700

    Add SimpleStatisticsDialog.
    
    To do:
    - Refactor dynamic menu item placement.
    
    Change-Id: I087de9f2fa3c2ff7dc08e5d54bc9c1b984fdd7b1
    Reviewed-on: https://code.wireshark.org/review/9561
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit d3f71f9
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed Jul 8 12:57:12 2015 +0100

    nb_rtpmux: Add a port preference
    
    Add as a preference a UDP port range to register the dissector on. Also:
    - show multiple frames in the Info column
    - show summary (ports, length) in protocol root
    
    Change-Id: I91d0a006cd8d0b97d2c6d65ae432fca3dff94733
    Reviewed-on: https://code.wireshark.org/review/9558
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit bd64be6
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed Jul 8 14:47:45 2015 +0100

    RANAP: if bindingid looks like port number, extract and show
    
    Change-Id: Ibfb98bf72ebbd620f21a13e5a4435144a8ef9f6a
    Reviewed-on: https://code.wireshark.org/review/9560
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 0997129
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Wed Jul 8 08:07:24 2015 +0100

    Fix CMake install of lua scripts
    
    The CMake generation of all-manifest.nsh is missing the 3
    lua scripts, init.lua, console.lua and dtd_gen.lua.
    
    Change-Id: I2d34cfe075c5195d1d8816c0d816015195756fa2
    Reviewed-on: https://code.wireshark.org/review/9551
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 8fdd49a
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Jul 8 09:09:48 2015 +0200

    Duplicate CheckCCompilerFlag for CXX.
    Correctly detect that XCode7Beta1 does not support -fno-delete-null-pointer-checks
      by adding a new regex.
    
    Change-Id: I76e0b6bb72094e6e75dae9be97bc7ee8e7051792
    Reviewed-on: https://code.wireshark.org/review/9552
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit d7f0118
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 7 22:17:11 2015 -0700

    Put back closing } accidentally removed in previous commit.
    
    Change-Id: Ic02b0c86e55751a27d5d0417f4f5314def69e794
    Reviewed-on: https://code.wireshark.org/review/9550
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e93fa8a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jul 7 12:04:48 2015 -0700

    Add ResponseTimeDelayDialog.
    
    Change-Id: Ie1ea316643a3465763aec71f4a3ef4bf1a5ae639
    Reviewed-on: https://code.wireshark.org/review/9548
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5ccd8af
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jul 6 14:41:56 2015 +0200

    qt_ui_utils.h: fix @param command used in a comment that is not attached to a function declaration [-Wdocumentation]
    
    Move class declaration on the top
    
    Change-Id: I4ced45f2c677a41cc8f5180d2eb5d211f4c6e6c1
    Reviewed-on: https://code.wireshark.org/review/9518
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0619ed2
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Jul 8 00:13:24 2015 +0200

    Finish removal of Q_UNUSED.
    Todo: qcustomplot via upstream
    
    Change-Id: I19cf98f1281ecb1f6efbb7d36c997d5aa43f5baf
    Reviewed-on: https://code.wireshark.org/review/9547
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 51a37b6
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Tue Jul 7 23:47:20 2015 +0200

    Continuing to remove Q_UNUSED
    
    Change-Id: I54bc4a1b7d39abd1bb88ee361b0de5fcbca1efe8
    Reviewed-on: https://code.wireshark.org/review/9546
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit e91ca72
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jul 3 15:52:49 2015 -0500

    Qt: Add initial Lua support.
    
    Add a FunnelStatistics class, which is the main interface between the Qt
    UI and the Funnel API.
    
    Add FunnelTextDialog, which implements the text_window, ProgDlg, menu,
    and other routines. Add FunnelStringDialog, which implements dlg_new.
    
    We currently only support "Tools" menu items (MENU_TOOLS_UNSORTED, aka
    REGISTER_TOOLS_GROUP_UNSORTED). Add a disabled placeholder to the
    "Tools" menu in case we don't load any scripts.
    
    Use "struct progdlg" instead of needlessly casting to
    funnel_progress_window_t.
    
    To do:
    - Add support for MENU_STAT_UNSORTED, MENU_STAT_GENERIC, etc.
    - Make the firewall config generator a Lua script?
    - Add FunnelGraphDialog? It seems like it would be useful to
      make QCustomPlot accessible to Lua scripts.
    
    Ping-Bug: 9845
    Change-Id: Iefff02e9032ed1853666f7902509ed08b431e7a7
    Reviewed-on: https://code.wireshark.org/review/9523
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e962217
Author: cbontje <cbontje@gmail.com>
Date:   Mon Jul 6 15:28:28 2015 -0600

    Added support for optional display of signed 16/32-bit integer Modbus register data
    
    Change-Id: I2a81fdf426fdc20db200596ccd2eae26936fc81a
    Reviewed-on: https://code.wireshark.org/review/9526
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b8f3888
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 7 10:43:25 2015 -0700

    Add #defines for various aggregation flags, and use them.
    
    Fewer magic hex numbers, more readability.
    
    Change-Id: I698e0e9b28b75249c7dff5f1e1c7fbe0b4a93be2
    Reviewed-on: https://code.wireshark.org/review/9543
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4f1a818
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Tue Jul 7 12:07:18 2015 -0400

    MySQL: use tvb_format_text instead of format_text/tvb_get_ptr
    
    Bug: 11344
    Change-Id: Ibddbcce3e6e98bc3866cab9eb76e9762e4d19138
    Reviewed-on: https://code.wireshark.org/review/9538
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 813a1fb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 7 09:44:28 2015 -0700

    Initialize the 11b presence flag to 0.
    
    There were some cases where it wasn't getting initialized when we set
    the PHY to 11b, in addition to the one Pascal found.
    
    Change-Id: I127737cd29dc53c96342364de5cb722b135f23f3
    Reviewed-on: https://code.wireshark.org/review/9540
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5b76ef3
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 7 18:28:37 2015 +0200

    Next Windows Server version seems to be named Windows Server 2016 now
    
    Change-Id: I31fb5495f5e17ccba1578a069ca33448a291923f
    Reviewed-on: https://code.wireshark.org/review/9539
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f4ce6cb
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 7 17:13:17 2015 +0200

    PPI: initialize optional presence flags bitmap when using 802.11B
    
    Bug: 11346
    Change-Id: I3c80bda24af0c981c75e6d815dd2a1d328e9eb41
    Reviewed-on: https://code.wireshark.org/review/9536
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a908cf0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jul 7 13:45:51 2015 +0200

    ixveriwave: comment pcp_type variable as it is not used yet
    
    Change-Id: If4751f1044282579c8741b57579a5f2e8f9f393c
    Reviewed-on: https://code.wireshark.org/review/9535
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 30d82a4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 7 00:46:40 2015 -0700

    Actually, user_data *is* used there.
    
    Change-Id: Ic22741e6551b5ec2eb76408ff8521067d9d40a88
    Reviewed-on: https://code.wireshark.org/review/9534
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 53fcaab
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jul 7 00:39:50 2015 -0700

    Use the NSS provided by the Ixia Veriwave hardware.
    
    It doesn't appear to provide the FEC type, although radiotap does, so
    add a flag to indicate whether we have that.
    
    Change-Id: I298d79bc6b640ee2408c3d70075c32bf331a210c
    Reviewed-on: https://code.wireshark.org/review/9533
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 21754f4
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Tue Jul 7 08:24:50 2015 +0200

    Starting to get rid of Q_UNUSED declarations for unused function parameters.
    The official C++ way is to leave out the variable name instead. This has the
    advantage to be reliable: In one case a variable declared unused was later
    used.
    
    Change-Id: I1c96636f7fa7a621d1594d1e9cacaec75c561faa
    Reviewed-on: https://code.wireshark.org/review/9532
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit aca5f4e
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jul 7 02:06:34 2015 +0000

    Revert "diameter: convert some GArrays to epan wmem_arrays"
    
    This reverts commit 59017a22be9a5a86f5c365cc22a2f1e23205597b.
    
    As indicated by Michael on the original change, this breaks
    diameter rather badly for some reason I haven't been able to
    determine. Reverting until I can track down the root cause.
    
    Change-Id: Iedfab546a726395c546a88138cd45b6667913a11
    Reviewed-on: https://code.wireshark.org/review/9531
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 5999b97
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Mon Jul 6 19:56:15 2015 -0400

    MySQL: dissector adds packet content to INFO column without scrubbing it
    
    Make the MYSQL protocol dissector scrub the strings from the packet content by
    putting it through format_text() to remove/replace CR, LF, TAB, etc. The
    fields affected are: query string, greeting version string, login username,
    and login schema.
    
    Bug: 11344
    
    Change-Id: Ie1a593026c21720eecc77e7b3a7e63db11adf2a1
    Reviewed-on: https://code.wireshark.org/review/9530
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 8ebf735
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 6 16:46:10 2015 -0700

    Clean up a bunch of stuff.
    
    The command byte values aren't FPGA-specific - if they were, the code
    wouldn't have worked.  Provide #defines for the main ones and check for
    them, and use that to determine whether the packet is transmitted or
    received.
    
    Add a bunch of #defines, shuffle some defines to cluster related ones
    together and separate unrelated ones, get rid of duplicate #defines
    (where different FPGAs use the same value).
    
    Fix some typoes.
    
    Change-Id: Ic8adc589d7c36a4a91a81858de40c904743dd067
    Reviewed-on: https://code.wireshark.org/review/9529
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 886c2d0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jul 6 14:54:03 2015 -0700

    Update a comment.
    
    Change-Id: I71e66a8f6faf3b213ab6db2856a36c1d31897166
    Reviewed-on: https://code.wireshark.org/review/9527
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit e7dfcba
Author: Luca Melette <luca@srlabs.de>
Date:   Mon Jul 6 17:41:55 2015 +0200

    GTP fixes: RAB setup and PDP context prio
    
    Change-Id: Ie250eaf17136076dbb3e44ac15b222a8b2e367ac
    Reviewed-on: https://code.wireshark.org/review/9520
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e55e785
Author: Bill Meier <wmeier@newsguy.com>
Date:   Mon Jul 6 11:52:18 2015 -0400

    [ieee80211] Fix proto_tree_add_item() reversed offset,length args
    
    Change-Id: I2bb087138de662fd41301b93ef9804345c0875b8
    Reviewed-on: https://code.wireshark.org/review/9521
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit d29c5eb
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sun Jul 5 23:58:19 2015 -0400

    Rawshark calls init_process_policies() twice
    
    Calling it twice won't make it work any better.
    
    Change-Id: I30fea0ba2ccf6ebfb6caf6a58333cee9b192e4cb
    Reviewed-on: https://code.wireshark.org/review/9513
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit 0b4cd71
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 5 19:11:24 2015 -0700

    Add some comments.
    
    OK, where's NSS for the presumably-one-and-only user hiding for 11ac?
    
    Change-Id: I53eb216c5d209dc5bb46c1d0aca7f8a200161e3e
    Reviewed-on: https://code.wireshark.org/review/9512
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a7ac6cf
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 5 19:05:52 2015 -0700

    Stub out the US public safety band.
    
    OK, anybody know how to convert a frequency between 4.9 GHz and 5.0 GHz
    into a channel number, in a fashion that handles what's actually used in
    both the US and Japan?
    
    Change-Id: I95f4f9649e379b3d6651aadf8f62d8406b81b3b3
    Reviewed-on: https://code.wireshark.org/review/9511
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 94eb30a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 5 19:02:51 2015 -0700

    Add a comment.
    
    Why, oh why, are channel numbers used for 802.11?
    
    Change-Id: Ie26987dfeaad2ce0ead0eef72339f966aadeeecd
    Reviewed-on: https://code.wireshark.org/review/9510
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3539988
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jul 5 14:56:45 2015 -0400

    prefs: fix memory leak reading capture columns
    
    Change-Id: I925ec3329cc099a5f3d2ae66e43b06fc52309dc8
    Reviewed-on: https://code.wireshark.org/review/9504
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit ef1f0c1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jul 5 16:31:40 2015 -0700

    Use space indentation consistently.
    
    Change-Id: I1af52157a8c7383981c514d9dddea3b7186dbe6d
    Reviewed-on: https://code.wireshark.org/review/9509
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fbd81bf
Author: Tyson Key <tyson.key@gmail.com>
Date:   Sun Jul 5 18:53:23 2015 +0000

    Associate the file-mp4 dissector with the audio/mp4 MIME type
    
    Bug:11338
    Change-Id: Ied463ea5ef65bcc657e09c0d5f7983cb4dcd581a
    Reviewed-on: https://code.wireshark.org/review/9503
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 1aecd88
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jul 5 22:39:01 2015 +0200

    rtd_table.h: fix parameter 'rtd_stat_table' not found in the function declaration [-Wdocumentation]
    
    Change-Id: Ie31efc352b5f51808aa9f3d1e6b00734ccc38bfe
    Reviewed-on: https://code.wireshark.org/review/9507
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3658a04
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jul 5 22:37:26 2015 +0200

    RPC: Fix Dead Store (Dead assignement/Dead increment) warning found by Clang
    
    Change-Id: Iea6529d8fb43d1cea723c92b3b348029c39c0c8d
    Reviewed-on: https://code.wireshark.org/review/9506
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit cfe7dc8
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jul 5 11:32:44 2015 -0400

    80211 utils: free nl messages after use
    
    Valgrind picked this up as a very large memory leak on systems with libnl,
    since the GUI polls this code regularly and was leaking several nl messages
    each time.
    
    Change-Id: Ie6b32e094d90183a16fb187adea430c4b43c208c
    Reviewed-on: https://code.wireshark.org/review/9502
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit c00e469
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Jul 5 12:47:15 2015 +0100

    Fix Windows CMake generated installer to include snmp mibs
    
    Wireshark.nsi requires SMI_DIR to point to the base of the SMI directory
    but FindSMI.cmake doesn't set it.  Set it in the main CMakeLists.txt
    
    Change-Id: Id667341273d6abb0d2d64ef91cc62d1ce3f42a83
    Reviewed-on: https://code.wireshark.org/review/9499
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 9b180e5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jul 5 08:09:54 2015 -0700

    [Automatic update for 2015-07-05]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I7c644cb36af2a5c81efc4c22f1355b1a5e599b49
    Reviewed-on: https://code.wireshark.org/review/9500
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 845998d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jul 4 13:14:56 2015 -0700

    Mark another function as printf-like.
    
    Change-Id: I2aa13265da1efbf7edfe693c9b434940462ca237
    Reviewed-on: https://code.wireshark.org/review/9497
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 59017a2
Author: Evan Huus <eapache@gmail.com>
Date:   Sat Jul 4 12:28:53 2015 -0400

    diameter: convert some GArrays to epan wmem_arrays
    
    Fixes ~30KB of memory leak on startup and a handful of "reachable" memory as
    well.
    
    Change-Id: Ia1c633b65fa282c7bbe9d3772dae58643ef15c0e
    Reviewed-on: https://code.wireshark.org/review/9495
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 6e62ad5
Author: Evan Huus <eapache@gmail.com>
Date:   Sat Jul 4 12:08:08 2015 -0400

    scsi-osd: initialize the entire extra_data struct
    
    Bug: 11337
    Change-Id: If240b581c73e1cfb2aae1e85855170387677eb32
    Reviewed-on: https://code.wireshark.org/review/9494
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4e0002e
Author: Richard Sharpe <rsharpe@samba.org>
Date:   Thu Jul 2 21:23:10 2015 -0700

    Add support for dissecting Notify Responses based on the SMB2 spec. Tested with
    a capture I have. Also add to small suggested changes.
    
    Change-Id: Iaa031f5e97e94778ea7fa00fab24b7c0dfadd4de
    Signed-off-by: Richard Sharpe <realrichardsharpe@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/9477
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 4a2fe58
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jul 4 11:02:51 2015 -0400

    Add "custom" dissector table tab to Internals->Dissector Tables dialog
    
    Bug: 11334
    Change-Id: I2af3e41643e4e92593ed0cfe070c4f7bcb450a06
    Reviewed-on: https://code.wireshark.org/review/9493
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit c5ec50e
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Sun Jul 5 10:55:49 2015 +0200

    Add missing C++ header
    
    This fixes:
    ui/qt/wireshark_application.cpp:588:5: error: 'sort' is not a member of 'std'
         std::sort(sgi_list.begin(), sgi_list.end(), qActionLessThan);
    
    Change-Id: I70058f0fcbabb0279bed5c62d09d55d88bda0fd4
    Reviewed-on: https://code.wireshark.org/review/9492
    Petri-Dish: Michal Labedzki <michal.labedzki@tieto.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit ebae0c9
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jul 3 21:14:53 2015 -0400

    store tcp/udp port names in epan scope
    
    This causes them to be freed on shutdown, cleaning up ~800KB of "reachable"
    memory according to valgrind. The fact that we even need to construct these as
    value_strings is questionable IMHO, but that's a problem for a later date.
    
    Switch epan_scope to the BLOCK allocator now that we're using it for so much
    more, this gives a small but measurable increase in startup time.
    
    Change-Id: I187460b769e28da3c6629abac1d9196727ae7dde
    Reviewed-on: https://code.wireshark.org/review/9483
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit dd8311d
Author: Hadriel Kaplan <hadrielk@yahoo.com>
Date:   Sat Jul 4 01:12:56 2015 -0400

    Lua: split init/cleanup routines
    
    The epan init routines have been split up into init vs. cleanup, where the
    init routines are only invoked when a file is opened, and the cleanup ones are
    invoked multiple times, such as on a re-scan of packets.
    
    Since the Lua API's Proto.init() callback is supposed to be invoked at both
    init and cleanup times, the wslua code now invokes it in both of epan's init
    and cleanup routines.
    
    Change-Id: I51a4d8bc02630a4d2db5408c37f7eb8f6e0ce88c
    Reviewed-on: https://code.wireshark.org/review/9491
    Reviewed-by: Hadriel Kaplan <hadrielk@yahoo.com>
    Petri-Dish: Hadriel Kaplan <hadrielk@yahoo.com>
    Tested-by: Hadriel Kaplan <hadrielk@yahoo.com>

commit c6f4112
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 3 19:38:54 2015 -0700

    Do error checking on simple_error_message_box() calls and fix errors.
    
    It's a printf-like routine, so give it the right declaration.  Fix
    errors that this finds.
    
    Change-Id: I7e8c100ff9e16ba89743ce744cbf548aae705b77
    Reviewed-on: https://code.wireshark.org/review/9487
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b8d96a4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jul 3 19:31:28 2015 -0700

    Squelch a compiler warning.
    
    Some systems still offer the old V7 index()/rindex() routines, in
    addition to the standard strchr()/strrchr() routines, so don't use
    "index" as a variable.  (Maybe the folks at Center 127 were thinking of
    the PL/I index() function, but that's more like strstr(), so it wasn't a
    good choice of name.)
    
    Change-Id: I6193a93684c0684c83357def3d76e0dbd808e29b
    Reviewed-on: https://code.wireshark.org/review/9485
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit c60b8ea
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jul 3 21:49:14 2015 -0400

    ansi_map: fix float literals missing f suffix
    
    Should fix OSX buildbots
    
    Change-Id: I466d4cdc0c4b52a15cadb9b5d429561ca68cc913
    Reviewed-on: https://code.wireshark.org/review/9484
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 3243b6f
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Jun 27 15:33:42 2015 -0700

    asn1: split off cleanup routines
    
    General approach:
    
     1. Split allocation (e.g. g_hash_table_new) from deallocation
        (g_hash_table_destroy) into functions named "init" and "cleanup".
     2. Remove guards that test whether the hash tables are set as
        init is always called before cleanup.
     3. Remove setting hash tables to NULL after destruction.
     4. Copy register_init_routine function call and change init to cleanup.
     5. Add cleanup function that calls reassembly_table_destroy if there
        is a reassembly_table_init function.
    
    Some templates were modified as follows:
    
     - snmp: split renew into init+cleanup, but keep renew for the uat_new
       callback.
     - ldap,ros: Rename init to cleanup as there was no initialization.
     - camel: remove init function from header, make it static. Remove debug
       print.
     - tcap: remove unused ssn_range assignment.
    
    Files in epan/ were regenerated using cmake && make asn1
    
    Change-Id: Idac16ebf0ec304e0c8becaab5d32904e56eb69b9
    Reviewed-on: https://code.wireshark.org/review/9136
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7b33634
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Jun 30 01:11:10 2015 +0200

    plugins: add cleanup routines
    
    Destroy the reassembly tables on exit, fix memleak in profinet
    dissector.
    
    Change-Id: Id34dbfde42fe715513997452f87cd4fdc328e294
    Reviewed-on: https://code.wireshark.org/review/9229
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 3ad9768
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 07:31:18 2015 -0700

    ssl,dtls: split init/cleanup routines
    
    Minor functional change: instead of an empty hash table, now the
    ssl_session_hash and ssl_crandom_hash structures point will be set to
    NULL when files are closed.
    
    API change: drop the ssl_keylog_file parameter from ssl_common_init,
    add a new ssl_common_cleanup parameter instead.
    
    Change-Id: I65efe71f8347fe9685359f8ed70cfb9673712421
    Reviewed-on: https://code.wireshark.org/review/9226
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ba9aa30
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 15:15:07 2015 +0200

    Split more init routines into init/cleanup functions
    
    This patch is partially automatically generated, but are modified
    manually. In particular, assignments and function calls have been
    audited.
    
    Some debugging comments and ifdef'd prints have been removed. The
    lookup tables of the dcm and sip dissectors are now cleared. It is only
    called on reopening files anyway.
    
    The isakmp dissector is modified to use g_hash_table_new_full for
    destruction of its keys and values.
    
    Fix a memleak in ipsec dissector when libgcrypt is not enabled.
    
    Generated using
    https://git.lekensteyn.nl/peter/wireshark-notes/diff/one-off/cleanup-rewrite.py?id=3c6128ee266024d164650955f93c7740484abd68
    (with AUDIT = True).
    
    Change-Id: I3fd910bdee663842ac0196334fe0189b67e251b0
    Reviewed-on: https://code.wireshark.org/review/9225
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit ea46cf4
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 13:18:58 2015 -0700

    Split init of misc dissectors into init/cleanup functions
    
    Convert remaining dissectors to use cleanup routines when possible.
    (Single-)linked lists require NULL, so do reset their pointers to NULL.
    
    Generated with
    https://git.lekensteyn.nl/peter/wireshark-notes/diff/one-off/cleanup-rewrite.py?id=69af86e6c2cf965ba3d7f9636b647b195f0b7d57
    (with AUDIT = ALWAYS_EMIT_CLEANUP_CODE = True)
    
    Remaining dissectors which did not need further changes:
    epan/dissectors/packet-aeron.c
    epan/dissectors/packet-bootp.c
    epan/dissectors/packet-brdwlk.c
    epan/dissectors/packet-drda.c
    epan/dissectors/packet-etch.c
    epan/dissectors/packet-fix.c
    epan/dissectors/packet-fw1.c
    epan/dissectors/packet-lbm.c
    epan/dissectors/packet-ldss.c
    epan/dissectors/packet-simulcrypt.c
    epan/dissectors/packet-spdy.c
    epan/dissectors/packet-starteam.c
    epan/dissectors/packet-udp.c
    
    Change-Id: Idcacfea6a5de38d40e67db4cdcd0452ad9f9a6a9
    Reviewed-on: https://code.wireshark.org/review/9228
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7ce77c6
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 07:35:00 2015 -0700

    Split four more init routines into init/cleanup
    
    Three of them are trivial movements, the smb-sidsnooping is an odd one.
    Ronnie Sahlberg disabled the sid_name_snooping feature on 9 July 2007.
    There is a preference to override it though... For now add a TODO
    marker and ensure that the hash tables are always initialized.
    
    Change-Id: I61f5e215c9fa72a6785fb48eaa2d50c1975d7483
    Reviewed-on: https://code.wireshark.org/review/9227
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit f5340b2
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 16:10:51 2015 -0700

    Split init routine into init/cleanup for more dissectors
    
    This patch converts some dissectors using g_hash_table_foreach_remove.
    
     - 9p: drop no-op free func.
     - nfs: use g_hash_table_new_full such that a destructor function can
       be used. Drop NULL check since g_free can handle these just fine.
     - nlm: use g_hash_table_new_full such that a destructor function can
       be used. Simplify "matched" destruction by replacing the wrapper by
       a direct g_free call.
    
    Change-Id: I455e7f0ad4e47e70dae05af7233fdcdebf583f9f
    Reviewed-on: https://code.wireshark.org/review/9224
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 126e02c
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 16:02:45 2015 -0700

    Call reassembly_table_destroy and move g_hash_table_destroy
    
    This patch moves g_hash_table_destroy calls from the init routine to
    the cleanup routine. Besides that, the conditional check for the hash
    table has been removed, assuming that init is always paired with a
    cleanup call.
    
    If reassembly_table_init is found, a reassembly_table_destroy call is
    prepended to the cleanup function as well.
    
    Comments have been removed from the init function as well as these did
    not seem to have additional value ("destroy hash table" is clear from
    the context).
    
    The changes were automatically generated using
    https://git.lekensteyn.nl/peter/wireshark-notes/diff/one-off/cleanup-rewrite.py?id=4d11f07180d9c115eb14bd860e9a47d82d3d1dcd
    Manually edited files (for assignment auditing): dvbci, ositp, sccp,
    tcp.
    
    Other files that needed special attention due to the use of
    register_postseq_cleanup_routine:
    
     - ipx: keep call, do not add another cleanup routine.
     - ncp: remove empty mncp_postseq_cleanup. mncp_hash_lookup is used
       even if a frame is visited before (see dissect_ncp_common), hence
       the hash table cannot be destroyed here. Do it in cleanup instead.
     - ndps: add cleanup routine to kill reassembly table, but do not
       destroy the hash table as it is already done in ndps_postseq_cleanup.
    
    Change-Id: I95a72b3df2978b2c13fefff6bd6821442193d0ed
    Reviewed-on: https://code.wireshark.org/review/9223
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 80f7ee0
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 13:06:31 2015 +0200

    Call reassembly_table_destroy for some dissectors
    
    This patch adds reassembly_table_destroy calls as cleanup function for
    dissectors which have a simple init routine that just calls
    reassembly_table_init (comments are ignored).
    
    The changes were automatically generated using
    https://git.lekensteyn.nl/peter/wireshark-notes/diff/one-off/cleanup-rewrite.py?id=4cc0aec05dc67a51926a045e1955b7a956757b5e
    (with the if and assignment parsers disabled).
    
    The only difference from the autogenerated output is that the XXX
    comments from the init routines in smb-pipe and tds dissectors are kept.
    
    Change-Id: I64aedf7189877247282b30b0e0f83757be6199e7
    Reviewed-on: https://code.wireshark.org/review/9222
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 750babc
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jul 2 17:46:27 2015 -0400

    rpc: use direct hashing rather than malloced ints
    
    Equivalent but saves some allocations and is slightly simpler.
    
    Change-Id: Id0fde980e11256018641d8fb39330c07f33ee3f5
    Reviewed-on: https://code.wireshark.org/review/9474
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d52837d
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Jun 24 01:54:19 2015 +0200

    packet: add cleanup routines support
    
    Currently reassembly tables are not freed on shutdown. This makes
    memleak debugging more difficult due to noise. Support cleanup
    routines that can do smarter things.
    
    After this change, "init" routines are not called anymore when
    closing files. Further changes should split init routines to
    cleanup routines as needed.
    
    Change-Id: Ib0b2cef6dd9c16905259063ac2c2fdfb7e066be6
    Reviewed-on: https://code.wireshark.org/review/9135
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fdb8502
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 5 13:17:13 2015 -0700

    Add ServiceResponseTimeDialog.
    
    Add ServiceResponseTimeDialog as a subclass of TapParameterDialog,
    similar to StatsTreeDialog. Add initial plumbing for statistics menu
    items and command line invocation.
    
    Don't append "..." to menu item names. Don't add menu icons. In each
    case this avoids repetitive UI clutter.
    
    Change-Id: I463b95c93090160bb81d2e80b16aad389dc0bd6c
    Reviewed-on: https://code.wireshark.org/review/8864
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7fdc534
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jun 24 20:46:42 2015 -0400

    Convert BOOTP/DHCP tap stats to new "generic stat API".
    
    Change-Id: I0edc3909516452e6497a050b4617f9aafcea2688
    Reviewed-on: https://code.wireshark.org/review/9112
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a8ff1e2
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jun 23 08:53:17 2015 -0400

    Create very basic "generic" stat tap API to create a "GUI" independent table.
    
    A few sample tap/dissectors (ANSI/A, ANSI MAP) are also included to test the API.  The "GUI output" is a bit raw and could use some "prettying up", but all the basic hooks are there.
    
    Telephony "stat grouping" needs to be better alphabetized to properly populate menu (on GTK, probably Qt)
    
    Change-Id: I98514171f69c4ab3a304dccb26c71d629703c9ab
    Reviewed-on: https://code.wireshark.org/review/9110
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 09ea473
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Fri Jul 3 22:16:51 2015 +0100

    bootp: try to fix OSX builtbot
    
    Change-Id: I0204b6c947e302a6f38b43593e19c6b816a180a4
    Reviewed-on: https://code.wireshark.org/review/9482
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit ecc29ee
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Fri Jul 3 18:28:22 2015 +0100

    DHCP: Lookup OUI for TR111 suboption.  Also add Ubiquisys OUI to oui_vals.
    
    Change-Id: I49b833ee4df01d37cfabb11fd177c00f34f41eb4
    Reviewed-on: https://code.wireshark.org/review/9481
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit bd6065f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jul 3 10:53:51 2015 -0400

    [smb2] Update some comments
    
    Change-Id: I95dc8743b6db579eb197bd64ab2f26cf43ebc308
    Reviewed-on: https://code.wireshark.org/review/9480
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 363511c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 2 19:51:22 2015 -0700

    Move some frame control field #defines to a header and use them elsewhere.
    
    Move a bunch of #defines that involve the frame control field to
    packet-ieee80211.h and have the WLAN statistics tap use them rather than
    hardcoded numbers.
    
    Change-Id: I893cc50e546af67c910755357cefd86c39a1c783
    Reviewed-on: https://code.wireshark.org/review/9476
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit df5a315
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 2 16:17:20 2015 -0700

    Fix address resolution for columns.
    
    Have address_to_name() be a routine that takes an address and returns a
    string with a "sufficiently long" lifetime for use in columns, using the
    address type's addr_name_res_str routine for most address types, rather
    than having a too-small set of address types wired into it.  It replaces
    both the internal solve_address_to_name() routine and get_addr_name(),
    and can, for example, handle the special WLAN address types rather than
    leaving them unresolved even with an ethers file.
    
    Change-Id: Id09bc412adf5d2752155650a14a77c5378af2e42
    Reviewed-on: https://code.wireshark.org/review/9475
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ed21afa
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 2 22:57:34 2015 +0200

    LLDP: fix dissection of Power Class field
    
    Bug: 11330
    Change-Id: I865fe694706606c091a32f58a35658800a9dacc6
    Reviewed-on: https://code.wireshark.org/review/9473
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit bcf7533
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Apr 3 09:56:18 2015 -0400

    Add proper "Decode As" mechanism for NFS file handles instead of preference.
    
    Change-Id: I8509b9290a7255a91fa5f10a8312ca80eb94ead6
    Reviewed-on: https://code.wireshark.org/review/7900
    Reviewed-by: Cal Turney <cturney@charter.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7151029
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 2 19:57:52 2015 +0200

    PEEKREMOTE: ensure to initialize mandatory fields in info_11ac structure
    
    Bug: 11326
    Change-Id: I5a438bda7448f6b6b9959bdc03b0252b3cf22697
    Reviewed-on: https://code.wireshark.org/review/9469
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ccd552a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 2 12:03:42 2015 -0700

    Remove more unnecessary null checks.
    
    These routines are called from dissect_bthci_evt(), which ensures that
    bluetooth_data is non-null, and passes that non-null value to the
    routines.
    
    Should fix CIDs 1306908 and 1306911.
    
    Change-Id: Ie25de02f36bda9a9ae25ced034e758fc7f745681
    Reviewed-on: https://code.wireshark.org/review/9472
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7e461a9
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 2 11:56:19 2015 -0700

    Remove check for null bluetooth_data.
    
    It's guaranteed to be non-null at that point. as noted by Coverity.
    
    Should fix CID 1306904.
    
    Fix indentation while we're at it.
    
    Change-Id: I414844e9b6f9f01e215f42ba087a56b0544d289a
    Reviewed-on: https://code.wireshark.org/review/9471
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 90af3de
Author: anilkumar911 <anilkumar911@gmail.com>
Date:   Mon Jun 29 16:26:56 2015 +0530

    Interpret reserved fields netscaler header.
    
    Change-Id: I64d6ae733bda880f5afbe1a755799823d835bfa4
    Reviewed-on: https://code.wireshark.org/review/9466
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 622be70
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jul 2 11:25:59 2015 -0700

    Zero out the nss array when we don't have the 802.11ac information we need.
    
    Change-Id: I576be8c1a1badf6befe90a226f83e8d03f8326a7
    Reviewed-on: https://code.wireshark.org/review/9470
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cd69772
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 2 19:48:42 2015 +0200

    ixveriwave: fix what seems to be a copy/paste error
    
    Change-Id: I79fc9b11fcdd54e0644d01b34a7f37644c85ad0f
    Reviewed-on: https://code.wireshark.org/review/9468
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit cc12a6a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 2 19:02:11 2015 +0200

    RPC: do not add a protocol without dissection function to the dissector table
    
    This seems to be a typo
    
    Bug: 11327
    Change-Id: I0182003b77f0deba9421002f5626175af30125f5
    Reviewed-on: https://code.wireshark.org/review/9467
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 9421af3
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Jul 2 12:19:02 2015 +0200

    Try to fix: warning C6244: Local declaration of 'airpcap_if_list' hides
    previous declaration.
    
    Change-Id: Id0c3b74ac52c427d9c1efdf749dc410bc5bb450f
    Reviewed-on: https://code.wireshark.org/review/9460
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 523ce15
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jul 2 10:48:58 2015 +0200

    Do not try to display a value_string for FT_FRAMENUM type
    
    The hfinfo->strings pointer is used to store a ft_framenum_type_t
    
    Bug: 11325
    Change-Id: Ia6ee1bdd4f1e6ff93907e6107fcecab56c0320de
    Reviewed-on: https://code.wireshark.org/review/9458
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit dcd7368
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jul 2 07:32:52 2015 -0400

    Update Debian symbols for recent packet API additions.
    
    Change-Id: Ib6e5a48fa0b0802c920e68d3dc7d62362818d36b
    Reviewed-on: https://code.wireshark.org/review/9465
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 8b7f5f7
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Jul 2 13:19:07 2015 +0200

    Update libwireshark0.symbols
    
    Change-Id: I04cdba9633d3fc131ecd9dc218bc6dd458378a35
    Reviewed-on: https://code.wireshark.org/review/9464
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 88302f2
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Thu Jul 2 13:02:12 2015 +0200

    Try to fix OSX build boot
    lemon.c:1784: warning: implicit conversion shortens 64-bit value into a 32-bit value
    lemon.c:1790: warning: implicit conversion shortens 64-bit value into a 32-bit value
    1790: warning: implicit conversion shortens 64-bit value into a 32-bit value
    1928: warning: implicit conversion shortens 64-bit value into a 32-bit value
    2707: warning: implicit conversion shortens 64-bit value into a 32-bit value
    
    Change-Id: Ief1b64009891de6885c2c9a6cb0e290752de889f
    Reviewed-on: https://code.wireshark.org/review/9463
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 051986c
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Wed Jul 1 18:32:50 2015 +0200

    opcua dissector: Add DefaultXml encoding IDs
    
    Currently only DefaultBinary encoding IDs can be displayed, this commit adds the DefaultXml encoding IDs
    
    Change-Id: I19f3693d3aa03451655058770383222c3828b570
    Reviewed-on: https://code.wireshark.org/review/9442
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 7d1a86d
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jul 2 00:02:16 2015 -0400

    Have RPC dissector use real dissector tables for its subdissectors instead of a "homegrown" method.
    
    Change-Id: I06d7d4e9747ed8593cf40506cae3a09ae237846b
    Reviewed-on: https://code.wireshark.org/review/9456
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cc7dc03
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jul 1 23:56:54 2015 -0400

    Add support for a "custom" dissector table.  This allows for a "custom" (not UINT or string) key to register dissector handles.
    
    This was designed for RPC dissectors, but probably has use elsewhere.
    
    Change-Id: I1bca6b50ba312129a0c4fad5cc3c18cd9297c217
    Reviewed-on: https://code.wireshark.org/review/9455
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 987cf4c
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jul 1 09:12:09 2015 -0400

    Have RPC program hash table use native gtk hash functions.
    
    Change-Id: Ie3c6daf69a1ac155ac09794a5ec87c89bbf0607d
    Reviewed-on: https://code.wireshark.org/review/9454
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b68a0ed
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Jul 1 07:33:02 2015 -0400

    Replace RPC "dissect_function_t" function signature with "new style" dissector function signature.
    
    This paves the way for using dissector tables.
    
    Change-Id: I88ac165ef9aa5bf5c05e1115f7321e18e734d683
    Reviewed-on: https://code.wireshark.org/review/9453
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9d8b810
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 1 07:56:17 2015 +0200

    Lemon: Update lemon tools
    
    Update from SQLite trunk (19 April 2015)
    
    Add include <config.h>
    
    Fix warning: unused parameter 'argc' [-Wunused-parameter] (using _U_)
    
    Fix implicit conversion loses integer precision
    
    Fix comparison of integers of different signs: 'size_t' (aka 'unsigned long') and 'int' [-Wsign-compare]
    
    Fix function declaration isn’t a prototype [-Wstrict-prototypes]
    
    Fix warning: old-style function definition [-Wold-style-definition]
    
    Fix trailing whitespace
    
    Fix use -T for template for epan\Makefile.nmake, epan\dfilter\Makefile.nmake, plugins\mate\Makefile.nmake, plugins\tpg\Makefile.nmake and cmake/modules/UseLemon.cmake
    
    Fix -Wmissing-prototypes Remove unused function (acttab_free)
    
    Add basename the filename with only filename (no path...)
    
    Fix lemon.c:3435: warning: implicit conversion shortens 64-bit value into a 32-bit value
    
    Add "new" version of lempar.c (3 November 2009).
    
    LEMPAR: fix trailing whitespace
    
    LEMPAR: fix -Wunused-parameter
    
    Change-Id: I2df7e39c9a6846de26743a981fb76aca423fe813
    Reviewed-on: https://code.wireshark.org/review/6502
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit dc6d68c
Author: Hannes Mezger <hannes.mezger@ascolab.com>
Date:   Wed Jul 1 18:19:01 2015 +0200

    opcua dissector: Fix display of status code in error message
    
    Instead of just displaying the hex representation, use parseStatusCode which adds the textual representation of the status code
    
    Change-Id: I43b9ff846ef48d727e77cfa247b9dcea7061bbab
    Reviewed-on: https://code.wireshark.org/review/9441
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b6c63e2
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jul 2 04:42:06 2015 +0000

    Revert "SMB2 - An out-of-order entry in smb2_ioctl_vals[] causes run-time error."
    
    This reverts commit b591f07273f4e055a286ca36b6fda5da99952b5d.
    
    Change-Id: I73e7b6a8ea37b1d5869e785633b74c89d7476b54
    Reviewed-on: https://code.wireshark.org/review/9457
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit b591f07
Author: cturney <cturney@charter.net>
Date:   Wed Jul 1 16:07:29 2015 -0400

    SMB2 - An out-of-order entry in smb2_ioctl_vals[] causes run-time error.
    
    In value string table "smb2_ioctl_vals[]" of packet-smb2.c
    
    {0x0011C017, "FSCTL_PIPE_TRANSCEIVE" } was placed before
    {0x00110018, "FSCTL_PIPE_WAIT"}
    
    which causes "Extended value string 'smb2_ioctl_vals[]' forced to fall back
    to linear search: entry , value 0x00110018 < previous entry, value
    0x0011C017"
    
    Change-Id: I99afe5aa12c031e90bb0bd4c8e8aadfffad0135d
    Reviewed-on: https://code.wireshark.org/review/9449
    Reviewed-by: Cal Turney <cturney@charter.net>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit a66714b
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu Jul 2 05:51:20 2015 +0200

    Fix Buffer overrun while writing to 'airpcap_dir_utf16':  the writable
    size is '520' bytes, but '1042' bytes might be written.
    
    Change-Id: Ic88bc977011eff9ae3c2a4a5ba717e78dbb1171c
    Reviewed-on: https://code.wireshark.org/review/9452
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ae5172f
Author: AndersBroman <a.broman@bredband.net>
Date:   Thu Jul 2 05:41:45 2015 +0200

    Try to fix warning C6340: Mismatch on sign: 'short' passed as _Param_(2) when some
    unsigned type is required in call to 'printf'.
    
    Change-Id: I3076454502e1c98ac225d33d520be5bbe5172c2a
    Reviewed-on: https://code.wireshark.org/review/9451
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fa6fb76
Author: Patrick <patrick.servello@gmail.com>
Date:   Wed Jul 1 23:30:21 2015 +0100

    fixed spelling errors in Omron FINS packet dissector
    
    
    Change-Id: I7cce1769d3e3c2c70d18e247b1e1040b05715c20
    Reviewed-on: https://code.wireshark.org/review/9448
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 4a8f0e1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 1 23:48:29 2015 +0200

    PMPROXY: avoid doing an invalid memory access when no token was found
    
    Bug: 11320
    Change-Id: Ie1fd3f1060e13cf742923aadebe375da4389422a
    Reviewed-on: https://code.wireshark.org/review/9447
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit c445570
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 1 13:11:20 2015 -0700

    Give instructions for installin Chcocolatey's Win flex-bison.
    
    Fix a typo ("and and") while we're at it.
    
    Change-Id: Ib68bbdf0b358f56b36cf53906f105c5ee6493ec4
    Reviewed-on: https://code.wireshark.org/review/9446
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 3cd8c16
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 1 21:16:53 2015 +0200

    NAS EPS: upgrade dissector to v12.9.0
    
    Change-Id: Ic1fa22dee21b71b523ba5fcfc1ea1bf4c8029e6f
    Reviewed-on: https://code.wireshark.org/review/9445
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 5d8cb03
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jul 1 21:14:59 2015 +0200

    3GPP NAS: upgrade dissector to v12.10.0
    
    Change-Id: Ia89e49d098f86450245c73c4d06a4359a25e3d53
    Reviewed-on: https://code.wireshark.org/review/9444
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit b475b0e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed Jul 1 11:12:36 2015 -0700

    Sort smb2_ioctl_vals[] numerically.
    
    Change-Id: I2d5fd1c640d3ac6fa60d84f2b8080eb7866b2641
    Reviewed-on: https://code.wireshark.org/review/9443
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8a00a4b
Author: Gregor Beck <gbeck@sernet.de>
Date:   Wed Jul 1 10:35:50 2015 +0100

    add WERR_INVALID_STATE & WERR_TIMEOUT
    
    Change-Id: Ie42cca588c9d5e02279083817382ac77f4ed74d6
    Signed-off-by: Noel Power <noel.power@suse.com>
    Reviewed-on: https://code.wireshark.org/review/9439
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fa2c41f
Author: Gregor Beck <gbeck@sernet.de>
Date:   Tue Oct 2 10:22:49 2012 +0200

    add function guid_cmp() to compare guids
    
    Change-Id: I6e34bcfb2205c1647e82dd396a13b0957532c4ae
    Signed-off-by: Noel Power <noel.power@suse.com>
    Reviewed-on: https://code.wireshark.org/review/9438
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7ee967c
Author: Gregor Beck <gbeck@sernet.de>
Date:   Thu Sep 13 17:27:51 2012 +0200

    smb2: dissect FSCTL_PIPE_WAIT
    
    Change-Id: Iec4fe90d792f745d8c754afc9b18ca6f7a708caa
    Signed-off-by: Noel Power <noel.power@suse.com>
    Reviewed-on: https://code.wireshark.org/review/9437
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 9c7acde
Author: Gerhard Gappmeier <gerhard.gappmeier@ascolab.com>
Date:   Thu Jun 25 14:53:14 2015 +0200

    opcua dissector: Fix parsing of 7 byte numeric service NodeIds.
    
    The service NodeIds of OPC UA are normally encoded as 4 byte numeric NodeId.
    However, it is technically also possible to encode these as (less efficient) 7 byte numeric NodeId.
    This kind of NodeId was already implemented, but wrong.
    Since then no one ever used this kind of NodeId for service NodeIds.
    
    Change-Id: I8654d969604e18bce8415931e455632e72d578ef
    Reviewed-on: https://code.wireshark.org/review/9435
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fbf0c34
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Wed Jul 1 10:18:47 2015 +0200

    Try to fix some warnings from Visual Studio Code Analysis.
    
    Change-Id: Ibbbb89af23d0e37ea57a1079e311d8205d254ddd
    Reviewed-on: https://code.wireshark.org/review/9434
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8e87fad
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 30 20:46:05 2015 +0200

    proto.c : fix indent
    
    Change-Id: I74461666bcfc6e85a92409819e2c63811284e8f8
    Reviewed-on: https://code.wireshark.org/review/9433
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b107e93
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 30 21:37:34 2015 -0700

    Don't assume the source directory's path has no spaces in it.
    
    Have SOURCES_TAP just contain the file names of the taps to run through
    make-tap-reg.py, and pass $$PWD, properly quoted, as the "source directory"
    argument to make-tap-reg.py.
    
    Change-Id: I09382ccf9931db636aaeeb5d94c0ae029453ea9d
    Reviewed-on: https://code.wireshark.org/review/9432
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b0b027d
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Aug 13 11:21:58 2014 -0400

    Explicitly check for DCE/RPC dissector name in the Decode As dialog because it doesn't have a specific subdissector table to invoke the DCE/RPC "Decode As" tab.
    
    bug:10368
    Change-Id: Iff94ddaf0c9f4d002be89dab480b6f9550ebd82f
    Reviewed-on: https://code.wireshark.org/review/3575
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Cal Turney <cturney@charter.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 986e347
Author: Peter Hatina <phatina@redhat.com>
Date:   Fri Jun 26 13:25:54 2015 +0200

    Disable overlay scrolling
    
    Overlay scrolling causes problems when selecting eg. the last packet in Packet List. The last packet gets covered by the scollbar.
    
    Change-Id: If23152721a457c7834d6727fc342ee0501a07302
    Reviewed-on: https://code.wireshark.org/review/9169
    Reviewed-by: Balint Reczey <balint@balintreczey.hu>

commit 98a7b1e
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 30 12:58:44 2015 -0700

    Put quotes into xcopy command and note that it might need privileges.
    
    The pathnames have spaces, so they must be quoted.
    
    At least on my VM, I had to run it as Administrator.
    
    Change-Id: I7600edbdbe3205c7f766cc651bd6b86340efa0ff
    Reviewed-on: https://code.wireshark.org/review/9429
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 74338f5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 29 21:43:40 2015 -0700

    Set the PHY value when providing our own metadata structure.
    
    Bug: 11319
    Change-Id: I8b746f7238729173b2ca23734e9f7fdbbe4f5110
    Reviewed-on: https://code.wireshark.org/review/9232
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2325550
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 29 22:20:53 2015 -0500

    Fix setting widget visibility when changing the layout.
    
    Fixes a bug exposed by g5265bc3.
    
    Change-Id: Ia0775aa068f5e9e1eeb66384bac97fe57f3c957c
    Reviewed-on: https://code.wireshark.org/review/9231
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 63a78d4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 29 18:04:59 2015 -0700

    Use ws_fstat64() to determine the size of an open file.
    
    fseek() to the end, followed by ftell(), is a bit of an odd way to get
    the file size.  Use ws_fstat64() instead.
    
    Check that the file is a regular file, while we're at it.  This means we
    don't have to check before opening.
    
    Bug: 11268
    Change-Id: I31ee20dd5568d10541375cf97b286abfc1384d1c
    Reviewed-on: https://code.wireshark.org/review/9230
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1e511d8
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 29 13:13:55 2015 +0200

    ssl: test for file type before reading key file
    
    ftell() is undefined for directories. In practice, it will report
    0x7fffffffffffffff on an ext4 filesystem. Ensure that the given key file
    is not a directory.
    
    By the way, this is the only user of ftell that is affected.
    
    Bug: 11268
    Change-Id: Iaecd42c9b60da9e7945703a794601773749f2d97
    Reviewed-on: https://code.wireshark.org/review/9213
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit a36db75
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Jun 30 00:38:45 2015 +0200

    plugins/mate: fix some memleaks
    
    Fixes about 5kB leaks in 500+ allocations.
    
    There are still some other remaining (and not fixed in this patch
    because it is hard to track them):
    
     - The g_strdup'ed memory via MATE_PARSE for some types (cannot simply
       g_free after use, it is still needed in some cases).
     - cfg->transforms and cfg->transport_ranges as used in pdu_decl
       (mate_grammar.lemon).
    
    Tested on a http capture with: tshark -o mate.config:tcp.mate -r ...
    where tcp.mate is from
    https://wiki.wireshark.org/Mate/GettingStarted?action=AttachFile&do=get&target=tcp.mate
    
    Change-Id: I4c06f948136fc30dfcdb56f7ac8a32a2326ae30d
    Reviewed-on: https://code.wireshark.org/review/9221
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 305d983
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 29 17:09:18 2015 +0200

    capchild: fix uninitialized data pointer on failure
    
    Fixes a crash / heisenbug in wireshark-qt on startup:
    
        ==26808==ERROR: AddressSanitizer: attempting free on address which was not malloc()-ed: 0x7fff8cf3bf70 in thread T0
            #0 0x7f42ce3b66da in __interceptor_free /build/gcc-multilib/src/gcc-5-20150519/libsanitizer/asan/asan_malloc_linux.cc:28
            #1 0x842847 in WirelessFrame::setChannel() ui/qt/wireless_frame.cpp:257
            #2 0x842bf5 in WirelessFrame::on_channelComboBox_activated(int) ui/qt/wireless_frame.cpp:282
            #3 0x84407d in WirelessFrame::timerEvent(QTimerEvent*) ui/qt/wireless_frame.cpp:134
            #4 0x7f42ba94ea92 in QObject::event(QEvent*) (/usr/lib/libQt5Core.so.5+0x2b0a92)
            #5 0x7f42bb6218ea in QWidget::event(QEvent*) (/usr/lib/libQt5Widgets.so.5+0x1948ea)
            #6 0x7f42bb71c16d in QFrame::event(QEvent*) (/usr/lib/libQt5Widgets.so.5+0x28f16d)
            #7 0x7f42bb5df62b in QApplicationPrivate::notify_helper(QObject*, QEvent*) (/usr/lib/libQt5Widgets.so.5+0x15262b)
            #8 0x7f42bb5e4d0f in QApplication::notify(QObject*, QEvent*) (/usr/lib/libQt5Widgets.so.5+0x157d0f)
            #9 0x7f42ba91d57a in QCoreApplication::notifyInternal(QObject*, QEvent*) (/usr/lib/libQt5Core.so.5+0x27f57a)
            #10 0x7f42ba973b1c in QTimerInfoList::activateTimers() (/usr/lib/libQt5Core.so.5+0x2d5b1c)
            #11 0x7f42ba974020  (/usr/lib/libQt5Core.so.5+0x2d6020)
            #12 0x7f42cdde7a16 in g_main_context_dispatch (/usr/lib/libglib-2.0.so.0+0x49a16)
            #13 0x7f42cdde7c6f  (/usr/lib/libglib-2.0.so.0+0x49c6f)
            #14 0x7f42cdde7d1b in g_main_context_iteration (/usr/lib/libglib-2.0.so.0+0x49d1b)
            #15 0x7f42ba974cfe in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (/usr/lib/libQt5Core.so.5+0x2d6cfe)
            #16 0x56c8ba in main_window_update wireshark-qt.cpp:128
            #17 0xe4b612 in sync_pipe_open_command capchild/capture_sync.c:972
            #18 0xe4b823 in sync_pipe_run_command_actual capchild/capture_sync.c:1034
            #19 0xe4c590 in sync_pipe_run_command capchild/capture_sync.c:1211
            #20 0xe4e9a5 in sync_if_capabilities_open capchild/capture_sync.c:1356
            #21 0xe48b7a in capture_get_if_capabilities capchild/capture_ifinfo.c:249
            #22 0xdf539a in scan_local_interfaces ui/iface_lists.c:186
            #23 0xdf6a65 in fill_in_local_interfaces ui/iface_lists.c:405
            #24 0x56e49d in main wireshark-qt.cpp:1154
            #25 0x7f42b81c178f in __libc_start_main (/usr/lib/libc.so.6+0x2078f)
            #26 0x56ba58 in _start (wireshark+0x56ba58)
    
        AddressSanitizer can not describe address in more detail (wild memory access suspected).
        SUMMARY: AddressSanitizer: bad-free /build/gcc-multilib/src/gcc-5-20150519/libsanitizer/asan/asan_malloc_linux.cc:28 __interceptor_free
    
    Change-Id: I63744261096b3cfd0eddcf75bcf85103a3f0788d
    Reviewed-on: https://code.wireshark.org/review/9220
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit b1ab36a
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sun Jun 28 00:33:57 2015 +0200

    tools/asn2wrs.py: fix isdn-sup generation with Py3
    
    Python 3 has removed the cmp function for sort functions, relying on a
    key function instead.
    
    Tested with Python 2.7.10 and 3.4.3.
    
    Change-Id: Id571b836304528ecc3b23a0f8a2843c4538c3e1b
    Reviewed-on: https://code.wireshark.org/review/9212
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit a6f9cf5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 29 13:13:36 2015 -0500

    Don't free col_item->col_data.
    
    It either points to col_item->col_buf (which we explicitly free) or to
    a static string.
    
    Change-Id: I4d6db3fa16e69a4321be9d01076026c024df9a00
    Reviewed-on: https://code.wireshark.org/review/9219
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0b0100b
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 28 11:18:26 2015 -0700

    Fixup the packet list navigation action behavior.
    
    Change-Id: I124fe3c3755556e81c65443b8b9744a89394dc70
    Reviewed-on: https://code.wireshark.org/review/9218
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5ae8c92
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 29 10:00:37 2015 -0700

    Try to fix NSIS packaging dependencies.
    
    Split the nsis_package target into nsis_package_prep which has
    dependencies and nsis_package which has no dependencies and as a result
    blindly builds the package. Remove the nsis_uninstaller target since
    that's now handled by nsis_package_prep. Nsis_package_prep *should*
    also take care of the dependencies for portableapps_package, but that
    hasn't been tested.
    
    Update the Developer's Guide.
    
    This requires coordination with the Windows buildbots.
    
    Change-Id: Ib9e3141832c782355135a1637fba5a07c2ca4ba1
    Reviewed-on: https://code.wireshark.org/review/9217
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit df62a1b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 29 15:13:12 2015 +0200

    [GSM DTAP]: fix indent (use 4 spaces)
    
    Change-Id: I07fd87b4e72ac7309e320deab963017c96ba2c60
    Reviewed-on: https://code.wireshark.org/review/9215
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 23ad9b3
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Mon Jun 29 16:01:43 2015 +0200

    [FIP] Use value_string_ext for fip_desc_types.
    
    Change-Id: Ifb4ad35b2a9454366d58cc4bfc81f96630122565
    Reviewed-on: https://code.wireshark.org/review/9216
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 60ef92b
Author: Anders <anders.broman@ericsson.com>
Date:   Mon Jun 29 14:36:00 2015 +0200

    [GSM DTAP] Add Sequence number for Non call related SS messages.
    
    Change-Id: Iec97801e1eb6803c4168c2e302f84a7732654ecf
    Reviewed-on: https://code.wireshark.org/review/9214
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 59d56bf
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 29 11:22:08 2015 +0200

    gtk: Fix use-after-free on removing recent file
    
    Change-Id: I930b0522d116d53aeef366ae0b43f818b9a81d7f
    Reviewed-on: https://code.wireshark.org/review/9211
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 149d0b7
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Jun 24 20:03:51 2015 +0200

    tools/asn2wrs.py: handle windows-1252 encoding
    
    The RRC ASN.1 definitions resulted in a decode error in Python because
    the file is encoded as windows-1252 instead of UTF-8. This patch makes
    the tool more forgiving in handling windows-1252 encodings.
    
    Tested with Python 2.6.9, 2.7.10, 3.4.3.
    
    Change-Id: I9c9269e1065c98b8bcfb57ab4bfd21d5e183a656
    Reviewed-on: https://code.wireshark.org/review/9133
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 1141033
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sun Jun 28 13:31:14 2015 +0100

    editcap: add new option (-a) to help
    
    Change-Id: Ic1a07e29d30d96bf1dd86e10b198c42dd9349838
    Reviewed-on: https://code.wireshark.org/review/9198
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit da09a1b
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jun 26 23:00:33 2015 -0400

    Take all epan_column_info members that always get allocated to "number of columns" to share their own data structure.
    
    Change-Id: Ib982662db6cf68730a7d121eac60d9bc5ae67429
    Reviewed-on: https://code.wireshark.org/review/9195
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit b9145bc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 28 12:43:33 2015 -0700

    "Short preamble" is 802.11[bg]-only, so put it in the PHY-specifc info.
    
    We're already only setting it for 11b and 11g; this makes it a bit
    cleaner, e.g. we don't need to say "oh, wait, we *don't* have short
    preamble" for 11n and 11ac.
    
    Change-Id: Idcf3e8c93d6a417f0319e4bd33247b98f07b6052
    Reviewed-on: https://code.wireshark.org/review/9209
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8aaf42d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 28 10:28:38 2015 -0700

    If we don't know whether STBC is being used, we don't know NSTS.
    
    If we don't know whether space-time block coding is being used, we don't
    know the number of space-time streams, so don't try to calculate it and
    don't put it into the protocol tree.
    
    Mark it as generated, while we're at it, as it's not a value from the
    radiotap header, and make it a guint.
    
    Change-Id: Ib0b14f2f4f94e042d034311e10bb96b9b29a9d3e
    Reviewed-on: https://code.wireshark.org/review/9206
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 2762995
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 28 09:51:22 2015 -0700

    If we don't know whether STBC is being used, we don't know NSTS.
    
    If we don't know whether space-time block coding is being used, we don't
    know the number of space-time streams, so don't try to calculate it and
    don't put it into the protocol tree.
    
    Change-Id: I7ffd1b0e79e45fee526305846aadca04eb135b11
    Reviewed-on: https://code.wireshark.org/review/9205
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit ad18161
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 28 09:32:35 2015 -0700

    The two bits of NESS are numbers, not Booleans.
    
    Found by Pascal Quantin.
    
    Change-Id: I843db0c1d28bcd4714799285da5e1ea8a81307a1
    Reviewed-on: https://code.wireshark.org/review/9204
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 7d7f6be
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sun Jun 28 09:23:04 2015 -0700

    We only have the short preamble flag if we have a Flags field.
    
    Don't set PHDR_802_11_HAS_SHORT_PREAMBLE or phdr.short_preamble unless
    we have the flags bits from the Flags field.
    
    Discovered by Pascal Quantin by running valgrind on the capture from bug
    11317.
    
    Change-Id: I7e91dea116f6cc977101b7b5e76067021f68a0bf
    Reviewed-on: https://code.wireshark.org/review/9203
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b09891d
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 28 08:08:24 2015 -0700

    [Automatic update for 2015-06-28]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Idf976da88eab4126089b612084ce9d4a4643d80c
    Reviewed-on: https://code.wireshark.org/review/9201
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit e4dc332
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Sun Jun 28 12:23:41 2015 +0100

    Set 802.11.ac Partial AID field size
    
    The assignment of a short to a guint8 in packet-ieee80211-radiotap.c line 1696
    generates a narrowing warning.
    
    In my reading of the spec which shows the field as 9 bits,
    and looking at the hf fields for this item I think it should be a guint16.
    
    Change-Id: Ic7785c2bfc66d72f7b1e914b1a46f32079fc99d9
    Reviewed-on: https://code.wireshark.org/review/9197
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit d4bdbb9
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Sun Jun 28 12:51:55 2015 +0200

    1.5.17 seems to be a typo. Change it to the probably intended 1.6.17
    
    Change-Id: I43fc4962e1fdc9fb264b313afd3f5612de42116a
    Reviewed-on: https://code.wireshark.org/review/9196
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 95dbae4
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat Jun 27 23:17:09 2015 +0100

    ISAKMP: consistently use two-space indentation (as per modelines).  Also added one missing break
    
    Change-Id: I26f03b56765ffd69dab53988c8e35c7cf3f99f16
    Reviewed-on: https://code.wireshark.org/review/9193
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 80efc53
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 27 15:29:37 2015 -0700

    Quick and dirty overflow checking.
    
    We really need a better way to handle packet offset overflows.
    
    Change-Id: I6e476f7bc6ddac2c5515c4e09192d88f528ea091
    Reviewed-on: https://code.wireshark.org/review/9194
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 74a5f50
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat Jun 27 16:46:44 2015 +0100

    ipsec: correct some format specifiers
    
    Change-Id: I340ab6186d5d5d9c5d0fa301a1b1e5824932d547
    Reviewed-on: https://code.wireshark.org/review/9192
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 40f330f
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jun 26 14:24:28 2015 -0700

    Free a malloc'ed error message to not leak memory
    
    Change-Id: I59b43e8d4efe8320cf17c6dd086440d3522ef247
    Reviewed-on: https://code.wireshark.org/review/9183
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 48f7ce7
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Jun 26 21:04:01 2015 -0700

    checkAPIs.pl: check how ui class files are included
    
    flag up a warning if a ui class file is included from the current
    directory by using #include ""
    
    Visual Studio needs #include <> to make sure that we always pick up
    these files from the build directory if we're building with CMake
    
    combine this check with the other check for gcrypt.h so that included
    files are checked in one common subroutine
    
    Change-Id: If8420ff5886f8eb2a71aa8fbfe6bc5d2bda607ce
    Reviewed-on: https://code.wireshark.org/review/9189
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 13df6e9
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jun 26 17:02:26 2015 -0700

    bacapp: cleanup and remove some add_text
    
    Change-Id: I991269db9c2705a4ac41a576000a612aa6de2242
    Reviewed-on: https://code.wireshark.org/review/9186
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b24a45c
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sat Jun 27 06:10:20 2015 +0100

    Avoid some Visual Studio Code Anaylzer warnings
    
    Change-Id: I320386b02bea09658636a9281ee3cbba34a5e4cd
    Reviewed-on: https://code.wireshark.org/review/9188
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 26a1ccb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 27 00:41:37 2015 -0700

    Handle the VHT flavor of the HT Control field.
    
    The low-order bit of the field indicates whether it's the HT or VHT
    version.
    
    Show subfields as part of a 32-bit bitfield; few subfields begin and end
    on a byte boundary (the Link Adaptation Control field no longer does so;
    its low-order reserved bit became the VHT flag).
    
    Update references to the 11n spec.
    
    Update a comment.
    
    Change-Id: I9fcb99a5517afb319b67d4deb2355c7cb0be73b6
    Reviewed-on: https://code.wireshark.org/review/9191
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f196061
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Fri Jun 26 22:45:43 2015 -0700

    (trivial) daap: remove if(tree) and return; at the end of a function
    
    Change-Id: I969efbaeda75d2790165a6cbc214f58f1bd0ba7f
    Reviewed-on: https://code.wireshark.org/review/9190
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit ac9f64a
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 26 21:48:14 2015 -0700

    Handle a "should not happen" case, to squelch compiler warnings.
    
    Change-Id: Icb3497924c88963688d60a59c5873a271b7e4d21
    Reviewed-on: https://code.wireshark.org/review/9187
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b401fb0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 26 19:25:05 2015 -0700

    Use the PHY type in the radio information to recognize HT packets.
    
    Rather than having a separate "802.11 HT" dissector, just look for the
    802.11n (HT) PHY.
    
    (As a side-effect, This also causes PPI HT frames to have the radio
    information dissected by the wlan_radio dissector, as is the case with
    other 802.11 frames accompanied by radio information.)
    
    Change-Id: I854c42e19481a17767e64a3b92222b09dbaa02dd
    Reviewed-on: https://code.wireshark.org/review/9185
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d6e5379
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 26 10:33:11 2015 -0700

    RTP: create conversation when using heuristic dissector
    
    This gives a chance to perform RTP reassembly when "Try to decode RTP outside of conversations"
    option is activated.
    
    Bug: 11310
    Change-Id: Ic8bd9532a88a072c3cb1f1907cf7117b5072a954
    Reviewed-on: https://code.wireshark.org/review/9175
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 5c438e1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 26 14:27:22 2015 -0700

    Those aren't booleans, they're counts of streams.
    
    Change-Id: Id0520da614f239d3146f5c03ef1a930e8a0fcd94
    Reviewed-on: https://code.wireshark.org/review/9184
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4ee22e8
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jun 26 14:16:47 2015 -0700

    Update valgrind script for the UI
    
    Plain 'wireshark' is now the Qt version, and 'wireshark-gtk' is the GTK version.
    
    Change-Id: I893d6ae9a205998e191cbf6160cf27fcfd09bb4d
    Reviewed-on: https://code.wireshark.org/review/9181
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit b2a6dff
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 26 13:12:18 2015 -0700

    Clean up switch statement whitespace.
    
    (Try to keep the same indentation style within a single switch
    statement, at least.)
    
    Change-Id: I5b349fd90881d1a1d2be377a291bfceda56476aa
    Reviewed-on: https://code.wireshark.org/review/9180
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0f42ed0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 26 12:21:37 2015 -0700

    Squelch a compiler warning.
    
    It's a bogus warning, but not all compilers do enough dataflow analysis
    to figure that out.
    
    Change-Id: Iebc1fffab87e83b16210003b60aae2333e0b5ec9
    Reviewed-on: https://code.wireshark.org/review/9179
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5e6be95
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 26 12:03:04 2015 -0700

    Use "Present"/"Absent" for VHT presence flags.
    
    Change-Id: I1571cf52d240c5d32dd8db0af2f18b91cc6e6d34
    Reviewed-on: https://code.wireshark.org/review/9178
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b855a9f
Author: Evan Huus <eapache@gmail.com>
Date:   Fri Jun 26 11:40:35 2015 -0700

    wmem: permit lookups in NULL trees (oops)
    
    Change-Id: I222b95b48b7ac8debbd717b32dd471742222c16b
    Reviewed-on: https://code.wireshark.org/review/9177
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 0953c36
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 25 14:39:43 2015 -0700

    Qt: tweaks to Capture Interfaces dialog
    
    - Add option to stop capture after X files are created
    - Increase the max value for number of packets / files / bytes / seconds from 1000 to INT_MAX
    - Fix capture name file selection
    
    Change-Id: I9fb8eeaa925e5bd5380bb654686575f41126546a
    Reviewed-on: https://code.wireshark.org/review/9162
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 66c7388
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 15:24:03 2015 -0700

    wmem: convert string trees to single-layer
    
    The whole radix tree thing is kind of neat (and may even be more performant for
    short strings?) but it's really confusing to reason about and is terribly
    inefficient for long strings.
    
    Ping-Bug: 9078
    Change-Id: I1bd333918a6e557801e82f4553d386120138065e
    Reviewed-on: https://code.wireshark.org/review/9165
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 78adf17
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jun 26 11:28:25 2015 -0700

    Fix handling of 11ac radio metadata.
    
    Add more fields to the metadata to handle everything radiotap has, and
    show them.
    
    Call the FEC type field just "FEC", and have it be an integer field with
    0 meaning BCC and 1 meaning LDPC, rather than a Boolean.
    
    11ac doesn't have *an* MCS, it can have up to 4, one per user.
    
    Label the 11ac bandwidth values the same way we do in the radiotap
    dissector.
    
    Change-Id: I2c2415baff3e5d68d49dda497980e8271d26b1f6
    Reviewed-on: https://code.wireshark.org/review/9176
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 51d2eef
Author: Michal Pazdera <michal.pazdera@gmail.com>
Date:   Fri Jun 26 15:32:29 2015 +0200

    Added option in h245 preferences to print h245 messages content
    into Information column in typical fashion (append) instead of
    just in reversed order (prepand)
    
    Change-Id: Id78c307fc6d34a378ac7b9335ac1e578837b08a6
    Reviewed-on: https://code.wireshark.org/review/9170
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 2c9a9af
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 26 10:05:37 2015 -0700

    Replace pinfo->fd->flags.visited calls by PINFO_FD_VISITED(pinfo) in documentation
    
    Change-Id: If92787ddf3444edc466f04d7c2d9327cb8a50fba
    Reviewed-on: https://code.wireshark.org/review/9173
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 304f902
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 25 13:06:53 2015 -0700

    PTP: just return, don't throw an exception
    
    Change-Id: Icaca74f7d5038b4e2e232fb499933219b322e02d
    Reviewed-on: https://code.wireshark.org/review/9159
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 29aecdf
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 26 08:48:44 2015 -0700

    RRC: remove non ASCII characters from ASN.1 description
    
    Change-Id: I7edb23651caa5ccf8e9989069803a8800e358670
    Reviewed-on: https://code.wireshark.org/review/9172
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit caf06fe
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri Jun 26 08:39:04 2015 -0700

    PDU export: increase time precision to nano seconds
    
    It will avoid losing precision in case of export from a nseclibpcap input file.
    As Wireshark is probably the only tool able to read this link type, we do not need to bother with compatibility.
    
    Change-Id: Iea5b5c88b02ff4799c255f795be2469a091161fe
    Reviewed-on: https://code.wireshark.org/review/9171
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a7a7c68
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Thu Jun 25 14:25:42 2015 +0200

    epl: Set Payload to remaining bytes
    
     The payload dissection now only includes the remaining bytes,
     even if the actual number of payload bytes should be bigger.
    
     An expert Info is added, to inform the user, that the trace was
     truncated, but the payload is still given to a sub-dissector,
     as it may contain valid information
    
    Change-Id: Iefef78e7c7aed7f87e40875f345ff5debf364f3a
    Reviewed-on: https://code.wireshark.org/review/9124
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fe679bf
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Thu Jun 25 11:29:59 2015 +0200

    openSAFETY: Fix various heuristic bugs
    
     - Wrong true-positives if the frame got wrongly detected
    
    Change-Id: Ifaaec601bde260f8a38c61aad1e5e79b16003c60
    Reviewed-on: https://code.wireshark.org/review/9123
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8f40e2c
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 23:48:48 2015 -0700

    tools: permit setting BIN_DIR in the environment
    
    For out-of-tree builds you have to pass the location of your build to our tools
    like the fuzz script, valgrind script etc. Modify them so that the value can be
    set in the environment rather than requiring a shell script flag.
    
    Set the environment variable in the vagrant provision step, so that the scripts
    Just Work (TM) in the VM.
    
    Change-Id: If8ce6b278176085ba6dd994137b82fc989b80124
    Reviewed-on: https://code.wireshark.org/review/9168
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 4975c06
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Fri Jun 26 08:49:05 2015 +0200

    Disabling GTK by default in the official source was not intentional
    (but maybe it should be).
    
    Change-Id: I9dba032951265204e1ced517ad7eb331ec71a6a2
    Reviewed-on: https://code.wireshark.org/review/9167
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 40649e3
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 25 13:24:45 2015 -0700

    ctdb: exit instead of throwing an exception
    
    Change-Id: I58561cf7e8e7f0e20870d271f68eb486b0bb812e
    Reviewed-on: https://code.wireshark.org/review/9160
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 227f0af
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Fri Jun 26 02:16:51 2015 +0200

    Make autotools install optional.
    Reformat build and install instructions at the end a bit.
    
    Change-Id: I0f6be9e4b58f3987615abcec6521f59ba33b3b0a
    Reviewed-on: https://code.wireshark.org/review/9166
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 8ad9019
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Thu Jun 25 22:48:20 2015 +0200

    Commit d4aa1a1c24e984339806c4ddb000ea9f9b352659 added some Q_UNUSED
    statements to c++ files. The standard method to mark function parameters
    as unused in cpp is to just leave out the variable name.
    
    Change-Id: I4f07ad9f494ad16388eadb67e93ea7b26ae70eb5
    Reviewed-on: https://code.wireshark.org/review/9152
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit dd16c55
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Thu Jun 25 15:36:54 2015 -0700

    editcap:  allow command-line option to set comments for given frame numbers
    
    Change-Id: I608d3c5f56acc58ef7b3e59821a15be49344cc35
    Reviewed-on: https://code.wireshark.org/review/9154
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit d81ba67
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 15:23:29 2015 -0700

    wmem: bubble up key type change another function
    
    Follow-up to gb679e2a.
    
    Change-Id: I6cc168c3f3a6e1c8ce7bfa9344255acd3c8a7d20
    Reviewed-on: https://code.wireshark.org/review/9164
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit acbbce9
Author: Graham Bloice <graham.bloice@trihedral.com>
Date:   Thu Jun 25 22:02:42 2015 +0100

    Fix Windows CMake PortableApps dependencies
    
    The nsis_uninstall target appears to create a temporary file
    uninstaller_installer.exe that is renamed to uninstall.exe
    
    The above rename upsets the portableapps_app_dir target that is
    copying files from the CMake run dir into the portable apps dir.
    
    The change adds a dependency on nsis_uninstall to the portableapps_package
    target in an attempt to sequence the copy operation.
    
    Change-Id: I9feb55599eff000f983c23ce29c89fbd3be0a6ac
    Reviewed-on: https://code.wireshark.org/review/9153
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>
    Petri-Dish: Graham Bloice <graham.bloice@trihedral.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6122b4b
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 25 14:32:30 2015 -0700

    Qt: when a capture file is closed, go back to the welcome screen only
    if we're not capturing to multiple files
    
    Change-Id: I18d36ef8e7e3525b2bd8d94f2b2349cefa3ecb52
    Reviewed-on: https://code.wireshark.org/review/9161
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit b89a485
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jun 25 17:42:15 2015 -0400

    Add Makefile_common.common to wireshark-tap-register.c dependencies (windows)
    
    Change-Id: I22d60e10554e419acda945732faa192fbc21aee6
    Reviewed-on: https://code.wireshark.org/review/9163
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit e31aef0
Author: Bill Meier <wmeier@newsguy.com>
Date:   Thu Jun 25 17:30:48 2015 -0400

    Regenerate *-tap-register.c when associated Makefile.common is updated (*nix)
    
    Change-Id: I638e4362bbc24e5a0a990dc7339e285e2ac55839
    Reviewed-on: https://code.wireshark.org/review/9158
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit cf537c1
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 25 14:33:00 2015 -0700

    If we don't have both frequency and channel, try to calculate the other.
    
    Just for completeness' sake.
    
    Change-Id: I1ed609431c8bc62a79ebbf837fa2fc62f627a002
    Reviewed-on: https://code.wireshark.org/review/9157
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a124424
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 25 14:28:40 2015 -0700

    CredSSP: update template after the API change done in gcdc7d25
    
    Change-Id: I548870ba423c7c3b714047f9f02c6cfb9a6a0661
    Reviewed-on: https://code.wireshark.org/review/9156
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 5265bc3
Author: Gerald Combs <gerald@wireshark.org>
Date:   Thu Jun 25 14:18:36 2015 -0700

    Make sure the byte view maintains visibility.
    
    In ByteViewTab::clear, make sure we stay hidden or visible as
    appropriate.
    
    Bug: 11313
    Change-Id: I12fa5169e840dbc4d27b6525fe6be72e13acce5d
    Reviewed-on: https://code.wireshark.org/review/9155
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 26dd5d2
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 25 13:42:11 2015 -0700

    Squelch a compiler warning.
    
    Change-Id: I7a833915173248cda68857493f2000a71052ec53
    Reviewed-on: https://code.wireshark.org/review/9151
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 4b1f364
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 13:16:47 2015 -0700

    Basic vagrant readme
    
    Change-Id: Iad77ad54e5a810bde35af076c5e9b91c43405b77
    Reviewed-on: https://code.wireshark.org/review/9149
    Reviewed-by: Graham Bloice <graham.bloice@trihedral.com>

commit 5bc3861
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 25 10:59:46 2015 -0700

    mergecap: check input files time precision before exporting to pcapng format
    
    Bug: 11202
    Change-Id: I0891235e9fd41687a12eb8c7e05048e25de3d8b9
    Reviewed-on: https://code.wireshark.org/review/9137
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b0584ae
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 25 11:25:44 2015 -0700

    bootp: replace THROW() by an expert info
    
    abort the dissection in this case
    
    Change-Id: Ic65f7535422d1c0a6e395a15fbc4a8ae550c0976
    Reviewed-on: https://code.wireshark.org/review/9144
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f613b92
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 13:03:28 2015 -0700

    Tell vagrant that it's a dev environment
    
    Put WIRESHARK_RUN_FROM_BUILD_DIRECTORY in the shell profile so that wireshark
    knows it's running from a build directory (which it otherwise sometimes doesn't
    for out-of-tree cmake). This fixes lua and other things in the vagrant build.
    
    Change-Id: I69775612d0f9161ce9b30c32122aee52a1106cbc
    Reviewed-on: https://code.wireshark.org/review/9148
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit b18fbf4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 25 12:24:47 2015 -0700

    Squelch a 64-bit-to-32-bit-narrowing warning.
    
    Change-Id: I6efc077dedd50514bf06ef46deb21a85ae9ed23f
    Reviewed-on: https://code.wireshark.org/review/9147
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f1bc598
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Jun 25 12:14:39 2015 -0700

    Clean up 802.11 radio information handling.
    
    Have a field that holds the PHY type but nothing else.  Have
    a union with structures holding PHY-type-specific information, as a
    bunch of attributes are PHY-specific.
    
    If we have a channel and band, but don't have the frequency, attempt to
    calculate the frequency, and add that to the radio information if we
    succeed.  If we have the frequency, but don't have the channel, attempt
    to calculate the channel, and add that to the radio information if we
    succeed.
    
    Handle FHSS information, 11a "half/quarter-clocked" and turbo
    information, 11g normal vs. Super G, additional 11n and 11ac
    information, and the "short preamble" flag for 11b and 11g.
    
    Add a PHY type for 11 legacy DSSS and detect it if possible.
    
    Clean up the AVS dissector - make all fields wlancap. fields (if you
    want generic fields, use the wlan_radio. fields).
    
    Set more fields when writing out Commview Wi-Fi files.
    
    Change-Id: I691ac59f5e9e1a23779b56a65124049914b72e69
    Reviewed-on: https://code.wireshark.org/review/9146
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8a89ebb
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 25 11:59:51 2015 -0700

    cigi: if the packet is not cigi, just return
    
    don't THROW() an exception
    
    Change-Id: Ie0ddd8caf1963ab0ab7e8bb47a275ce887e19d60
    Reviewed-on: https://code.wireshark.org/review/9145
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 419f672
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Apr 28 12:04:34 2015 -0700

    Replace Folder.CopyHere with 7-Zip.
    
    Server Core editions of Windows don't have shell.application. As a result
    CopyHere and its unzip capabilities aren't guaranteed to be available.
    Plus, CopyHere is just plain slow.
    
    Remove the CopyHere code. Search for 7z and 7za in various places and
    download the standalone 7za if needed.
    
    Bug: 11151
    Change-Id: Ie719effbdcee3141764183bf3535ec9bd1c3e97a
    Reviewed-on: https://code.wireshark.org/review/8226
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 78e71f6
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 11:55:32 2015 -0700

    Remove the other g_hash_table_contains
    
    Missed a bunch of them in g131f8f0.
    
    Change-Id: I5b1df810a31c26c3ab3cd778f8774519283217c8
    Reviewed-on: https://code.wireshark.org/review/9143
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cb0ee64
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Jun 25 20:18:10 2015 +0200

    cmake/add_lemon_files: depend on lemon and lempar
    
    Add a dependency on the lemon binary and lempar.c files because the
    output depends on these tools. This is already done for autotools and
    nmake.
    
    In addition, clean up the generated .h and .out files.
    
    Change-Id: Ic1fa2c23949abf05e976a67d226c90293b2ce834
    Reviewed-on: https://code.wireshark.org/review/9139
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 8b6c4c3
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jun 25 14:41:53 2015 -0400

    Limit the text displayed for the Filter label in the SRT dialog so it doesn't push the table off of dialog.
    
    Add tooltip that displays entire filter string
    
    Bug: 6399
    Change-Id: I094f3785eb15daf6e05485748f01c36a9a98e163
    Reviewed-on: https://code.wireshark.org/review/9142
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7f57175
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Jun 25 14:33:28 2015 -0400

    Bugfix parsing filters out of SRT tables with parameters.
    
    Change-Id: I5f9315b144333be789f8555f4128371994d4245b
    Reviewed-on: https://code.wireshark.org/review/9141
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit fcbf1d2
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Jan 20 13:19:23 2014 +0100

    File: Add BTSNOOP File Format support
    
    BTSNOOP format is supported by libwiretap and this dissector add
    ability to open the same file in second mode:
    1. Wireshark aka Protocol Viewer (default)
    2. Fileshark aka File Viewer
    
    Mode 2 also has feature to dissect protocols contained by this file,
    try "Protocol Preferences -> Dissect next layer".
    
    Change-Id: I99f0df5b55d31bf5a7d6e9269bfc054c09022b51
    Reviewed-on: https://code.wireshark.org/review/17
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b679e2a
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 11:09:28 2015 -0700

    wmem: convert tree key to void*
    
    Rather than forcing everything to live in guint32. We still use guints for now
    via the G_POINTER_TO_UINT and vice-versa, but this paves the way in future for
    custom comparison functions which will make e.g. string trees far more
    efficient for long strings.
    
    Change-Id: Ibb15400f74761ae295948507df8d2e022f2ebb05
    Reviewed-on: https://code.wireshark.org/review/9138
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 131f8f0
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 10:45:25 2015 -0700

    Remove g_hash_table_contains from plugin_if
    
    The OSX 10.5 build doesn't seem to like it.
    
    Change-Id: I7471639f649dbf89ba77d78f77faebbeefcf4ed3
    Reviewed-on: https://code.wireshark.org/review/9134
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit e4f88dd
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 10:34:25 2015 -0700

    Fix a memory leak registering prefs
    
    Built-in string prefs have to be dynamic, but get overwritten by the
    registration routine, so we have to save and then free them after-the-fact.
    
    Change-Id: Ib418b14296391dd198a8b49b0c99c5f697d8050f
    Reviewed-on: https://code.wireshark.org/review/9132
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 9dd21d9
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 25 09:44:58 2015 -0700

    Qt, cmake: put the build dir before the source dir in the include path
    
    this should prevent Visual Studio from picking up generated include
    files which may be lying around in the source tree (as leftovers from
    previous in-tree builds)
    
    Change-Id: I2406c31bc0638eb13ed4b539ddc607512051033d
    Reviewed-on: https://code.wireshark.org/review/9130
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 534d1d5
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Thu Jun 25 09:17:03 2015 -0700

    Qt: use <> for including the generated ui_*.h files
    
    this should make Visual Studio pick up the generated include files
    from the build directory instead of the source directory (which may
    contain lefovers from an in-tree build)
    
    Change-Id: Ie3de4cdd85a2865e203118a42ab10f443372f03b
    Reviewed-on: https://code.wireshark.org/review/9129
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 6c698f3
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 09:54:06 2015 -0700

    diameter: fix a memory leak on startup
    
    If we can't read the dictionary containing all our definitions, free necessary
    memory before returning.
    
    Change-Id: I814962d920852b9a82acb3bb2e7bc41addd835f7
    Reviewed-on: https://code.wireshark.org/review/9131
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 74e526f
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 2 23:11:51 2015 -0400

    Add proper "Decode As" mechanism for L2TPv3 subdissectors instead of preference.
    
    Change-Id: I87f6f9f40e1c33148de43b53a8881d51416f5d2c
    Reviewed-on: https://code.wireshark.org/review/7898
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit acc5810
Author: Roland Knall <roland.knall@br-automation.com>
Date:   Fri Jun 5 11:19:37 2015 +0200

    Plugin Interface: Add GUI callbacks
    
     Rename ext_menubar to a more appropriate plugin_if.
    
     External menus can be implemented by plugins to present
     additional menus for deep-packet analysis. One side-effect
     of such menus being implemented as plugins is, that they
     are being executed in different threads and therefore can
     only use limited access to the main GUI. Also, there is
     no safe cross-gui (GTK and Qt) way for many features.
    
     This patch implements a first functionality, by which a
     plugin implemented using ext_menubar can apply a display
     filter to the main view.
    
     For now the implementation supports filtering, as well as
     saving a preference.
    
    Change-Id: Iffe4caa954bbeb8ce356352de4dae348a50efba9
    Reviewed-on: https://code.wireshark.org/review/8773
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d4aa1a1
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Thu Jun 25 18:11:42 2015 +0200

    Qt: mark unused parameters as such
    
    Change-Id: Ib53d6da0d6660cf2c6a3283ff6123a2f18a8abda
    Reviewed-on: https://code.wireshark.org/review/9128
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit e963cbf
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 24 16:58:25 2015 -0700

    editcap: keep timestamp resolution when converting a nseclibpcap file to pcapng
    
    As reported on https://ask.wireshark.org/questions/43483/why-does-editcap-write-out-nseclibpcap-correctly-with-nanosecond-timestamps-but-not-with-pcapng
    
    Change-Id: I81ec6dd6bdc6008297141ca8e210f4fb989cd3d6
    Reviewed-on: https://code.wireshark.org/review/9111
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit cb84022
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Jun 24 15:41:22 2015 -0700

    Qt: fix crashes when Wireshark is closed while running a capture
    
    if we haven't captured any packets yet, don't display a warning about
    unsaved changes
    
    make sure that we're not running into a scenario where
    MainWindow::testCaptureFileClose() tries to close the capture file at
    the same time as the pipe handler who sees an eof on the pipe
    
    cf_has_unsaved_data() should return false if we have a temporary file
    that contains no packets
    
    Change-Id: I18d75bd658b85d45dd3313d49e2cd654c6300de5
    Reviewed-on: https://code.wireshark.org/review/9109
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1810112
Author: Jeff Morriss <jeff.morriss.ws@gmail.com>
Date:   Wed Feb 11 16:34:08 2015 -0500

    Add minimize and maximize buttons to the TCP stream dialogs.
    
    The first thing I generally do when I open a graph is to maximize it.
    Having a maximize button makes that a lot easier. Call QDialog(NULL,
    Qt::Window) similar to g80342e4.
    
    Call QDialog(NULL) in the about box.
    
    Change-Id: I4f229ab579d0912cb03ba8f8d0300d933d0ba914
    Reviewed-on: https://code.wireshark.org/review/7072
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7e62a03
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 6 15:07:53 2015 +0200

    fix the 'then' statement is equivalent to the 'else' statement found by PVS Studio (V523)
    
    Change-Id: I016e69f43bad98eb0604852ea658adaa5fe77c12
    Reviewed-on: https://code.wireshark.org/review/8786
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3f5d183
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu Jun 25 02:05:30 2015 +0200

    Stop using atof/strtod (fixes column sorting of float types)
    
    atof is locale-dependent. In locales such as Swedish, German and Dutch,
    the dot is a thousand separator, resulting in wrong conversions for
    floats.
    
    While at it, make the mate dissector also be independent of locale.
    Blacklist atof in checkAPIs. Lemon is still using strtod, but that is
    not our problem for now.
    
    Bug: 11297
    Bug: 8964
    Change-Id: I6fe3e45eb1d6d95d41aa4f3af1f81a6204a60c63
    Reviewed-on: https://code.wireshark.org/review/9116
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit fe6ece9
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Jun 24 19:15:43 2015 -0700

    afp: replace all calls to THROW() and do proper error handling
    
    Change-Id: Ie471a67a978aeb54727d03f93b98e3e422441a58
    Reviewed-on: https://code.wireshark.org/review/9119
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 47abcfc
Author: Evan Huus <eapache@gmail.com>
Date:   Thu Jun 25 08:17:23 2015 -0700

    Vagrant setup fixes
    
    - add license headers to the scripts
    - don't mount `.` into the VM manually, vagrant already puts it in /vagrant/
      for us, just use that.
    - build with -j3, slightly more efficient even with two cores
    
    Change-Id: I43580ade7ae2635696072b39e4f18a401a030a85
    Reviewed-on: https://code.wireshark.org/review/9127
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 92c8c3a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jun 25 05:04:27 2015 +0200

    TCP: Add expert info to indicate when there is TCP Fast Open SYN (with Cookie)
    
    Coming after Jasper talk #Sharkfest15 about TCP stuff
    
    Change-Id: I2b01bc6dfe24e28454101da59720d2c74603b88f
    Reviewed-on: https://code.wireshark.org/review/9120
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit c37b05d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 24 19:07:16 2015 +0200

    ARUBA (ERM): Add type 5
    
    it using PeekRemote-Ng (with Header version = 2)
    
    Change-Id: I601cb7ecfaf01e51ec696502d10918f869486d01
    Reviewed-on: https://code.wireshark.org/review/9126
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 85d3989
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 24 18:51:35 2015 +0200

    Aruba (ERM): Add missing type 4 (PPI) to Decode AS
    
    Change-Id: If2cb75fc9992bec2d699c5abace06dccc8bfb4ae
    Reviewed-on: https://code.wireshark.org/review/9125
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 0a28aa4
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Thu Jun 25 09:37:28 2015 +0200

    Revert commit cc8ed845ed53ed60fa776728f1d7f2659dd311a3
    Author: Maarten Bezemer <maarten.bezemer@gmail.com>
    Date:   Wed Nov 12 13:39:07 2014 +0100
    
        Invoke asn2wrs.py using a custom command
    
    Fixes  bugid 11304
    
    Once there is a better solution feel free to revert the revert.
    
    Change-Id: Id64b621c5f3b8a934ce9ec5c3c127326efab46f2
    Reviewed-on: https://code.wireshark.org/review/9122
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit ba5e0a3
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Wed Jun 24 23:23:03 2015 -0700

    Netflow: fix typo (wrong time units for duration)
    
    Bug: 11295
    Change-Id: Id732dd77609bc453e81703595882b20f68742618
    Reviewed-on: https://code.wireshark.org/review/9121
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 5aaaa55
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jun 24 19:05:38 2015 -0700

    Add basic Vagrant configuration
    
    For non-linux developers this should somewhat simplify development with e.g.
    valgrind and other useful tools.
    
    Change-Id: I973ab7412ad9a61f0892c25c079ea3424208abd1
    Reviewed-on: https://code.wireshark.org/review/9117
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d1a81df
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 24 19:34:26 2015 -0700

    NAS EPS: fix a missed capital letter
    
    Change-Id: I937b832807e7fb5af69d0f3238011b41f9223f12
    Reviewed-on: https://code.wireshark.org/review/9118
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 6126a64
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 24 18:04:13 2015 -0700

    Fix proto_tree_add_bytes_item() when we fail to decode number from string
    
    We still need to insert an empty g_byte_array
    
    Bug: 11309
    Change-Id: Idf2ed8ea81b3f612ef8d6ae1aed158108dcc4356
    Reviewed-on: https://code.wireshark.org/review/9114
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 585f944
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Wed Jun 24 18:00:16 2015 -0700

    acse: don't THROW() an exception from a dissector
    
    we already have an expert info, we can simply exit
    
    Change-Id: I8adbfb084991195152a02bbef64c38c5aa9e841e
    Reviewed-on: https://code.wireshark.org/review/9113
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit cdc7d25
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 24 12:21:42 2015 -0700

    Add ability to export PDUs for heuristic dissectors also
    
    Change-Id: I1bf1aa9794f9b4f106edffd4986fc0b1014522fa
    Reviewed-on: https://code.wireshark.org/review/9099
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit f5b09f2
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jun 24 16:03:17 2015 -0700

    print blank strings in -Tfields
    
    I'm not 100% sure if this is really a good idea in all cases, but at least some
    people want it.
    
    Bug: 10906
    Change-Id: I26e69a683781cdc6ba1cfcd6a41458bbca7ca2c0
    Reviewed-on: https://code.wireshark.org/review/9108
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cf8eed9
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Mar 7 16:37:14 2015 -0500

    Dissect 802.3 Jumbo frames while capturing.
    
    Following the code Olivier Montanuy's code suggestion from bug 5390.
    
    Bug: 5390
    Change-Id: Ie7425a76fd65fc9d50474c010b4a5beb1b3cf73e
    Reviewed-on: https://code.wireshark.org/review/7588
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit f75e52b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 24 22:36:53 2015 +0200

    file.c: fix Fix Branch condition evaluates to a garbage value found by Clang Analyzer
    
    Change-Id: Ib7c9e114973f78775cf17889b6aeab217cb6d0ef
    Reviewed-on: https://code.wireshark.org/review/9101
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 89cc85b
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jun 24 14:33:27 2015 -0700

    Disable "Refresh Interfaces" when capturing
    
    It breaks restarts, and doesn't do anything useful at this point anyways.
    
    Bug: 11176
    Change-Id: I6a010becf851fea8690b445874b29b54546fb2e3
    Reviewed-on: https://code.wireshark.org/review/9106
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 0d28caf
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jun 24 14:41:44 2015 -0700

    qt: fix more button states
    
    As in gcc614a9 we have to manually uncheck buttons if we decide not to action
    them.
    
    Change-Id: Ia5dc29a292bc6d75a1e8753da06a053cafa66866
    Reviewed-on: https://code.wireshark.org/review/9107
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit cc614a9
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jun 24 14:18:04 2015 -0700

    qt: fix button state when cancelling save
    
    If the user decides not to capture after all, by hitting cancel when prompted
    for their unsaved changes, we have to manually uncheck the button again because
    Qt helpfully checks it for us.
    
    Bug: 11145
    Change-Id: I362d72787ddb138d382a899d091698c6652eebb2
    Reviewed-on: https://code.wireshark.org/review/9102
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 1f0226c
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 24 14:18:13 2015 -0700

    dumpcap: fix files capture autostop condition
    
    CND_CLASS_CAPTURESIZE condition type needs the tested parameter to be a guint64
    
    Bug: 11305
    Change-Id: I096d995e1e08ff3a81b2a95710185d272d849c86
    Reviewed-on: https://code.wireshark.org/review/9104
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ec094b5
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jun 24 11:52:19 2015 -0700

    Initialize default stats before using them
    
    Quick hack fix for bug 11275.
    
    The longer fix I am still thinking about, but it goes something like this: we
    have a terribly confusing dependency graph in ordering our various preferences,
    so it's fragile and needs refactoring.
    
    1. We must call epan_init before we read the preferences files, since dissectors
    register many preferences.
    2. We must call pre_init_prefs before we call prefs_register_modules, since that
    inits the default values of the "global" preferences structure. `init_prefs()`
    handles this normally.
    3. We must call epan_init before we call init_prefs since init_prefs depends on
    UATs being initialized (which is something epan_init does).
    4. We must call prefs_register_modules before we call epan_init since that
    generates the `protocols` subtree which is needed for registering
    dissector-specific preferences.
    
    The above graph has a cycle, which I *think* can be solved by splitting
    prefs_register_modules?
    
    Bug: 11275
    Change-Id: I08dae6a7ade178896e0de5e5091f7eeaca95846f
    Reviewed-on: https://code.wireshark.org/review/9098
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 137c495
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jun 24 12:26:26 2015 -0700

    Run compress-pngs.sh.
    
    Change-Id: If662cfbe6ad2ce80916d32750476e95f607fe902
    Reviewed-on: https://code.wireshark.org/review/9100
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 58b0354
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Jun 24 19:46:20 2015 +0200

    Add a bunch of " I missed in my previous patch.
    
    Change-Id: Ia94034bdb2148bca641b7c9bc6ec3f900c7574d3
    Reviewed-on: https://code.wireshark.org/review/9097
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 95ac390
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 21:35:46 2015 -0700

    Remove the last deprecated tvb_length calls
    
    And remove the shims themselves!
    
    Change-Id: I511c06eb21eaf68d1dc36bbb9558408807472f9c
    Reviewed-on: https://code.wireshark.org/review/9088
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 86e562f
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 24 19:16:18 2015 +0200

    Qt: Add x-capture-file-reload@2x.svg to Makefile.am
    
    Change-Id: I497290eff821167a31468a10af23ab762eff32fe
    Reviewed-on: https://code.wireshark.org/review/9095
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit d406b28
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 21:33:09 2015 -0700

    Don't export libnghttp2 routines outside libwireshark.
    
    Hopefully this will fix build issues that popped up on Windows, as well
    as making the library a bit cleaner.
    
    Change-Id: I5b5266af4b41e10aba32abdb46bfe811ab11b45d
    Reviewed-on: https://code.wireshark.org/review/9087
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 17c59f5
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 23 20:26:30 2015 +0200

    Qt: Add Reload button on MainToolBar
    
    Add @2x versions of x-capture-file-reload as well.
    
    Change-Id: I08819cf66903884e0344a4f9bcd891befb582e90
    Reviewed-on: https://code.wireshark.org/review/9066
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 5dcd207
Author: Evan Huus <eapache@gmail.com>
Date:   Wed Jun 24 08:32:13 2015 -0700

    Check _MSC_VER is defined before we use it
    
    Otherwise it breaks a bunch of stuff on Linux machines because of the way gcc's
    preprocessor works (buildbot decryption tests, extcap, etc).
    
    Originally added in Ic5360089f96be620fbe99ba4e819e0caa5ca0215
    
    Change-Id: Iad43fa1415aa331ae375771adac0818ea1b99060
    Reviewed-on: https://code.wireshark.org/review/9091
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit b7aacfd
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jun 24 17:29:15 2015 +0200

    libnghttp2: readd remove check for CONFIG.H
    
    i hope will be fixed Windows 32 buildbot
    
    Change-Id: Ie4429193d354ff70b4802fa8a734cb35a69c090c
    Reviewed-on: https://code.wireshark.org/review/9090
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 69cdfe9
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 21:30:15 2015 -0700

    Remove another batch of deprecated tvb_length calls
    
    Change-Id: Icfdde38e40cca05d0705a081153a4ea3e8782ee7
    Reviewed-on: https://code.wireshark.org/review/9086
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d0faa9a
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Tue Jun 23 15:17:10 2015 +0200

    HTTP2: Update to libnghttp2 1.0.4
    
    Change-Id: Ia92d183b7e7b5a604d75eee13b64b827ad0af903
    Reviewed-on: https://code.wireshark.org/review/9054
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ae92a83
Author: Joerg Mayer <jmayer@loplof.de>
Date:   Wed Jun 24 04:22:16 2015 +0200

    Update build instructions for cmake near the end a bit
    
    Change-Id: I7d5b8ab3479cc4268b6cc5ae7822066a69b740dc
    Reviewed-on: https://code.wireshark.org/review/9085
    Reviewed-by: Jörg Mayer <jmayer@loplof.de>

commit 1425255
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 19:08:14 2015 -0700

    Handle downloading and installing CMake 3.x.
    
    Change-Id: I2347e3e36008fee006e9f66997d45b562eacc7dc
    Reviewed-on: https://code.wireshark.org/review/9084
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 9b5b7c1
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 17:30:22 2015 -0700

    Remove deprecated tvb_length calls
    
    Trust that the files in epan/ immediately (not dissectors) know what they're
    doing so just blindly convert them to captured length.
    
    Change-Id: I872f7d58b2e15ae82c75fd56f4873996fbc97be7
    Reviewed-on: https://code.wireshark.org/review/9083
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 893e1e5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 17:25:17 2015 -0700

    Fill in the 802.11 pseudo-header and call the "802.11+radio" dissector.
    
    Do with the Prism and AVS headers what we do with the radiotap, PPI,
    etc. headers.
    
    Change-Id: I4b2522a2b294f53f22c363cd43604c4af0304fc2
    Reviewed-on: https://code.wireshark.org/review/9082
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit f92fab4
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 17:22:18 2015 -0700

    Remove a bunch more deprecated tvb_length calls
    
    (getting really close!)
    
    Change-Id: Ibf22a5f727c4dc0070b78144a4b0ab8e0c5e1bce
    Reviewed-on: https://code.wireshark.org/review/9081
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit ad784bc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 17:21:17 2015 -0700

    Put the frequency/channel and RSSI data into columns.
    
    Change-Id: I039e727aff46c08b93908a216608e196ed4bd662
    Reviewed-on: https://code.wireshark.org/review/9080
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit a8acb53
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 17:18:45 2015 -0700

    Pass the signal and noise dBm values to the 802.11 radio dissector.
    
    Change-Id: Ia3fa6ba0b1d16315c77895f3e8ae96ed7e5e1e02
    Reviewed-on: https://code.wireshark.org/review/9079
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit fa6ebae
Author: Robert Cragie <robert.cragie@arm.com>
Date:   Thu Jun 11 16:36:34 2015 +0100

    Improved prefix display and comments for IID copying
    
    Change-Id: I58f56dd5cfc212e53bd7e9d575d2cf9b4b4f2b27
    Reviewed-on: https://code.wireshark.org/review/8886
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 93592e4
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Wed Jun 24 00:46:56 2015 +0200

    openwire: remove useless register_init_routine call
    
    Change-Id: Ifc638e92d4b148a2efeb6c488ab4dc2a57a054e7
    Reviewed-on: https://code.wireshark.org/review/9076
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 0a9a255
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 15:17:27 2015 -0700

    Remove more deprecated tvb_length calls
    
    Change-Id: Ie137e6f4e20fe26b1a4d9510e267896219c1c631
    Reviewed-on: https://code.wireshark.org/review/9075
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d4f6480
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Tue Jun 23 14:01:22 2015 -0700

    ISAKMP: fix Cisco fragmentation support.
    
    Last flag wasn't mapping to 'more fragments' properly, and reassembly
    should only be attempted on the last frame.
    
    Bug: 7940
    Change-Id: I565f2b72b6eb68dc32e0f57a43a098a8f203a800
    Reviewed-on: https://code.wireshark.org/review/9073
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit e53337a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 23 13:58:55 2015 -0700

    replace another bunch of deprecated tvb_length calls
    
    Change-Id: Ib7c50b55942220d48de025642154b4bf3f39c8a2
    Reviewed-on: https://code.wireshark.org/review/9074
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 99ab5c9
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Tue Jun 23 11:19:07 2015 -0700

    netflow: cope with multiple duration types in one flow.
    
    Bug: 11295
    Change-Id: I71493e13989dbc29e3e3e7d518d3b6686fbec01a
    Reviewed-on: https://code.wireshark.org/review/9063
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 633ba95
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 23 13:21:02 2015 -0700

    [Qt] switch screens only if we're acutally starting a capture
    
    don't do the switch when the capture can't be started
    (e.g. because we didn't select any interface from which to capture)
    
    Change-Id: Ibabd703863d546c95b9fbe9bd2280d67a22dfc26
    Reviewed-on: https://code.wireshark.org/review/9072
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 911b934
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 23 12:53:26 2015 -0700

    [Qt] if the capture is stopped before we received any packet...
    
    ... we go back to the main welcome screen like we do in GTK
    
    Change-Id: I64ef29665af61da55c1971ca59d1fab25d205874
    Reviewed-on: https://code.wireshark.org/review/9071
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 2b68a6f
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Jun 23 21:46:48 2015 +0200

    tshark: fix memleak from version lookup
    
    Immediately release memory after using it, fixes a direct memleak
    warning from ASAN.
    
    Change-Id: Icd3ff19c607da790a4a093966e1966cb0df6bb9d
    Reviewed-on: https://code.wireshark.org/review/9069
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d85a221
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 23 10:58:38 2015 -0700

    proto_tree_add_item_ret_(u)int: do the NULL check at the start
    
    before hfinfo is actually used (coverity 1293631)
    
    Change-Id: I270c30c4699cd6f831a38986e6c8024c2e9ef47a
    Reviewed-on: https://code.wireshark.org/review/9061
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit b216d26
Author: Cenk Gündoğan <cnkgndgn@gmail.com>
Date:   Sun Jun 21 22:42:00 2015 +0200

    extend the RPL dissector with basic P2P RPL support
    
    Bug: 11301
    Change-Id: I5569322a05c770524e0f0e7892addd15c7f7dbab
    Reviewed-on: https://code.wireshark.org/review/9053
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 89fbf02
Author: AndersBroman <anders.broman@ericsson.com>
Date:   Tue Jun 23 22:03:20 2015 +0200

    [MSVC 2015] file_exists() fails on MSVC2105 as file_stat.st_ino gets reset
    to zero in the function call if the file does not exist. The general code
    seems to work with MSVC2015 so use that.
    
    Change-Id: Ic5360089f96be620fbe99ba4e819e0caa5ca0215
    Reviewed-on: https://code.wireshark.org/review/9070
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 65bac2d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 11:29:46 2015 -0700

    Remove the P1 dissector from the dirty dissectors list.
    
    It was already added to the clean dissectors list, but wasn't removed
    from the dirty dissectors list, so it was built twice and linked in
    twice, and hilarity ensued.
    
    Change-Id: Ic4636f17b61e619546dc21a04ebbaace0296d583
    Reviewed-on: https://code.wireshark.org/review/9067
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 0901e26
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Jun 23 10:31:58 2015 -0700

    Qt: change default behavior of 'Decode As' window
    
    Up to know Qt 'Decode As' window was saving manual configuration automatically, contrary to GTK UI.
    This can be misleading when decoding protocols without a fixed identifier (port number, USB bus/device id, ...).
    Opening a new trace might lead to previous and now irrelevant settings being applied.
    Make this optional and add a Save button to permanently store the current configuration.
    
    Change-Id: I077c560f9e71cab16a74247e2e9d87523c0ed85e
    Reviewed-on: https://code.wireshark.org/review/9058
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 8bc294c
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 11:24:48 2015 -0700

    Replace more deprecated tvb_length calls
    
    The return values of new-style dissectors always use the captured length, so
    replace those automagically with sed.
    
    Change-Id: Ic43072ee4a80d433cd4264444583a0e670adc26a
    Reviewed-on: https://code.wireshark.org/review/9065
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit d7b286c
Author: Gerald Combs <gerald@wireshark.org>
Date:   Tue Jun 23 11:19:48 2015 -0700

    Qt: Be less aggressive about reselecting packets.
    
    Don't reselect the current row in redrawVisiblePackets. That routine is
    called in quite a few places, including ones where we don't want to
    automatically scroll to the current packet.
    
    Change-Id: Ia29a832235c0e260d8b17f1ce76745047700537b
    Reviewed-on: https://code.wireshark.org/review/9064
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 9723c7a
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 11:13:21 2015 -0700

    Remove more deprecated tvb_length calls
    
    Change-Id: Ie40a195db622ebfb096fa5088c5467a1385e69bf
    Reviewed-on: https://code.wireshark.org/review/9062
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit bc14725
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Tue Jun 23 09:26:34 2015 -0700

    [afp] improve the error handling for extended attributes
    
    distinguish between the length field in the packet and the current item's length
    make sure that the length field fits into a gint variable
    add a cast to the return value of tvb_strsize()
    don't throw an exception manually
    
    Change-Id: I2debab778be3e34d68b1be31963d2d9260a30e0e
    Reviewed-on: https://code.wireshark.org/review/9056
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit eb321f8
Author: Evan Huus <eapache@gmail.com>
Date:   Tue Jun 23 10:55:22 2015 -0700

    Remove deprecated tvb_length from PIDL dissectors
    
    Also regenerate all to pick up the usage of https in some comment links.
    
    Change-Id: Ic17b6368d2118627178b0b560031450d98e5b5e5
    Reviewed-on: https://code.wireshark.org/review/9060
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 17ac383
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jun 22 10:23:36 2015 -0700

    [zvt] the TLV container starts with an overall length field
    
    new function dissect_zvt_tlv_len(), use it for the total length
    and for each tlv entry's length field
    
    Change-Id: I2b7ba6939ddf0326b014c565ffbe5d16e3a88282
    Reviewed-on: https://code.wireshark.org/review/9059
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit ed8ad06
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 8 15:24:49 2015 +0200

    P1: Remove from ASN1 DIRTY list
    
    Change-Id: If44cdddea6709b824ae242d504d7469756c87b91
    Reviewed-on: https://code.wireshark.org/review/8838
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 3f6af3b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Thu Jun 4 13:17:53 2015 +0200

    P1: fix 'dissect_p1_T_report_type' defined but not used [-Wunused-function]
    
    Change-Id: Idee443cd35846bb197070cff5fb37e3904afb856
    Reviewed-on: https://code.wireshark.org/review/8757
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit be67f53
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 10:15:44 2015 -0700

    Exit with the exit status of the command we ran.
    
    Also, expand a comment.
    
    Change-Id: Icbb8ead02f55087f3ac09747fe518f211d488172
    Reviewed-on: https://code.wireshark.org/review/9057
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit b59e28d
Author: Bill Meier <wmeier@newsguy.com>
Date:   Tue Jun 23 09:36:40 2015 -0400

    Regenerate *-tap-register.c when associated Makefile.common is updated
    
    Change-Id: Id9a83aeb285466f409a0e5ee651ef0c9f26ddda8
    Reviewed-on: https://code.wireshark.org/review/9055
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 6fe3f2c
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jun 22 20:51:20 2015 -0400

    Use RTD functionality for H.225
    
    This got missed in the initial refactoring.
    
    Change-Id: I98dcc0816e065efab9b497f753c8d2d388349ff3
    Reviewed-on: https://code.wireshark.org/review/9044
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 7cdd22f
Author: Guy Harris <guy@alum.mit.edu>
Date:   Tue Jun 23 00:21:20 2015 -0700

    Try to catch TShark crashing and get a stack trace.
    
    It's currently crashing in the Solaris buildbot when we do "tshark -v";
    hopefully this will give us something more useful than
    
      test.sh: line 144: 21543 Abort                   (core dumped) $TSHARK -v
    
      "Version information" Failed!
      Failed to print version information
      Binary file ./core matches
    
    as a diagnostic.
    
    Change-Id: I278c8dd9f6acf5ddfa83bc0a7f3f7a3c48577ac2
    Reviewed-on: https://code.wireshark.org/review/9052
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 74c5ab0
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 22 23:59:59 2015 -0700

    Treat channel flags fields as just collections of bits, not as type fields.
    
    The radiotap and PPI specs don't call them type fields, and don't list
    them as having type values, they call them flags fields and list the
    individual bits.
    
    Listing them as type fields is especially confusing with radiotap, as
    you can have multiple fields giving *different* channel types, as per,
    for example
    
        https://ask.wireshark.org/questions/42888/multiple-channel-types-and-mcs-missing
    
    where an 802.11ac packet has one "channel type" field claiming it's
    802.11a and another one claiming it's 802.11n when it is, in fact,
    *neither* 11a *nor* 11n.
    
    If you want to know the channel type, look at the "802.11 radio
    information" tree that comes before the 802.11 header tree; it gives a
    reasonable summary of most of the radio metadata, giving the *correct*
    channel type, and not showing any field multiple times.  Look at the
    radiotap or PPI or... tree only if either 1) you're debugging a driver
    that creates those headers or 2) there's some data in the header that
    *doesn't* show up in any form in the 802.11 radio information tree (in
    which case the code for radio information probably needs to be changed
    to show it).
    
    Change-Id: I545b81b08a993dbb219fa7a4f54daac3637ea071
    Reviewed-on: https://code.wireshark.org/review/9051
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 1dc608a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Jun 19 16:56:44 2015 -0700

    Morph ProgressBar into CaptureProgressFrame.
    
    Switch from a plain QProgressBar to a QFrame with a QProgressBar and a
    stop button.
    
    Add a stop_flag boolean to the capture_file struct.
    
    To do:
    - Start adding the progress bar to dialogs.
    - Don't complain so loudly when the user stops a capture.
    
    Change-Id: Iedd1d7d79f2044f1a53e4fb22186d25930a3ef03
    Reviewed-on: https://code.wireshark.org/review/9029
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 0c71b13
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 22 08:56:34 2015 +0200

    prefs: fix memleak
    
    Calling g_list_remove_link(link, llink) does not free the removed
    last link llink. g_list_next or g_list_foreach+g_free followed by
    g_list_free should be used instead such that the data is freed before
    and then dropped from the list.
    
    This fixes a memleak in tshark -r dns.pcap detected by ASAN (single
    packet).
    
    Set pref->default_val.list = NULL just in case, and with symmetry with
    capture_columns handling.
    
    Change-Id: I3cc52e275784037ab40c0b42c68d0dd83b73cd98
    Reviewed-on: https://code.wireshark.org/review/9026
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 42c324d
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Jun 23 01:30:13 2015 +0200

    packet: fix memleak
    
    It turns out that a heur_dissector_list_t structure was not released,
    only the GSList inside it. Ensure that this list gets released as well.
    
    Change-Id: If79deb5d011d306477d082368744addcee794ae1
    Reviewed-on: https://code.wireshark.org/review/9040
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 167f9b7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 7 21:23:47 2015 +0200

    IS-IS (LSP): Remove proto_tree_add_text call
    
    Part 2 !
    
    Change-Id: Iaa46f3d785cbff6b397edf5bd54c0c3cf65a7264
    Reviewed-on: https://code.wireshark.org/review/8822
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 61e127a
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Mon Jun 22 16:46:57 2015 -0700

    RANAP: call nsap properly when bindingID is included in transport address
    
    Change-Id: I45fed890cc2f7f5d106bbb7b35038d8db141fa4e
    Reviewed-on: https://code.wireshark.org/review/9036
    Petri-Dish: Martin Mathieson <martin.r.mathieson@googlemail.com>
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 6fd7e5b
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jun 22 20:53:46 2015 -0700

    Remove more deprecated tvb_length calls
    
    Change-Id: I56260a82b19001ab2f87f4be34a9510f127f841f
    Reviewed-on: https://code.wireshark.org/review/9050
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 46e5fd8
Author: JustinKu <jiunrong@gmail.com>
Date:   Mon Jun 22 20:47:23 2015 -0700

    CFM: fix CFM Type Test signal (TST) without CRC dissection
    
    Bug: 11286
    Change-Id: I8efce21e2bab55f9fea50a234419082cdc288f4e
    Reviewed-on: https://code.wireshark.org/review/9048
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit ce9c1df
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jun 22 20:31:23 2015 -0700

    coverity 1306905: integer overflowed argument
    
    tvb_strsize() returns guint
    remove the if (tree) while we're at it
    
    Change-Id: Icc24f166104a3e9b95fca2ef14a7bd8be2677cba
    Reviewed-on: https://code.wireshark.org/review/9047
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit db72eb4
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Mon Jun 22 17:48:54 2015 -0700

    wmem_tree_new_autoreset() never returns NULL
    
    Change-Id: I497b77dec1eb4617179d492838ecd7d267539ba4
    Reviewed-on: https://code.wireshark.org/review/9043
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 958cef5
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jun 22 17:19:23 2015 -0700

    Remove more deprecated tvb_length
    
    Change-Id: Iac23a6c804ad3720d37186559477909b2ff33eb2
    Reviewed-on: https://code.wireshark.org/review/9042
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 67ab8a0
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jun 22 17:05:37 2015 -0700

    Remove more deprecated tvb_length
    
    Change-Id: I36603453c2563406f82663683930088dedd5f39c
    Reviewed-on: https://code.wireshark.org/review/9041
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit a43682d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 15:53:53 2015 +0200

    srt_table.h: fix parameter 'opt_arg/filter' not found in the function declaration [-Wdocumentation]
    
    Change-Id: I6edda434d02a4926a2ec7a2580a7f684b6e96ee6
    Reviewed-on: https://code.wireshark.org/review/9008
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit a7f5e18
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 22 11:38:52 2015 -0700

    SIP: add support for draft-ietf-insipid-session-id
    
    Bug: 11294
    Change-Id: I54f7e19d129cddb1f11525f6ee9931270cc41f40
    Reviewed-on: https://code.wireshark.org/review/9028
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 79c384d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 22 16:16:23 2015 -0700

    Don't use the value of the Flags field if we didn't have it.
    
    Change-Id: Idd7771bd39ee823981b31b827645abd2ae516f66
    Reviewed-on: https://code.wireshark.org/review/9039
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit eaf62bb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 22 16:07:20 2015 -0700

    Fix handling of XChannel radiotap field.
    
    Fetch the flags before using them; thanks to Peter Wu for catching that
    one.
    
    Fetch and use the frequency and channel.
    
    Have cflags be the variable for the flags in Channel and xcflags be the
    variable for the flags in XChannel.
    
    Change-Id: If82f7adb448eef04b769186a90a8722d03a702a3
    Reviewed-on: https://code.wireshark.org/review/9038
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5ab4570
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 22 22:54:30 2015 +0200

    gtk,qt: Fix minor buffer underrun
    
    Avoid accessing the first byte before an empty dirname. No idea why this
    was not triggered before. Reproduced with an empty Wireshark profile and
    wireshark and wireshark-qt.
    
    Caught with ASAN.
    
    Change-Id: I44f8fdab03ad0f24e663df63a1c54567996a3dfc
    Reviewed-on: https://code.wireshark.org/review/9037
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 1504531
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Jun 23 00:45:12 2015 +0200

    packet: write explicit type for destroy_heuristic_dissector_list
    
    It is an implementation detail that the data pointer contains a GSList*.
    Use the type that got inserted into function
    register_heur_dissector_list.
    
    Change-Id: I25b6414afa73818baa0c955a5c8aa7669f3058ee
    Reviewed-on: https://code.wireshark.org/review/9035
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 7db3021
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 22 15:14:46 2015 -0700

    IEEE 802.11: add an expert info when tag length value is bigger than remaining payload
    
    Bug: 11298
    Change-Id: I18082a15fbeaa843099741511292eec19acf94b9
    Reviewed-on: https://code.wireshark.org/review/9033
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit e34e6c6
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Jun 23 00:27:11 2015 +0200

    Fix "Unescaped left brace in regex is deprecated"
    
    This got reported with Perl 5.22:
    
        Unescaped left brace in regex is deprecated, passed through in
        regex; marked by <-- HERE in m/^typedef enum { <-- HERE / at
        epan/wslua/make-init-lua.pl line 228.
    
    The perldelta manual page says this about it:
    
        "[..] a future version of Perl (tentatively v5.26) will consider
        this to be a syntax error."
    
    Change-Id: I7f23cc10dc3311a35d8c15faa4337e4d50d0bd61
    Reviewed-on: https://code.wireshark.org/review/9034
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 8aa91b3
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jun 22 15:04:28 2015 -0700

    Provide PHY type and band information in the 802.11 pseudo-header.
    
    Provide that information so that the "802.11 radio information" protocol
    can indicate whether a packet was 802.11 legacy/11b/11a/11g/11n/11ac,
    and possibly whether it's 2.4 GHz or 5 GHz 11n.  (Sometimes the center
    frequency might not be supplied, so the band information can be useful.)
    
    Also, provide some 11ac information, now that we can distinguish between
    11n and 11ac.  Don't calculate the data rate from the MCS index unless
    it's 11n; we don't yet have code to calculate it for 11ac.
    
    For radiotap, only provide guard interval information for 11n and 11ac,
    not for earlier standards.
    
    Handle the 11ac flag in the Peek remote protocol.
    
    For Peek tagged files, the "extension flags" are 11n/11ac flags, so we
    don't have to check for the "MCS used" bit in order to decide that the
    packet is 11n or 11ac or to decide whether to provide the "bandwidth" or
    "short GI" information.
    
    Change-Id: Ia8a1a9b11a35243ed84eb4e72c384cc77512b098
    Reviewed-on: https://code.wireshark.org/review/9032
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 8abe108
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Mon Jun 22 08:45:21 2015 +0200

    ieee80211: fix memleak
    
    parse_key_string reads from rec->string and rec->key (without
    modifying those parameters), then returns a newly allocated
    decryption_key_t struct which is not used except for reading the
    type field. Release memory after copying that single field!
    
    Change-Id: Iac19bea23dedb73cab9dd1ea09f98cc83556e96c
    Reviewed-on: https://code.wireshark.org/review/9025
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 11803d4
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jun 22 14:40:23 2015 -0700

    Remove more tvb_length
    
    Change-Id: I940704e927001b2a051a59fd0738e7a02328472b
    Reviewed-on: https://code.wireshark.org/review/9031
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit df352c5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 22 14:03:02 2015 -0700

    Use StockIcon to load toolbar icons.
    
    StockIcon loads each available icon size.
    
    Change-Id: Ia5604cc11ed8350e7f4f782312939cf30c94f548
    Reviewed-on: https://code.wireshark.org/review/9030
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f99e20e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 22 19:19:39 2015 +0200

    rtd_table.h: fix parameter 'srt/srt_array' not found in the function declaration [-Wdocumentation]
    
    srt => rtd
    
    Change-Id: I297258ebb22723f280588692fdbb5d062d08ced9
    Reviewed-on: https://code.wireshark.org/review/9024
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 2e3629a
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Jun 20 13:53:14 2015 +0200

    fix the interface list in the main welcome screen
    
    when no interfaces are available at startup, the number of columns in
    the interface tree is set to 1
    when new interfaces become available later, the column number is not
    reset to the default value and we end up with an interface list whose
    entries are not visible
    reset the number of columns each time the interface list is updated
    
    Change-Id: I267c5b47da6d5ae9e7769b1036622f79da4d97f2
    Reviewed-on: https://code.wireshark.org/review/8996
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit be6fb60
Author: Evan Huus <eapache@gmail.com>
Date:   Mon Jun 22 09:59:50 2015 -0700

    Remove a bunch of deprecated tvb_length calls
    
    Change-Id: I9362e0fdc4519ba5f3d656152966e7030f478839
    Reviewed-on: https://code.wireshark.org/review/9022
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 45872b9
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Jun 22 11:38:04 2015 -0700

    checkAPIs.pl: proto_tree_add_bytes_item takes an encoding parameter
    
    Change-Id: Iebe0e2483d9fd1661bf87ea5efaeb4ae14f6e105
    Reviewed-on: https://code.wireshark.org/review/9027
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit a94b443
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 22 19:17:10 2015 +0200

    NCP: fix comma at end of enumerator list [-Wpedantic]
    
    Change-Id: I47795fb9e1044f4319721c3bf1208c269a4b9c34
    Reviewed-on: https://code.wireshark.org/review/9023
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit d23d53e
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 15:56:16 2015 +0200

    ws80211_utils.h: fix empty paragraph passed to '@param' command [-Wdocumentation]
    
    Change-Id: Iecd9f8820840959a2f226120cbc359977d20c757
    Reviewed-on: https://code.wireshark.org/review/9009
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit c079420
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 15:40:55 2015 +0200

    PKCS12: Remove from ASN1 DIRTY list
    
    Change-Id: I454c48d5342ebe5682217667e4cafd6164e58d41
    Reviewed-on: https://code.wireshark.org/review/9004
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 475a232
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 15:37:26 2015 +0200

    PKCS12: fix unused function 'dissect_AuthenticatedSafe_PDU' [-Wunused-function]
    
    Change-Id: Iaaaaffc8a271ac844b745d1b9265eb06df2efe9c
    Reviewed-on: https://code.wireshark.org/review/9003
    Reviewed-by: Evan Huus <eapache@gmail.com>

commit 02b4977
Author: Gerald Combs <gerald@wireshark.org>
Date:   Mon Jun 22 08:53:34 2015 -0700

    Add a strlen cast.
    
    Change-Id: I480e2e7436f0334f0dfd99352bd49304765fcee3
    Reviewed-on: https://code.wireshark.org/review/9021
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8f390d4
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Jun 20 12:22:22 2015 -0400

    Refactor RTD stats.
    
    Very similar to the refactoring of SRT stats, it provides more commonality of the stats for all GUI interfaces.  Currently implemented for TShark and GTK.  Affected dissectors: MEGACO, MGCP, Radius
    
    Change-Id: Icb73a7e603dc3502b39bf696227fcaae37d4ed21
    Reviewed-on: https://code.wireshark.org/review/8998
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 8b230ea
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Mon Jun 22 16:52:20 2015 +0200

    Fix make distcheck buildbot
    
    packet-dnp.c:2735:28: error: variable 'al_filename' set but not used [-Werror=unused-but-set-variable]
    packet-dnp.c:1843:32: error: variable 'al_filename_offs' set but not used [-Werror=unused-but-set-variable]
    
    Change-Id: Ia84b270aa8f56fb4104fb875339dc3d39c6105c6
    Reviewed-on: https://code.wireshark.org/review/9020
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit c0f5b23
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jun 21 23:07:33 2015 -0400

    [pcep] (benign) Use ENC_BIG_ENDIAN (not ENC_NA) for certain multibyte fields.
    
    Change-Id: Idc31728ce1b327ff86a58541ba01275107c7598b
    Reviewed-on: https://code.wireshark.org/review/9019
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit cb7fd6f
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jun 21 22:41:56 2015 -0400

    [rfid-pn532] (benign) Use ENC_BIG_ENDIAN (not ENC_NA) for several 3-byte fields.
    
    Change-Id: If70a45d59fdce105b429d00fbbc4a8b2784262a2
    Reviewed-on: https://code.wireshark.org/review/9018
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit ce40ea3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 16:12:03 2015 +0200

    service_response_time_table.h: fix parameter 'gui_data' not found in the function declaration [-Wdocumentation]
    
    Change-Id: Ie214d654aa91b91da2a1435dce63a822e404669a
    Reviewed-on: https://code.wireshark.org/review/9010
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit c52dc98
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Mon Jun 22 09:44:51 2015 +0200

    Fix typo caused assertion
    
    Invalid character ')' in filter name 'gsm_abis_rsl.llsdu.sacch)'
    **
    ERROR:wireshark/epan/wmem/wmem_core.c:50:wmem_alloc: assertion failed: (allocator->in_scope)
    Aborted
    
    Change-Id: Ie22035cf9a9d1d29354a64cd5b085f1c2e18b1d3
    Reviewed-on: https://code.wireshark.org/review/9017
    Reviewed-by: Michal Labedzki <michal.labedzki@tieto.com>

commit eb2dffa
Author: Vasil Velichckov <vvvelichkov@gmail.com>
Date:   Fri Jun 19 19:24:53 2015 +0300

    GSM MAP: Fix decoding of IPv6 addresses
    
    From 3GPP 23.003
    
    The GSN Address is composed of the following elements:
    1) The Address Type, which is a fixed length code (of 2 bits) identifying the type of address that is used in the
    Address field.
    2) The Address Length, which is a fixed length code (of 6 bits) identifying the length of the Address field.
    3) The Address, which is a variable length field which contains either an IPv4 address or an IPv6 address.
    Address Type 0 and Address Length 4 are used when Address is an IPv4 address.
    Address Type 1 and Address Length 16 are used when Address is an IPv6 address.
    The IP v4 address structure is defined in RFC 791 [14].
    The IP v6 address structure is defined in RFC 2373 [15].
    
    Currently the Wireshark decodes IPv6 addresses as IPv4
    
    This commit reverts parts of commit 1cdef1d98aac306932dc599d427a3e1191d48a44
    
    Change-Id: I4905d4cf559abcb42b9dfe3652667d2ff96dd444
    Reviewed-on: https://code.wireshark.org/review/8984
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e8a238f
Author: Michael Mann <mmann78@netscape.net>
Date:   Sun Jun 21 15:06:47 2015 -0400

    Eliminate proto_tree_add_text from some dissectors.
    
    Change-Id: I979990e9385182870ce4809a7e6fa16e598cb2be
    Reviewed-on: https://code.wireshark.org/review/9016
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit d729d80
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon Jun 8 08:41:54 2015 -0400

    Convert "macro checks" to use expert info in line with dissectors with comparable checks.
    
    Change-Id: I30affba4941ba150c34541bfba67ff8da5b52a17
    Reviewed-on: https://code.wireshark.org/review/9015
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 1223ba5
Author: Bill Meier <wmeier@newsguy.com>
Date:   Sun Jun 21 22:10:33 2015 -0400

    [bmp] minor cleanup
    
    - Simplify some code;
    - Remove unneeded initializers;
    - Remove some unused code;
    
    Change-Id: I30b6a7751845670b732eae8ec143cd23e57fc54c
    Reviewed-on: https://code.wireshark.org/review/9014
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 31f5459
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 07:46:55 2015 +0200

    PKCS12: fix warning about unused parameter when don't build with LIBGCRYPT
    
    Change-Id: I7cc47f811d6c090aa2be54d3d92361966d011ccd
    Reviewed-on: https://code.wireshark.org/review/9002
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit ebc8ec8
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jun 21 06:48:58 2015 -0400

    Remove deprecated tvb_length from a bunch of dissectors
    
    Change-Id: I5c777806cb1403062a9d85261149d722df57b239
    Reviewed-on: https://code.wireshark.org/review/9005
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a2e2c1f
Author: Evan Huus <eapache@gmail.com>
Date:   Sun Jun 21 14:02:43 2015 +0000

    Fix memory leak printing eui64s
    
    The scope that is passed in should only be used for the return value - other
    temporary buffers we must alloc/free ourselves, since if the scope is NULL they
    will not be managed automatically.
    
    Bug: 11293
    Change-Id: I27be856f1c5cdf47f78e766192a29523664a543e
    Reviewed-on: https://code.wireshark.org/review/9007
    Reviewed-by: Evan Huus <eapache@gmail.com>
    Petri-Dish: Evan Huus <eapache@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 27fc2b7
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 15:49:49 2015 +0200

    ERM (Aruba): Fix Assigned value is garbage or undefined found by Clang Analyzer
    
    Fix also trailing whitespace
    
    Change-Id: I9e9e09f6855f41609581ea1b7cd1bd16b15f85f4
    Reviewed-on: https://code.wireshark.org/review/9006
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 56880d7
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jun 21 08:09:36 2015 -0700

    [Automatic update for 2015-06-21]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I266509d729803494666458651ab3ae88cac50a21
    Reviewed-on: https://code.wireshark.org/review/9012
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6c3f1f2
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sun Jun 21 13:17:33 2015 +0100

    editcap: split usage output so won't wrap in cmd.exe window
    
    Change-Id: I8a8ed3721e525ceb685f8e105147a0cc012fc912
    Reviewed-on: https://code.wireshark.org/review/9001
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 7d70d3e
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri Jun 19 19:52:36 2015 -0400

    Remove now unneeded tap-srt.h
    
    Change-Id: Ic625f5a0f8e3c4d70dd04f5e3eb7100fb54027e5
    Reviewed-on: https://code.wireshark.org/review/8997
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 649c484
Author: Martin Mathieson <martin.r.mathieson@googlemail.com>
Date:   Sun Jun 21 12:44:24 2015 +0100

    editcap: trivial changes while looking into the -L option
    
    Change-Id: I94dd83af160eebb9dc44c123b2b83674bc5866f6
    Reviewed-on: https://code.wireshark.org/review/9000
    Reviewed-by: Martin Mathieson <martin.r.mathieson@googlemail.com>

commit 334087b
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun Jun 21 07:35:27 2015 +0200

    srt_table: fix conversion shortens 64-bit value into a 32-bit value
    
    Change-Id: I62d04fc2c02c393fd15bccbdfe194c557665dc0e
    Reviewed-on: https://code.wireshark.org/review/8999
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>

commit 6de6f7f
Author: Michael Mann <mmann78@netscape.net>
Date:   Tue Jun 16 17:07:04 2015 -0400

    Further refactor SRT stats.
    
    Create "common" SRT tap data collection intended for all GUIs.   Refactor/merge functionality of existing dissectors that have SRT support (AFP, DCERPC, Diameter, FC, GTP, LDAP, NCP, RPC, SCIS, SMB, and SMB2) for both TShark and GTK.
    
    SMB and DCERPC "tap packet filtering" were different between TShark and GTK, so I went with GTK filter logic.
    CAMEL "tap packet filtering" was different between TShark and GTK, so GTK filtering logic was pushed to the dissector and the TShark tap was left alone.
    
    Change-Id: I7d6eaad0673fe628ef337f9165d7ed94f4a5e1cc
    Reviewed-on: https://code.wireshark.org/review/8894
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>

commit 2895d58
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 20 15:57:57 2015 -0700

    Call the "802.11 radio information" dissector for radio headers.
    
    Have dissectors of various forms of radio information headers in the
    packets fill in a struct ieee_802_11_phdr with radio information as
    appropriate, and call the "802.11 radio information" dissector rather
    than the raw 802.11 dissector.
    
    This means that the radio information can be found in a
    protocol-independent and encapsulation-independent form when you're
    looking at the packet; that information can be presented in a form
    somewhat easier to read than the raw metadata header format.
    
    It also enables having a single "radio information" tap that allows
    statistics to handle all different sorts of radio information
    encapsulation.
    
    In addition, it lets us clean up some of the arguments passed to the
    common 802.11 dissector routine, by having it pull that information from
    the struct ieee_802_11_phdr.
    
    Ensure that the right structure gets passed to that routine, and that
    all the appropriate parts of that structure are filled in.
    
    Rename the 802.11 radio protocol to "wlan_radio", rather than just
    "radio", as it's 802.11-specific.  Give all its fields "wlan_radio."
    names rather than "wlan." names.
    
    Change-Id: I78d79afece0ce0cf5fc17293c1e29596413b31c8
    Reviewed-on: https://code.wireshark.org/review/8992
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 77ed038
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Jun 20 13:24:37 2015 +0200

    (trivial) fix a spelling mistake in a comment
    
    Change-Id: I3f9feab57032c8c701c4ea487c0f5acca428d5d9
    Reviewed-on: https://code.wireshark.org/review/8995
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit 02537f8
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Jun 20 11:21:35 2015 +0200

    [mifare] make the payload of the write command filterable
    
    use an FT_BYTES variable instead of passing it to the data dissector
    
    Change-Id: Ia52cba24dedec13c9842109d45b3a277ee627f42
    Reviewed-on: https://code.wireshark.org/review/8994
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit bc9e141
Author: Martin Kaiser <wireshark@kaiser.cx>
Date:   Sat Jun 20 08:27:10 2015 +0200

    [mifare] minor cleanup
    
    remove the if(tree) so that we fill the info column regardless of the tree
    clear the info column first, then append our data
    remove an unnecessary initializer
    
    Change-Id: I0e9e9582f360dd929e422f994c3d4a644c602642
    Reviewed-on: https://code.wireshark.org/review/8993
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>

commit debb811
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 20 15:41:42 2015 -0700

    Use "Present"/"Absent" for presence bits.
    
    That's clearer than "True"/"False".
    
    Change-Id: I300c040f347eff8477a87f639bea8402772314b9
    Reviewed-on: https://code.wireshark.org/review/8991
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit bffabc7
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Jun 20 15:23:35 2015 -0700

    Support the "number of extension spatial streams" information.
    
    Change-Id: If69088aac0848d6ec8d239e3a9acc140ad376d6f
    Reviewed-on: https://code.wireshark.org/review/8990
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit 5714ad5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Sat Jun 20 07:51:54 2015 +0200

    ftypes: display BASE_HEX_DEC integers as hexadecimal
    
    Bug: 11292
    Change-Id: I69a5591996bec77c2cb2bfcd04e9179784470edf
    Reviewed-on: https://code.wireshark.org/review/8987
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>

commit 4c898c3
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sat Jun 20 14:07:55 2015 +0200

    qt_ui_utils: fix  parameter 'glib_string' not found in the function declaration
    
    Only a small typo glib_string => glib_gstring
    
    Change-Id: Ia3ad0a8086f6c1a47065754dee33eff1e0ad770f
    Reviewed-on: https://code.wireshark.org/review/8988
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit a8ddf90
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jun 19 14:51:23 2015 -0400

    [rpcrdma] Do some minor bug-fixes and cleanup
    
    Change-Id: I9d440cba281945672767642967d955351fa67b90
    Reviewed-on: https://code.wireshark.org/review/8985
    Petri-Dish: Bill Meier <wmeier@newsguy.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit d47a686
Author: Bill Meier <wmeier@newsguy.com>
Date:   Fri Jun 19 15:29:19 2015 -0400

    [rtse] Convert tabs to spaces to match editor modelines
    
    Change-Id: I03c7decacd4def0552f461c81c4e634a85380438
    Reviewed-on: https://code.wireshark.org/review/8986
    Reviewed-by: Bill Meier <wmeier@newsguy.com>

commit 4d3abcc
Author: Bill Meier <wmeier@newsguy.com>
Date:   Wed Jun 17 15:36:00 2015 -0400

    [thrift] fix a minor bug; Also: use col_clear()
    
    Change-Id: I07dc57583f2e78b6b841a7adb5470e57fa314786
    Reviewed-on: https://code.wireshark.org/review/8969
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit aa8fcb3
Author: Matthieu Coudron <mattator@gmail.com>
Date:   Mon Jun 8 22:24:17 2015 +0200

    Improved dissection of some netlink attributes
    
    Added missing strings to netlink_route_ifla_attr_vals
    Improved dissection of netlink.hdr_flags
    Replaced deprecated use of tvb_length_remaining
    
    Change-Id: Ie16f7e602e1fb69a0a88a4d0657ec2d6da3c0d83
    Reviewed-on: https://code.wireshark.org/review/8916
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit e43ff89
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Wed Jun 17 23:45:42 2015 +0200

    recent.c: accept an UTF-8 string in read_set_recent_pair_dynamic() function
    
    Previous code was checking that the string was ASCII, which does not work when
    the recent capture files list contains non ASCII characters
    
    Change-Id: I1ea96035cca4b2aa2ea5061e7a4f98e78ac88f20
    Reviewed-on: https://code.wireshark.org/review/8965
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 7ec7e43
Author: Michal Labedzki <michal.labedzki@tieto.com>
Date:   Thu Jun 18 09:10:55 2015 +0200

    Bluetooth: Coverity fixes
    
    Try to fix Coverity issues in Bluetooth HCI and androiddump.
